Disclaimer

Cet aide enligne est un guide opérationnel pour ceux qui veulent commencer à travailler immédiatement avec WebSite X5 pour créer leur site, Blog ou magasin e-commerce.
En suivant étape par étape le chemin de développement proposé, on obtient une description précise de l'interface du programme, de toutes les commandes et des options présentes dans les menus, les panneaux et les fenêtres prévues.
Les explications et les approfondissement proposés, associés au caractère intuitif de la logique de travail et à la disponibilité du nombreux aperçus mis à jour en temps réel, permettront de mieux travailler avec WebSite X5 et d'obtenir des sites attrayants, très prenants et professionnels.

Ce guide de WebSite X5 se réfère à la version EVOLUTION v. 9 mais, si l'on tient compte des limitations spécifiques, sa consultation est utile même pour travailler avec d'autres versions du programme.

Le guide est articulé comme suit:
- | Environnement de Travail Elle illustre toutes les fonctions offertes par le logiciel dans les différentes fenêtres qui sont présentées lors de la création et de la publication d'un site.
- | Tutorial Elle propose quelques didacticiels qui simulent des procédures illustrant des opérations spécifiques, par exemple la création d'un formulaire pour collecter les données ou la définition d'une zone réservée à accès par mot de passe.
- | Approfondissements Il s'agit de fiches d'approfondissement sur différents thèmes liés à la création d'un site Web.
- | Intégration avec Google Elle propose des approfondissements relatifs à l'utilisation de certains outils, mis à disposition par Google, visant principalement à optimiser les sites.

Dernière mise à jour: version 9.0.0


Sommaire

Pour créer des sites Web, des magasins enligne et des Blogs en 5 étapes

WebSite X5 est le logiciel idéal pour créer les sites Web que vous auriez toujours voulu avoir. Il ne requiert aucune connaissance de programmation et il permet de travailler de manière entièrement visuelle à travers une interface intuitive et riche en aperçus mis à jour en temps réel.

WebSite X5 vous guide ainsi jusqu'à la publication du site en garantissant la simplicité d'emploi, la flexibilité et de grands espaces de personnalisation.

En fonction des choix effectués et des paramètres définis, WebSite X5 engendre automatiquement le code des pages HTML5 + CSS 2.1 ou 3 en garantissant ainsi la pleine compatibilité avec tous les navigateurs et les dispositifs mobiles, ainsi qu'une indexation correcte de la part des moteurs de recherche.

Outils Web professionnels

Il faut souligner que, bien que simple à utiliser, WebSite X5 offre une large gamme d'outils professionnels pour:
- | Magasins enligne avec carte de crédit | - | Zoom et images panoramiques
- | Blog avec Podcast et Videocast | - | Galerie d'images et vidéos
- | Moteur de recherche interne | - | Gestion des accès et des zones réservées
- | Formulaires d'email avec filtres anti-spam | - | Gestion des bannières publicitaires
- | News et Flux RSS | - | Création de sites multilingue

Une solution all-in-one

Par ailleurs, WebSite X5 permet d'économiser du temps et de la fatigue car il comprend tout ce qu'il faut pour créer un site:
- | Éditeur pour les modèles | - | 1.500 modèles personnalisables
- | Éditeur pour les images | - | 6.000 images royalty free
- | Créateur de menus | - | Bibliothèques de boutons
- | Moteur FTP interne | - | Widgets de collecte

Ce mélange de simplicité et d'exhaustivité est la raison du succès de WebSite X5: le bon logiciel pour tous ceux qui veulent créer des sites Web.


Incomedia WebSite X5: A quoi sert-il ?

Incomedia WebSite X5 permet de construire simplement et rapidement des sites Web, des Paniers virtuel E-commerce, des Blogs, des albums photos numériques et des présentations interactives. Les projets peuvent être développés à travers une structure arborescente composée de menus à plusieurs niveaux: ainsi le nombre de pages pouvant être insérées devient pratiquement illimité.

L'utilisateur peut définir la mise en page de chaque page et la compléter en insérant les objet proposés par le programme: textes, images, tableaux, animations Flash™, vidéos, sons, galeries, objets HTML, formulaires d'envoi de mail.

WebSite X5 présente de nombreuses fonctions intéressantes pour l'édition des images ne requérant pas l'utilisation d'un logiciel graphique externe. Grâce à l'enregistrement automatique des images au format comprimé, l'utilisateur ne doit pas se soucier d'optimiser les photos avant de les insérer.

Un vaste dossier de modèles graphiques, l'éditeur interne de boutons tridimensionnels, de nombreuses possibilités de personnalisation graphique, l'introduction d'une page d'accueil, l'organisation du choix des langues de consultation, la création d'une zone à accès réservé par mot de passe, la possibilité de créer et de gérer des Blogs, des Flux RSS et des magasins enligne avec paiement par carte de crédit enrichissent le site et le rendent complet et professionnel.

WebSite X5 permet de publier directement sur le réseau le projet réalisé, sans avoir recours à un logiciel FTP externe.

Travailler avec WebSite X5

WebSite X5 opère comme un assistant qui vous guide à travers le processus en s'assurant que vous complétiez toutes les étapes nécessaires pour que votre site ait un aspect professionnel et soit esthétiquement satisfaisant.

Les étapes nécessaires pour la création de votre site sont 5 en tout:
1. | Paramètres généraux Après avoir choisi le projet sur lequel vous voulez travailler et avoir inséré quelques informations indispensables, entre autres la Description et les Mots Clé nécessaires à l'indexation sur les moteurs de recherche, WebSite X5 vous permet de définir l'aspect graphique du site. Vous pouvez choisir parmi plus de 1.500 modèles prédéfinis ou libérer votre créativité et définir un modèle ex novo. L'éditeur interne permet de personnaliser librement l'en-tête et le pied de page des modèles.
2. | Création du plan À partir de la page d'accueil, WebSite X5 permet de définir la structure sous forme arborescente. Vous pouvez prévoir tous les niveaux d'approfondissement nécessaires pour organiser un nombre illimité de pages. Le menu de navigation sera créé dynamiquement en fonction du plan. Vous pourrez, à tout moment, modifier le plan du site pour le mettre à jour.
3. | Création des pages Pour créer une page et la mettre en page, faites glisser simplement les objets voulus: textes, tableaux, images, animations, vidéos et audio, galeries, formulaires de collecte des données et d'envoi de mail, liste des produits, code HTML et Widget. Les objets importants peuvent être personnalisés et complétés par des liens vers des ressources internes et externes. Grâce à un éditeur graphique intégré, vous pourrez faire pivoter l'image, corriger ou appliquer des filtres, des masques et des cadres sur les images importées sans avoir recours à un logiciel extérieur.
4. | Définition des paramétrages avancés Pour compléter la personnalisation du site, vous pouvez définir le style d'éléments comme le menu de navigation, les textes, la fenêtre ShowBox et l'e-mail. L'éditeur permet également de créer des boutons tridimensionnels pour lesquels vous pouvez prévoir l'effet qui apparaît lors du passage du pointeur de la souris (effet mouse over). Par ailleurs, le site peut être complété avec des outils tels que: page d'accueil avec bande sonore et choix de la langue de consultation; zones réservées avec gestion des accès et des utilisateurs; messages publicitaires; flux RSS; blog; panier e-commerce.
5. | Exporter WebSite X5 permet aussi de publier sur Internet le site créé: le programme active une session FTP à travers laquelle tous les fichiers nécessaires sont transférés sur le serveur pour afficher le site directement sur le Web. WebSite X5 supporte la connexion sûre et permet d'économiser du temps en travaillant en multi-connexion et en publiant seulement les fichiers modifiés. En plus de la publication sur Internet, vous pouvez exporter un projet sur un autre disque de votre ordinateur ou créer facilement une copie de sauvegarde.


Différences entre les versions

Versions disponibles

WebSite X5 est disponible dans différentes versions dont voici les principales: Evolution et Compact.

Pour voir les différences entre les versions disponibles, consultez la page: http://www.websitex5.com/compare


Environnement de Travail

Comme il s'agit d'un guide, WebSite X5 propose une série de fenêtres permettant d'insérer les informations nécessaires pour créer et publier un site Internet complet, fonctionnel et graphiquement attractif.

Toutes les pages-écrans du programme ont la même interface graphique avec une barre d'outils, en haut, en bas et sur le coté, et une fenêtre centrale qui change en fonction de la phase de travail et par conséquent des informations requises.

Barre d'outils supérieure

-

Aide: permet d'afficher l'aide enligne. La flèche à gauche du bouton Aide permet aussi d'accéder aux commandes:
- | Sommaire: pour afficher l'Aide en ligne.
- | Didacticiel vidéo: pour accéder à une série de Didacticiels vidéo expliquant comment travailler avec le programme.
- | WebSite X5 Gallery: pour accéder à une riche galerie de sites créés avec WebSite X5 et signalés directement par leurs auteurs.
- | WebSite X5 Templates: pour afficher et télécharger de nouveaux modèles graphiques, en les choisissant parmi ceux proposés par Incomedia ou d'autres auteurs, aussi bien gratuits que payants.
- | Assistance technique: pour accéder au service d'assistance technique et consulter les archives des FAQ ou ouvrir un ticket d'assistance.
- | www.websitex5.com: pour accéder au site Internet de référence du programme.
- | Informations sur WebSite X5: pour ouvrir une fenêtre contenant des informations relatives au programme.

-

Enregistrer [CTRL+S]: permet d'enregistrer le projet sous le même nom. Le projet est automatiquement stocké dans le Dossier de projets indiqué dans la fenêtre Préférences.

Pour créer une copie du projet, au lieu de la commande Enregistrer sous, sélectionnez la commande Dupliquer dans la fenêtre Choix du projet.

-

Tester: permet d'afficher à travers le navigateur interne un aperçu du site réalisé.

Si vous sélectionnez l'option Mettre à jour les pages au cours de la modification du Projet dans la fenêtre Préférences, au terme de chaque modification (quand vous cliquez par exemple sur le bouton Ok ou sur Suivant), le programme recrée tout ce qui est relatif à la modification. Cela permet de maintenir toujours à jour l'aperçu du site et de l'afficher sans attendre.
Par ailleurs, si vous sélectionnez l'option Enregistrer à chaque Aperçu, dans la fenêtre Préférences, quand vous cliquerez sur le bouton Tester, le programme enregistrera aussi le projet.
Pour forcer la création de l'aperçu du site, vous pouvez maintenir enfoncée la touche CTRL et cliquer sur le bouton Tester.

Barre d'outils latérale

WebSite X5 permet de réaliser un site Internet en 5 étapes. Les boutons situés dans la colonne gauche de la fenêtre du programme indiquent la phase du processus de création du site en cours ou permettent de sauter directement à l'une des phases sans suivre l'ordre proposé.

 | Choix du projet
1. | Paramètres généraux
2. | Création du plan
3. | Création des pages
4. | Paramètres avancés
5. | Exporter

Barre d'outils inférieure

- | Précédent: permet de revenir à la fenêtre précédente pour modifier les configurations déjà effectuées.
- | Suivant: permet de passer à la fenêtre suivante pour poursuivre la création du site.


Bienvenue dans Incomedia WebSite X5

Cette fenêtre de bienvenue apparaît quand vous lancez WebSite X5, elle propose des liens vers des ressources et le matériel enligne utiles pour bien travailler avec le logiciel. Ces liens apparaissent sous forme d'un tableau à boutons latéral organisé comme suit:

 Didacticiel vidéo
Affiche une série de Didacticiels vidéo utiles pour comprendre comment commencer à travailler avec le programme.

Gallery
Pour visiter la Gallery, à savoir les archives enligne des sites réalisés avec WebSite X5 qui ont été signalés directement par leurs auteurs.

Télécharger de nouveaux modèles
Pour accéder à la section Modèles X5 du site officiel de WebSite X5 et télécharger de nouveaux modèles à ajouter à la liste des modèles préinstallés.

Assistance
Pour se connecter au Centre assistance, disponible en italien, anglais et allemand, et consultez les réponses aux questions les plus fréquentes ou demander l'assistance.

Préférences
Pour rappeler la fenêtre Préférences permettant de définir certains paramètres généraux relatifs au fonctionnement du programme.

Rechercher des mises à jour
Pour vérifier la disponibilité de mises à jour enligne pour la version installée de WebSite X5.

Outre ces boutons, la fenêtre de Bienvenue présente des contenus qui peuvent être mis à jour (si la connexion Internet est active) au cours du temps en proposant des sujets comme: des informations sur l'état de mise à jour du programme installé, des News, des contenus spéciaux (Messages d'approfondissement, WhitePaper, Tips&Tricks), de nouveaux Didacticiels vidéo, des promotions en cours.

Si la connexion Internet n'est pas disponible, la fenêtre de Bienvenue montre une page standard. Cette page s'affiche également si vous désactivez l'option Rechercher des mises à jour au démarrage du programme dans la fenêtre Préférences.

Après avoir exploré les contenus de la fenêtre de Bienvenue, vous pouvez commencer la création d'un site en cliquant sur le bouton Démarrer.


Fenêtre Préférences

Cette fenêtre, rappelée à l'aide du bouton Préférences de la Page de Bienvenue, permet de définir certains paramètres généraux relatifs au fonctionnement du programme.

Les options disponibles sont:

-

Dossier de projets: permet d'indiquer le dossier où sera enregistré le fichier de projet (fichier Project.IWP), en cas de création d'un nouveau projet ou d'importation d'un projet déjà existant (voir Choix du projet| Importer projet). Si vous sélectionnez cette option, quand vous cliquerez sur le bouton Enregistrer pendant le travail de développement du site, le projet sera directement enregistré sans vous demander dans quel dossier de destination.

-

Rechercher des mises à jour au démarrage du programme: activée par défaut, permet de vérifier automatiquement la disponibilité des mises à jour à chaque lancement du programme. Pour effectuer cette recherche, le programme se connecte au serveur Incomedia via Internet.

Il est conseillé de laisser cette option sélectionnée pour avoir la certitude de travailler toujours avec la version la plus à jour de WebSite X5.

-

Enregistrer à chaque Aperçu: permet d'enregistrer automatiquement le projet chaque fois que vous demandez l'aperçu dans le navigateur à travers la commande Tester.

-

Créer une copie de sauvegarde à chaque enregistrement: activée par défaut, fait en sorte que le programme crée automatiquement une copie de sauvegarde (fichier Backup.IWP) avant chaque enregistrement du projet.

-

Créer copie de sauvegarde lors de chaque téléchargement en amont: fait en sorte que le programme crée automatiquement une copie de sauvegarde (fichier Uploaded_TimesTemp.IWP, où "TimesTemp" indique la date et l'heure de la création de la sauvegarde) du projet chaque fois que vous publiez un site enligne (voir Exportation du site sur Internet).

Selon l'option définie, à chaque enregistrement ou publication, le programme crée automatiquement une copie de sauvegarde de la version du projet précédent l'enregistrement ou la publication: cette copie est stockée avec le nom Backup.IWP ou Uploaded_TimesTemp.IWP dans le Dossier des projets.
Pour rétablir une copie de sauvegarde il faut, après avoir supprimer le fichier de projet Project.IWP, renommer le fichier Backup.IWP ou le fichier Uploaded_TimesTemp.IWP en Project.IWP.

-

Mettre à jour les pages au cours de la modification du Projet: activée par défaut, fait en sorte que les pages relatives au site soient créées pendant la modification du projet.

Dans le détail, chaque fois que vous terminez une modification (en cliquant par exemple sur un bouton OK ou Suivant), le programme recrée tout ce qui concerne la modification. Cela permet de maintenir toujours à jour l'aperçu du site et de l'afficher sans attendre.

-

Nombre max de traitements simultanés: permet de définir le nombre de processus (ou Thread) lancés par le programme qui doivent être exécutés simultanément par l'ordinateur.

Le partage d'un processus en plusieurs processus exécutés simultanément est nommé Multithreading et, pour fonctionner, il doit être supporté par l'ordinateur. Plus simplement, le Multithread essai d'exploiter au mieux l'unité de calcul de l'ordinateur en lui faisant exécuter plusieurs threads en parallèle. Grâce à cette technique, un programme comme WebSite X5, qui a été développé en partageant la charge de travail en plusieurs threads, peut avoir des améliorations considérables au niveau des performances.
Pour obtenir un avantage réel du Multithreading, vous devez bien évaluer la configuration matérielle de votre ordinateur. Il est conseillé de commencer par 5 processus simultanés et d'augmenter progressivement ce paramètre pour identifier le meilleur nombre répondant à vos exigences.

-

Type de script du formulaire de courriel: permet de choisir le script à utiliser pour envoyer l'email géré par le programme relatif, par exemple, à l'utilisation de l'Objet Formulaire d'envoi d'email ou à la création d'un Panier e-commerce. Par défaut , le programme utilise le Script standard: si ce script ne fonctionne pas à cause des configurations du serveur utilisé, il est conseillé d'essayer de le remplacer et de définir les options Script serveur de basse qualité ou Script à bas niveau.

-

Soumission des données du formulaire de courriel: permet de choisir la méthode d'envoi des données à utiliser pour envoyer des données de l'Objet Formulaire d'envoi d'email. Par défaut, le programme utilise la méthode POST mais, comme certains serveur pourraient ne pas être définis correctement pour le supporter, vous pouvez choisir d'utiliser la méthode GET.

Vous savez que le protocole HTTP (Hypertext transfert Protocol) est utilisé comme système principal pour la transmission d'informations sur le Web. Ce protocole fonctionne selon un mécanisme de question/réponse où le Client pose une question et le serveur donne une réponse. En général, le Client correspond au navigateur et le serveur au site web.
Les messages HTTP de question/réponse ont, bien évidemment, leur propre syntaxe. Notamment, dans les messages de question, il faut indiquer une méthode et, parmi celles disponibles, les plus courantes sont GET et POST.
La méthode GET est utilisée pour obtenir le contenu de la ressource indiquée comme objet de la question (par exemple la page web voulue).
La méthode POST, en revanche, est utilisée en général pour envoyer des informations au serveur (par exemple les données d'un formulaire).
Donc, dans le cas spécifique du formulaire e-mail, la méthode POST est la plus appropriée mais, comme elle n'est pas supportée par le serveur, WebSite X5 permet d'utiliser la méthode GET.


Choix du projet

Après avoir lancé WebSite X5, vous accédez à la Page de Bienvenue puis vous ouvrez la fenêtre Choix du projet où vous devez indiquer le projet sur lequel vous voulez travailler.

Vous pouvez créer un nouveau projet ou modifier un projet existant.

-

Créer un nouveau Projet: si vous sélectionnez cette option, vous procédez à la réalisation d'un nouveau site dont vous devez indiquer immédiatement le nom dans le champ situé au-dessous. Pour enregistrer le projet créé, cliquez sur le bouton Enregistrer situé dans la barre d'outils supérieure.

Pendant les opérations d'enregistrement, vous ne devez pas indiquer le chemin car les projets sont automatiquement gérés par le programme et enregistrés dans le Dossier des projets défini à travers la fenêtre Préférences.

-

Modifier un Projet existant: si vous sélectionnez cette option, vous ouvrez un projet créé précédemment afin de le modifier ou le mettre à jour.

Tous les projets déjà existants sont affichés dans la liste appropriée. Pour sélectionner plus facilement le projet à ouvrir, vous disposez de différents affichages: Grandes icônes, [image] Titres, [image] Liste et [image] Détails. Par ailleurs, la commande [image] Afficher les groupes permet de regrouper tous les projets et de les afficher en fonction de la date de dernière modification.

La liste des projets existants peut être gérée à travers les commandes suivantes:
- | Importer: permet de définir, dans la fenêtre Importer projet, un projet créé précédemment et exporté (voir Exporter le projet) avec WebSite X5 à partir d'un PC différent.
- | Renommer: permet de modifier le nom du projet sélectionné.
- | Dupliquer: permet de créer une copie du projet sélectionné.
- | Supprimer: permet de supprimer le projet sélectionné.

Sujets corrélés:
- | Importer projet
- | Exporter le projet


Choix du projet | Importer projet

Cette fenêtre, rappelée en cliquant sur le bouton Importer présent dans la section Choix du projet, permet de définir un projet créé précédemment sur un ordinateur différent et de l'exporter à l'aide de la fonction Exporter le projet. Grâce à cette fonction spécifique d'exportation, vous pouvez obtenir un seul fichier comprimé (format .IWZIP) contenant le fichier projet d'origine (format .IWP) et tous les fichiers qui y sont reliés (par exemple, relatifs aux images, aux vidéos ou aux animations importées).

Dans le détail, la fenêtre Importer projet présente les rubriques suivantes:
- | Fichier Projet à importer: permet de sélectionner le fichier projet (format .IWZIP) à importer.
- | Copier tous les fichiers liés au projet dans ce dossier: permet d'indiquer le dossier à l'intérieur duquel les fichiers associés au fichier projet seront copiés. Vous savez ainsi quel dossier vous devez ouvrir pour pouvoir rappeler les fichiers associés au projet.

Pratiquement

Après avoir créé un projet sur l'ordinateur A, si vous voulez le déplacer sur un ordinateur B, procédez comme suit:

-

Sur l'ordinateur A
- | Ouvrez le projet et, dans l'étape 5 - Exporter, choisissez l'option Exporter le projet.
- | Indiquez le Dossier de destination pour le projet et confirmez.

-

Transférez le fichier comprimé obtenu de l'exportation (à savoir le fichier MonProjet.iwzip, où "MonProjet" est le nom du projet de départ) de l'ordinateur A à l'ordinateur B.

-

Sur l'ordinateur B
- | Ouvrez le programme et dans la fenêtre Choix du projet, cliquez sur le bouton Importer: utilisez la fenêtre Importer projet pour sélectionner le fichier comprimé précédemment exporté et transféré (à savoir MonProjet.iwzip).
- | Toujours dans la fenêtreImporter projet, indiquez le dossier où vous voulez copier tous les fichiers associés au fichier projet.
- | Au terme de l'importation, sélectionnez le projet et cliquez sur le bouton Suivant pour exécuter le développement ou la mise à jour du site.

Nous avons déjà dit que le fichier .IWZIP obtenu avec l'exportation est un fichier comprimé contenant le fichier projet d'origine et les fichiers qui y sont reliés. Après l'importation, ce fichier est automatiquement décomprimé:

-

le fichier projet .IWP est enregistré dans le Dossier des projets défini dans la fenêtre Préférences et est affiché dans la liste des projets de la fenêtre Choix du projet;

-

les fichiers associés sont en revanche enregistrés dans le dossier indiqué qui est organisé en sous-dossiers selon le critère suivant:
- | Sous-dossier Général: il contient les fichiers définis dans les Paramètres généraux tels que l'icône du site, les images/animations utilisées dans le modèle personnalisé ou pour personnaliser l'en-tête de titre.
- | Sous-dossiers ObjImage, ObjVidéo, ObjFlash, etc.: ils contiennent les fichiers utilisés pour créer les objets insérés dans les pages du site.
- | Sous-dossier Advanced: il contient les fichiers définis dans les Paramètres avancés tels que le curseur pour les liens, les images des listes à puces des sous-menus, les icônes du panier e-commerce, les drapeaux pour choisir la langue de consultation, etc.
- | Sous-dossier Links: il contient les fichiers associés aux liens présents dans le site.
- | Sous-dossier Aspect: il contient les fichiers utilisés pour définir l'aspect des cellules de la grille de mise en page.

Sujets corrélés:
- | Choix du projet
- | Exporter le projet


Paramètres généraux

Cette fenêtre initiale, la première de l'étape 1, sert à collecter dans des champs appropriés certaines informations nécessaires pour configurer les paramètres de base du projet sur lequel vous êtes en train de travailler.

Il est important, par exemple, de définir un titre, d'indiquer l'URL, de définir une langue et de prévoir les codes et les Méta tags nécessaires pour activer des services supplémentaires comme celui des statistiques d'accès.
Tous ces paramètres peuvent être définis immédiatement ou par la suite.

Dans le détail, les options disponibles sont présentées dans les sections suivantes:
- | Section Générales
- | Section Avancées


Paramètres généraux - Section Générales

Paramètres généraux| Section Générales

La section Générales de la fenêtre Paramètres généraux permet d'indiquer les paramètres suivants:

-

Titre du site: dans ce champ, tapez le titre du site. Ce titre qui sera affiché dans la barre de titre du Navigateur est, bien évidemment, un paramètre important pour permettre aux utilisateurs et aux moteurs de recherche d'identifier correctement le site.
Comme titre du site, le programme prend automatiquement le nom affecté au projet (voir Choix du projet): en tout cas, le titre du site peut être modifié et établi en fonction du sujet traité et des exigences d'optimisation spécifiques.

-

Auteur du site: tapez le nom de la personne ou de la société étant l'auteur du site. Le nom de l'auteur est indiqué dans le code HTML des pages réalisées comme valeur du Méta tag <author>: vous mettez ainsi votre signature sur votre travail.

-

Adresse Url du site: tapez l'adresse URL (par exemple, http://www.miosito.com) à laquelle le site sera disponible après sa publication. Cette information est nécessaire pour le bon fonctionnement d'éventuels Flux RSS, du Panier e-commerce et du Plan du site qui est automatiquement créé et relié par le programme.

-

Description du site: tapez une brève description de votre site. La description du site doit être succincte, efficace et précise: elle sera en effet utilisée dans le code HTML comme contenu du Méta tag <description> et sera analysée par les spiders des moteurs de recherche.

-

Mots-clé pour la recherche: dans ce champ, vous pouvez entrer une liste de mots clé (séparés par une virgule) qui sont importants pour le site. Les mots-clé seront insérés dans le code HTML comme valeur du Méta tag <keywords> et pourront être utilisés par les moteurs de recherche.

La description du site et la liste des mots-clé insérés dans ces champs sont automatiquement associées à la page d'accueil du site.
Pour optimiser le site, il est conseillé d'associer à chaque page, ou au moins aux plus importantes, une description et une liste des mots-clé spécifiques. Pour ce faire, accédez à la fenêtre Création du plan, sélectionnez la page voulue et cliquez sur la commande Propriétés de page.

-

Langue du contenu: dans ce champ, vous définissez la langue du site. Selon la langue choisie, le programme utilise la version relative des textes qu'il insère automatiquement: des liens vers des ancres internes, des étiquettes de l'Objet Formulaire d'envoi d'email, des étiquettes et des textes du Panier e-commerce, des textes du Plan du site.

Pour modifier les textes insérés automatiquement par le programme ou ajouter une nouvelle langue, cliquez sur le bouton [image] et utilisez les options de la fenêtre Gestion du contenu linguistique (voir Comment gérer les langues pour les textes insérés automatiquement).

-

Icône du site: ce champ permet de choisir une icône (fichier .ico ou .png) à associer aux pages Web du site. Cette icône sera affichée à gauche de l'URL dans la barre d'adresses du navigateur Internet.

Comme icône associée à un site (ou favicon, de l'anglais favorites icon), vous pouvez utiliser une image au format .ICO, .PNG, .GIF et .JPG.
Alors que les fichiers .ICO sont utilisés tels qu'ils sont, pour les fichiers au format .PNG, .GIF et .JPG, de n'importe quelle taille, WebSite X5 crée automatiquement une copie en fichier .PNG de 16x16 pixels et utilise cette copie comme favicon.

Sujets corrélés:

-

Comment gérer les langues pour les textes insérés automatiquement


Paramètres généraux - Section Avancées

Paramètres généraux| Section Avancées

La section Avancées de la fenêtre Paramètres généraux permet d'indiquer les paramètres suivants:

-

Code personnalisé pour la section HEAD: tapez le code HTML que vous voulez insérer dans la section <head> de chaque page. Cette fonction est particulièrement utile pour inclure des bibliothèques ou des feuilles de style (CSS) externes ou internes.

-

Méta Tag de vérification pour Google WebMaster Tools: tapez le Méta tag de vérification nécessaire pour pouvoir utiliser les outils offerts par Google Webmaster Central.

Pour plus d'informations sur le service Google WebMaster Central et pour obtenir un compte, cliquez sur le bouton [image] et accédez au site officiel: http://www.google.com/webmasters/.

-

Code pour l'activation des statistiques: tapez le code nécessaire pour activer les services de statistiques du site, par exemple Google Analytics, et obtenir des informations utiles sur la quantité et la qualité des visites qu'il reçoit.

Pour plus d'informations sur le service Google Analytics et pour obtenir un compte, cliquez sur le bouton [image] et accédez au site officiel: http://www.google.com/analytics/.

-

Créer automatiquement le SiteMap: activée par défaut, cette option fait en sorte que le Plan du site soit automatiquement créé et relié.

Pour bien construire le Plan du site et pour qu'il fonctionne correctement, il faut taper une adresse URL valide dans le champ Adresse Url du site présent dans la section Générales de la fenêtre Paramètres généraux.

-

Activer la protection d'accès code HTML: si vous sélectionnez cette option, les pages du site publié sont protégées en désactivant le clic du bouton droit de la souris pour demander l'affichage du code source ou la copie des images présentes.

Sujets corrélés:
- | Que faire pour pouvoir utiliser Google WebMaster Tools ?
- | Comment activer un service de statistiques comme, par exemple, Google Analytics ?
- | Comment créer et connecter le Plan du site ?


Sélection du modèle

L'un des facteurs qui concourent à déterminer le succès d'un site web est sûrement l'aspect graphique. Avant d'arriver aux contenus et à la structure de navigation, l'aspect du site frappe en effet le navigateur, en influençant de manière déterminante son jugement. Un design soigné et professionnel est interprété comme l'indice d'un site de qualité qui vaut la peine d'approfondir ses contenus.

WebSite X5 permet de définir l'aspect du site en choisissant le modèle graphique à appliquer dans une galerie de plus de 1.500 modèles, ou en créant un modèle personnalisé ex novo.

Tous les modèles prédéfinis ont été étudiés dans les plus petits détails pour garantir un très bon résultat et ils offrent 4 variantes différentes de style s'adaptant facilement aux exigences spécifiques. Grâce à l'éditeur interne, tous les modèles prédéfinis peuvent être largement personnalisés.

Tout d'abord, pour définir le style graphique du site, sélectionnez une des options suivantes:
- | Modèle personnalisé: pour définir votre propre style.
- | Modèle prédéfini: pour appliquer un modèle prédéfini choisi parmi les modèles proposés.

Si vous décidez de choisir un modèle prédéfini, parcourez la liste des modèles disponibles. Comme les modèles sont très nombreux, pour faciliter le choix, ils sont partagés en catégories thématiques. Après avoir sélectionné une catégorie dans le menu approprié, le programme affiche une miniature de tous les modèles qu'elle comprend. Si vous sélectionnez une miniature, vous affichez un Aperçu plus grand.

Après avoir sélectionné un modèle, vous pouvez définir les Options suivantes:

-

Type de menu: permet de définir la structure du site en choisissant comment prédisposer le menu de navigation fixe. Vous pouvez choisir parmi les structures à Menu vertical ou Menu horizontal.

Dans les versions précédentes de WebSite X5, le choix entre le menu horizontal et le menu vertical était effectué dans la fenêtre Choix du menu qui n'existe plus dans la version 9.

-

Styles: pour chaque modèle, vous disposez de 4 variantes de style, chacune représentée dans un petit aperçu. Pour agrandir l'aperçu d'une variante ou pour la sélectionner, cliquez sur celui-ci.

Dans la version 8 de WebSite X5, chaque modèle disposait de 4 Couleurs: les variantes de style actuelles ont des palettes de couleurs, des paramétrages et des éléments graphiques différents.

-

Tonalités: en plus des 4 variantes de style prédéfinies, vous pouvez agir sur le curseur Effet Masque pour obtenir une variante de couleur originale. Grâce à cette option, les variantes graphiques deviennent presque infinies.

Les modèles sont optimisés pour un écran à résolution 1024 par 768 pixels. Si vous voulez créer un site avec une résolution différente, choisissez le Modèle personnalisé.

Sujets corrélés:
- | Comment est organisé le dossier Modèles relatif aux modèles préinstallés
- | Où trouver les nouveaux modèles pour WebSite X5


Comment est organisé le dossier Modèles relatif aux modèles préinstallés

Pour modifier un modèle préinstallé ou ajouter dans la liste des modèles disponibles un propre modèle, vous devez savoir comment et où les modèles sont enregistrés lors de l'installation de WebSite X5.

Les fichiers graphiques relatifs aux différents modèles prédéfinis sont stockés dans le sous-dossier /Templates du dossier d'installation du programme.

Par exemple, les fichiers relatifs au modèle "City" présent dans la catégorie "2.Travel" sont enregistrés avec les chemins suivants:
- | /Templates/2.Travel/City/Hor - pour les modèles avec le menu de navigation horizontal;
- | /Templates/2.Travel/City/Ver - pour les modèles avec le menu de navigation vertical.
Les sous-dossiers /Hor et /Ver contiennent d'autres sous-dossiers numérotés de 1 à 4. Ces 4 sous-dossiers correspondent chacun à une variante de style du modèle. En effet, dans la fenêtre Sélection du modèle, si vous pointez la souris sur les boutons permettant de choisir la variante de style à appliquer, le programme affiche une info-bulle indiquant le numéro correspondant au nom du sous-dossier.

Le sous-dossier du modèle (/Templates/2.Travel/City) contient le fichier settings.xml. Ce fichier de texte contient certains paramètres de base comme: ContentHorWidth et ContentVerWidth (la largeur des contenus pour le modèle au menu horizontal ou vertical), MenuHorWidth (la largeur du menu horizontal), MenuHorHeight (la hauteur du menu horizontal). Les valeurs de ces paramètres sont exprimées en pixels.

Les sous-dossiers #1, #2, #3 et #4 accueillent les fichiers graphiques (fichier JPG) relatifs aux images utilisées pour composer le modèle.

En plus des 4 sous-dossiers cités, les dossiers /Hor et /Ver contiennent les fichiers suivants, communs aux 4 variantes de style:
- | index.html: contient le code relatif à la structure de base du modèle.
- | template.css: c'est la feuille de style où figurent les instructions nécessaires pour définir certaines prédispositions de base sur la présentation des contenus.

Sujets corrélés:

-

Sélection du modèle


Où trouver les nouveaux modèles pour WebSite X5

Si vous recherchez un nouveau modèle à utiliser dans la création ou le restyling du votre site web, vous trouverez de nombreux modèles dans WebSite X5 Templates, la section du site officiel de WebSite X5 qui se trouve à l'adresse www.websitex5.com/templates.

WebSite X5 Templates propose un grand nombre de modèles graphiques, réalisés par Incomedia ou d'autres utilisateurs, aussi bien gratuits que payants, que vous pouvez télécharger et utiliser pour votre projet.

Par ailleurs, vous pourrez enrichir les archives des modèles en y insérant vos travaux. Si vous êtes passionnés d'art graphique Web, vous pouvez devenir l'un de nos auteurs affiliés, proposer vos modèles et gagner de l'argent grâce à cette activité. Pour plus d'informations sur l'affiliation, accédez à l'adresse www.websitex5.com/templates/affiliates

N'oubliez pas de rendre visite périodiquement à WebSite X5 Templates pour voir les nouveautés: vous pouvez également souscrire le Flux RSS pour être constamment mis à jour sur les nouveautés.

Sujets corrélés:

-

Sélection du modèle


Modèle personnalisé

WebSite X5 permet de créer un modèle de style personnalisé ex novo: pour ce faire, sélectionnez l'option Modèle personnalisé dans la fenêtre Sélection du modèle et cliquez sur le bouton Suivant.

Pour faciliter le travail, la fenêtre Modèle personnalisé offre un Aperçu montrant une représentation schématique de la page. Vous pouvez choisir la section à modifier dans la liste ou cliquer directement sur les différentes zones de la structure de la page pour les sélectionner, modifier leur aspect à l'aide des commandes appropriées et voir immédiatement le résultat des actions exécutées.

Pour créer un modèle personnalisé, vous devez indiquer tout d'abord le Type de menu, à savoir à quel endroit et dans quel sens doit être positionné le menu de navigation à l'intérieur des pages du site.
Les possibilités sont: Horizontal - Menu au-dessus de l'en-tête, [image] Horizontal - Menu sous l'en-tête, [image] Vertical - Menu à gauche.

 Dans les versions précédentes de WebSite X5, le choix entre le menu horizontal et le menu vertical était effectué dans la fenêtre Choix du menu qui n'existe plus dans la version 9.

Après avoir choisi le type de menu, sélectionnez la section de la page sur laquelle vous voulez travailler.

Voici les sections de la page:

 Arrière-plan de la page: c'est la zone externe de la page qui est affichée quand la fenêtre du navigateur est ouverte avec une taille dépassant la résolution du site.

En-tête: c'est l'en-tête, ou bannière supérieure, une section principalement graphique idéale pouvant contenir des éléments tels que le titre et le sous titre du site, le logo de la compagnie, des champs de recherche, le menu de service avec des liens, par exemple pour afficher le Plan ou choisir la langue de consultation.

Menu: c'est la zone destinée à accueillir la navigation fixe, à savoir les rubriques de premier niveau du menu qui ne changent pas dans chaque page du site. Bien évidemment, la position de cette zone change en fonction de la structure du site choisie.

Contenu de la page: c'est la zone destinée à accueillir le contenu des pages et, éventuellement, les sous-menus de navigation.

Pied de page: c'est le pied de page, une autre section principalement graphique qui a pour but de terminer visuellement la page. En général, cette zone contient des éléments comme des remarques, des avis de non-responsabilité, le copyright, le code de Siret, des adresses email.

Arrière-plan du pied de page: c'est la partie de l'arrière-plan du site qui commence exactement à la hauteur du pied de page. Si elle est définie comme Transparent l'arrière-plan du pied de page est traité comme partie intégrante de l'arrière-plan de la page et prend le même aspect. Dans des cas particuliers (par exemple, si vous voulez une bande pour le pied de page qui occupe toute la largeur de la fenêtre du navigateur), il peut être utile de choisir un arrière-plan du pied de page différent de l'arrière-plan de la page.

Pour toutes les zones mentionnées ci-dessus, vous pouvez utiliser les options suivantes:
- | Couleur: permet de définir la couleur d'arrière-plan pour la zone de la page sélectionnée en rappelant la fenêtre Couleur.
- | Fichier image: permet de définir une image (.jpg, .gif ou .png) à appliquer comme arrière-plan de la page sélectionnée. Dans le cas de l'En-tête ou du Pied de page, vous pouvez prévoir même une animation Flash (.swf).
- | Disposition: permet de définir s'il faut répéter ou non l'image utilisée comme arrière-plan de la cellule. L'image peut être répétée horizontalement, verticalement ou dans les deux sens pour remplir tout l'espace disponible. Par ailleurs, seulement pour la section Arrière-plan de la page, vous pouvez adapter l'image, à savoir la redimensionner pour qu'elle couvre tout l'arrière-plan: dans ce cas, les proportions d'origine ne sont pas respectées.
- | Alignement: permet de choisir l'alignement de l'image sur la page.

Seulement pour la zone Arrière-plan de la page vous disposez de l'option:

-

Image d'arrière-plan fixe: si vous sélectionnez cette option, l'image insérée comme arrière-plan de la page reste fixe même quand vous faites défiler le contenu de la page à l'aide de la barre de défilement.

Pour les zones En-tête et Menu vous disposez de l'option:

-

Largeur: indique la valeur exprimée en pixels de la largeur de la zone de la page sélectionnée. Pour le menu Vertical, la largeur est définie par défaut sur 960 pixels pour la section En-tête et 120 pixels pour la section Menu mais vous pouvez les modifier à votre gré. Pour le menu Horizontal, la largeur définie pour l'En-tête est automatiquement appliquée au menu, au contenu de la page et au Pied de page.

La largeur définie par défaut est calculée pour obtenir un affichage du site optimisé à 1024x768 pixels.

Pour les zones En-tête, Menu (seulement pour le menu Horizontal) et Pied de page vous disposez de l'option:

-

Hauteur: indique la valeur exprimée en pixels de la hauteur de la zone de la page sélectionnée.

Enfin, pour les sections Arrière-plan de la page, Menu et Contenu de la page vous disposez des options:

-

Marge supérieure / Marge du bas: permettent d'indiquer, respectivement, la valeur en pixels à définir pour les marges supérieure et inférieure. La marge correspond à l'espace vide entre la bordure de la section et son contenu.

Seulement pour les sections Menu et Contenu de la page vous disposez aussi des options:

-

Marge gauche / Marge droite: permettent d'indiquer, respectivement, la valeur en pixels à définir pour les marges gauche et droite.

La largeur effective de la page du site est donnée par la largeur du Contenu de la page (qui dépend de la largeur de l'En-tête) à laquelle il faut soustraire la marge gauche et la marge droite.

L'en-tête du modèle réalisé peut être complété en insérant des textes, des images, des animations Flash, des diaporamas, des champs de recherche et des liens: les options nécessaires sont présentées dans la fenêtre Modification du modèle que vous rappelez en cliquant sur le bouton Suivant.

Sujets corrélés:
- | Sélection du modèle
- | Modifier le modèle


Modifier le modèle

Après avoir choisi l'un des modèles prédéfinis dans la fenêtre Sélection du modèle ou avoir créé un modèle ex novo dans la fenêtre Modèle personnalisé, vous accédez à la fenêtre Modifier le modèle. Les sections En-tête et Pied de page de cette fenêtre permettent de personnaliser, respectivement, l'en-tête et le pied de page du modèle en ajoutant des textes, des images, des animations Flash, des diaporamas, un code HTML, des champs de recherche et des liens.

 Quand vous travaillez sur l'image de l'En-tête ou celle du Pied de page, les commandes et les options disponibles sont identiques.

Dans les sections En-tête ou Pied de page, si vous insérez comme arrière-plan une animation Flash, la fenêtre Modifier le modèle ne permet pas de la personnaliser.

La fenêtre présente un éditeur graphique où, sous la barre d'outils, le programme prend automatiquement l'image utilisée comme arrière-plan de l'En-tête ou du Pied de page du modèle choisi (aussi bien prédéfini que personnalisé): l'image est affichée à l'échelle 1:1 et vous pouvez, si nécessaire, la faire défiler à l'aide de barre de défilement horizontal. Le programme montre en temps réel toutes les modifications effectuées sur cette image à travers les commandes disponibles.

Sous l'image chargée se trouve une barre d'état indiquant:
- | Position: affiche les coordonnées x et y qui identifient la position de l'angle supérieur droit de l'objet sélectionné.
- | Taille: affiche la valeur exprimée en pixels de la largeur et de la hauteur de l'objet sélectionné.

Après avoir inséré un objet à l'aide de la commande appropriée de la barre d'outils, vous pouvez le sélectionner et le modifier à travers les options présentes dans le cadre portant le nom de cet objet.

Vous pouvez donc avoir un cadre En-tête / Pied de page, un cadre Texte, un cadre Image, un cadre Animation Flash, un cadre Diaporama, un cadre Code HTML et un cadre Champ de recherche.

Par ailleurs, vous disposez du cadre Effets qui est commun aux objets Texte, Image et Diaporama.

Sujets corrélés:
- | Sélection du modèle
- | Modèle personnalisé


Modifier le modèle| Barre d'outils

Dans la fenêtre Modifier le modèle, la barre d'outils de l'éditeur graphique présente les commandes suivantes:

 Couper [CTRL+X] - Copier [CTRL+C] - Coller [CTRL+V]
Permettent, respectivement, de couper, copier et coller l'objet sélectionné.

Annuler [CTRL+Z]
Permet d'annuler la dernière opération.

Mettre au premier plan - Mettre au second plan
Permettent, respectivement, de mettre l'objet sélectionné en premier ou second plan, à savoir au-dessus ou au-dessous des autres objets éventuellement superposés.

Associer un lien
Permet de définir un lien sur le texte, sur l'image ou sur les images du Diaporama sélectionnées. Vous pouvez définir les configurations du lien dans la fenêtre Lien.

Position et taille
Permet de définir, dans la fenêtre rappelée, les coordonnées qui déterminent la position et les dimensions de l'objet sélectionné. L'option Conserver la proportion, activée par défaut, fait en sorte que les opérations de redimensionnement ne changent pas les proportions d'origine de l'objet.

Insérer texte - Insérer image - Insérer animation Flash - Insérer Diaporama - Insérer code HTML - Insérer champ de recherche
Permettent, respectivement, d'insérer un texte, une image, une animation Flash, un diaporama, un code HTML ou un champ de recherche.
Le diaporama est composé d'une séquence d'images qui défilent automatiquement l'une après l'autre: il peut être utile pour créer des bannières publicitaires.
Si vous entrez un code HTML, vous pouvez ajouter n'importe quel type de contenu: ainsi, vous avez bien plus de possibilités que celles offertes par les commandes.
Enfin, le champ de recherche exploite un moteur interne permettant d'exécuter des recherches sur les contenus du site.

Les animations Flash et les objets Code HTML insérés s'affichent seulement quand vous ouvrez le site dans le navigateur.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre En-tête / Pied de page

Dans la fenêtre Modifier le modèle, si vous cliquez directement sur l'image d'arrière-plan des sections En-tête et Pied de page, vous la sélectionnez et vous pouvez alors agir sur les options du cadre En-tête / Pied de page:
- | Fichier image: permet d'afficher le chemin du fichier graphique utilisé. L'image présente peut être remplacée par une nouvelle image: vous pouvez utiliser les fichiers au format JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | Enregistrer comme image JPG: lors de la phase de création du site, les objets Texte et Image ajoutés dans l'En-tête/Pied de Page seront fondus avec l'image d'arrière-plan utilisée qui sera automatiquement enregistrée comme un nouveau fichier au format PNG. Le choix du format PNG permet de maintenir les éventuelles transparences définies. Si vous ne devez pas gérer des transparences particulières, vous pouvez sélectionnez l'option Enregistrer comme image JPG pour obtenir une image d'arrière-plan plus petite.

 Il est utile de connaître le chemin du fichier utilisé comme arrière-plan de l'En-tête/Pied de page pour l'identifier plus facilement, l'ouvrir, le modifier avec un éditeur externe et enregistrer une copie qui remplacera l'original.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre Texte

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet du texte inséré dans les sections En-tête et Pied de page, vous pouvez agir sur les options du cadre Texte:
- | Contenu: permet de saisir le contenu du texte.
- | Police: permet de définir le type de police, le style et la taille en points du texte.
- | Couleur texte / Couleur d'arrière-plan: permettent de définir, dans la fenêtre Couleur, la couleur des caractères et de l'arrière-plan du texte inséré.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre Image

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet Image inséré dans les sections En-tête et Pied de page, vous pouvez agir sur les options du cadre Image:
- | Fichier image: permet de sélectionner le fichier graphique relatif à l'image à insérer. Vous pouvez utiliser les fichiers au format JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | Fichier image au passage de la souris: permet de sélectionner un second fichier graphique qui sera affiché lors du passage de la souris sur l'image. Cette option est particulièrement utile pour créer des boutons avec l'effet enfoncé/relâché.
- | Activer la transparence: si vous sélectionnez cette option, la transparence est appliquée à l'image pour rendre invisible une couleur donnée.
- | Couleur de transparence: permet de définir, dans la fenêtre Couleur, la couleur de l'image qui doit devenir invisible quand l'option Activer transparence est sélectionnée. Dans ce cas, l'outil "compte-gouttes" est particulièrement utile, car il permet de capturer la couleur directement à partir de l'image.
- | Tolérance: permet de définir le facteur de tolérance pour appliquer la transparence. Plus la valeur de tolérance est grande, plus la zone de l'image devenue transparente est grande.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre Animation Flash

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet Animation Flash inséré dans les sections En-tête et Pied de page, vous pouvez agir sur les options du cadre Animation Flash:
- | Fichier animation: permet de sélectionner le fichier SWF relatif à l'animation Flash à insérer.
- | Arrière-plan transparent: si vous sélectionnez cette option, l'arrière-plan de l'animation devient invisible.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre Diaporama

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet Diaporama inséré dans les sections En-tête et Pied de page, vous pouvez agir sur les options du cadre Diaporama:
- | Liste des images: affiche la liste des images composant le Diaporama. Pour chaque image insérée, le programme indique le chemin du fichier ainsi que l'effet et le lien associés (s'ils sont présents). Si vous sélectionnez un fichier de la liste, celui-ci est affiché dans l'aperçu. Vous pouvez aussi effectuer une sélection multiple des fichiers à l'aide des commandes CTRL+clic et SHIFT+clic.
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter de nouvelles images ou de supprimer les images sélectionnées dans la liste de celles composant le diaporama. La fenêtre Sélection fichier permet de sélectionner plusieurs fichiers simultanément.
- | En haut / En bas: permettent, respectivement, de déplacer l'image sélectionnée avant ou après l'image précédente/suivante dans la liste d'images à afficher dans le Diaporama.
- | Effet: permet de rappeler la fenêtre Propriétés de l'effet permettant de définir les effets d'entrée, le mouvement, le zoom et les liens pour les images du Diaporama sélectionnées parmi celles présentes dans la liste d'images à afficher.
- | Lecture automatique: activée par défaut, cette option fait en sorte que le Diaporama parte automatiquement.
- | Afficher dans un ordre fortuit: si vous sélectionnez cette option, les images insérées dans le Diaporama sont reproduites dans un ordre fortuit et non pas dans l'ordre où elles apparaissent dans la liste d'images à afficher.

Sujets corrélés:
- | Modifier le modèle
- | Fenêtre Propriétés de l'effet


Modifier le modèle| Cadre Code HTML

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet HTML inséré dans les sections en-tête et Pied de page, vous pouvez agir sur les options du cadre Code HTML:
- | Code HTML: permet de saisir le code HTML relatif à l'objet à créer.
- | Afficher les barres de défilement: si cette option est sélectionnée, toutes les barres de défilement apparaissent sur la page.

Par ailleurs, vous pouvez cliquer sur le bouton [image] Insérer Snippetet, dans le menu rappelé, choisir si vous voulez insérer:

-

La date de publication [DATE]: permet d'insérer automatiquement la date de publication de la page. Par exemple, vous pouvez taper: "Page mise à jour le [DATE]".

-

L'heure courante [HOUR]: permet d'insérer automatiquement l'indication de l'heure courante. Par exemple, vous pouvez taper: "Il est [HOUR]".

-

La date courante [NOW]: permet d'insérer automatiquement le jour courant. Par exemple, vous pouvez taper: "Aujourd'hui c'est le [NOW]".

-

La déconnexion de la zone réservée [LOGOUT]: permet d'insérer automatiquement le terme Logout avec le lien nécessaire pour permettre à l'utilisateur de quitter la zone réservée (composée des Pages protégées auxquelles il peut accéder en saisissant ses données d'accès) et revenir à la Page d'accueil du site. Ce lien vers la déconnexion (Logout) n'est affiché que si l'utilisateur s'est connecté (Login) précédemment.

Le terme "Logout" peut être modifié dans la fenêtre Gestion du contenu linguistique.

Sujets corrélés:

-

Modifier le modèle


Modifier le modèle| Cadre Champ de recherche

Dans la fenêtre Modifier le modèle, si vous sélectionnez le Champ de recherche inséré dans les sections en-tête et Pied de page, vous pouvez agir sur les options du cadre Champ de recherche:
- | Nom du bouton: permet de définir le texte à afficher sur le bouton qui lance la recherche.
- | Police: permet de définir le type de police, le style et la taille en points du texte.
- | Couleurs du champ: permet de définir la couleur du texte et de l'arrière-plan du champ dans la fenêtre Couleur.
- | Couleurs de bouton: permet de définir la couleur du texte et de l'arrière-plan du bouton dans la fenêtre Couleur.

 Les résultats des recherches effectuées dans le site apparaissent dans des pages créées automatiquement par le programme: l'aspect graphique de ces pages est établi sur la base des paramètres de style des textes (voir Styles et Modèles dans l'étape 4 - Paramètres avancés).

Sujets corrélés:
- | Modifier le modèle
- | Comment fonctionne le moteur de recherche interne de WebSite X5


Modifier le modèle| Cadre Effets

Dans la fenêtre Modifier le modèle, si vous sélectionnez un objet Texte, un objet Image ou un objet Diaporama inséré, vous pouvez agir sur les options du cadre Effets:

-

Type d'effet: permet de sélectionner et d'activer un ou plusieurs effets à appliquer à l'objet sélectionné.

Sur chaque objet texte, image et diaporama, vous pouvez appliquer plusieurs effets simultanément; pour chaque effet, vous pouvez modifier différents paramètres:

Effet | Paramètres
Ombre | - | Diffusion: permet de définir jusqu'à quel point l'ombre doit être diffuse.
 | - | Couleur: permet de définir la couleur de l'ombre à appliquer à l'aide de la fenêtre Couleur.
 | - | Distance X / Distance Y: permettent de définir jusqu'à quel point l'ombre doit être déplacée horizontalement par rapport à l'objet auquel elle est appliquée. En insérant une valeur positive, vous obtenez un déplacement de l'ombre, respectivement, vers la droite ou le bas; en revanche, si vous tapez une valeur négative, vous obtenez un déplacement de l'ombre vers la gauche ou vers le haut.
Reflet | - | Diffusion: permet de définir jusqu'à quel point le reflet doit être diffus, à savoir quelle sera sa grandeur.
 | - | Distance: permet de définir jusqu'à quel point le reflet doit être distant de l'objet auquel il est appliqué.
Bordure colorée | - | Epaisseur: permet de définir la valeur en pixels de l'épaisseur de la bordure.
 | - | Couleur: permet de définir la couleur de la bordure à appliquer à l'aide de la fenêtre Couleur.
Lueur externe | - | Diffusion: permet de définir jusqu'à quel point la lueur doit être diffuse.
 | - | Couleur: permet de définir la couleur de la lueur à appliquer à l'aide de la fenêtre Couleur.
Bombé | - | Profondeur: permet de définir jusqu'à quel point l'effet bombé doit être accentué.
 | - | Diffusion: permet de définir jusqu'à quel point l'effet bombé doit être diffus.
 | - | Angle: permet de définir l'angle de l'effet bombé à appliquer.
Rotation | - | Angle: permet de sélectionner la valeur de l'angle de rotation (effectué dans le sens des aiguilles d'une montre) à appliquer.
Opacité | - | Opacité: permet de saisir une valeur de 0 à 255 pour définir le degré d'opacité de l'image. Plus les valeurs se rapprochent du 0, plus l'opacité de l'image devient transparente.
Flou | - | Diffusion: permet de définir jusqu'à quel point le flou doit être diffus.
Vague | - | Diffusion: permet de définir la grandeur de la vague.
 | - | Fréquence: permet de définir de combien les vagues doivent être rapprochées entre elles.
Perspective | - | Horizontale: permet de définir l'angle de fuite pour obtenir un effet de perspective vers la droite (valeurs positives) ou vers la gauche (valeurs négatives).
 | - | Verticale: permet de définir l'angle de fuite pour obtenir un effet de perspective vers le bas (valeurs positives) ou vers le haut (valeurs négatives).
Distorsion | - | Horizontale: permet de positionner le point vers lequel vous voulez définir la distorsion le long du plan horizontal, à droite (valeurs positives) ou à gauche (valeurs négatives).
 | - | Verticale: permet de positionner le point vers lequel vous voulez définir la distorsion le long du plan vertical, en haut (valeurs positives) ou en bas (valeurs négatives).

Sujets corrélés:

-

Modifier le modèle


Création du plan

Un site Web peut être défini comme un ensemble structuré de pages. Définir correctement cette structure est très important car elle détermine comment les pages seront associées entre elles et elle définit les chemins de navigation disponibles portant aux informations.
Une bonne structure permettra à l'utilisateur de ne pas se perdre pendant la navigation, de savoir toujours où il se trouve et de réussir à atteindre, en quelques passages, les informations qu'il recherche. En revanche, une mauvaise structure provoquera une désorientation et de la frustration qui, dans le pire des cas, pousseront l'utilisateur à abandonner le site.

La fenêtre Création du plan permet de définir la structure du site en insérant toutes les pages nécessaires et en les organisant en niveaux et sous-niveaux. Après avoir dessiné le Plan comme une structure vide sans contenus, vous pouvez passer à la création de chaque page.

La fenêtre propose les sections suivantes:
- | Une représentation schématique du Plan;
- | Une barre d'outils située au-dessus de la représentation du Plan;
- | Une série de commandes pour dessiner le Plan.


Le schéma du plan du site

Dans la fenêtre Création du plan, la plus grande partie de l'espace est occupée par la représentation schématique du Plan à construire.

Par défaut, le programme propose une structure composée d'une Page d'accueil et d'un dossier Menu contenant 3 pages. En ajoutant les niveaux et les pages à l'aide des commandes appropriées, ces éléments sont insérés dans le dossier Menu du Plan qui prend forme au fur et à mesure.
Si, à travers les sections de l'étape 4 - Paramètres avancés, le site est complété avec l'introduction d'une Page d'accueil, un Blog, une zone réservée (il suffit qu'une seule page ait été définie comme Page protégée) ou un Panier e-commerce, le programme ajoute à la structure du plan le dossier Pages spéciales avec les rubriques correspondantes: Page d'accueil, Blog, Page de connexion et Panier virtuel e-commerce.

En plus de la structure arborescente du Plan, le programme montre, pour les pages insérées, certaines informations supplémentaires utiles comme le titre complet et la description. Bien évidemment, pour que ces informations soient affichées, il faut les définir précédemment dans la fenêtre Propriétés de page.

En travaillant directement sur le Plan, vous pouvez exécuter certaines opérations:
- | En cliquant une seconde fois sur un niveau ou une page sélectionné, y compris la Page d'accueil, vous pouvez le/la renommer (ou bien utilisez le bouton Renommer). Même les alias des pages spéciales insérés dans le dossier Menu peuvent être renommés, tandis que les pages spéciales non.
- | Après avoir sélectionné une page, cliquez directement sur le titre complet ou la description pour modifier les textes insérés (ou bien ouvrez la fenêtre Propriétés de page).
- | Si vous double-cliquez sur un niveau, vous pouvez l'ouvrir et voir toutes les pages qu'il contient, ou le fermer (vous pouvez aussi utiliser les boutons Ouvrir et Fermer). De même, vous pouvez ouvrir et fermer un niveau en cliquant sur la flèche précédant le nom.
- | Si vous double-cliquez sur une page, vous ouvrez la fenêtre Création de la page permettant de construire une page.
- | Un double-clic sur une page spéciale, ouvre la fenêtre de l'étape 4 - Paramètres avancés pour créer ou mettre à jour la page.
- | Si vous sélectionnez un niveau et vous le faites glisser dans une nouvelle position, vous déplacez toutes les pages qu'il contient (vous pouvez aussi utiliser les boutons En haut et En bas).
- | Si vous sélectionnez une ou plusieurs pages, vous pouvez les faire glisser et les déplacer dans une nouvelle position (vous pouvez aussi utiliser les boutons En haut et En bas). Pour effectuer une sélection multiple, vous pouvez utiliser les combinaisons CTRL+clic ou SHIFT+clic.
- | Si vous sélectionnez une page spéciale et la faites glisser dans le dossier Menu, à savoir entre les pages et les niveaux du menu de navigation, le programme créé un niveau qui se comporte comme un alias de la page spéciale. Ce niveau porte donc le nom de la page spéciale et prévoit un lien vers la page spéciale. Vous pouvez ainsi insérer, dans le Menu de navigation, une rubrique active donnant accès à la Page d'accueil, au Blog, à la page de connexion ou au panier e-commerce.
- | Si vous sélectionnez une ou plusieurs pages, vous pouvez les copier et les coller dans le même projet ou un projet différent ouvert dans une autre fenêtre du programme. Les opérations Copier et Coller peuvent être effectuées à l'aide des commandes appropriées de la Barre d'outils, du menu Popup rappelé avec un clic droit de la souris, ou les combinaisons de touches CTRL+C et CTRL+V. Bien évidemment, vous ne pouvez pas utiliser les commandes Copier et Coller avec les pages spéciales.

Sujets corrélés:
- | Création du plan
- | Les commandes pour dessiner le Plan
- | La barre d'outils du Plan


La barre d'outils du plan du site

Dans la fenêtre Création du plan, immédiatement au-dessus de la représentation schématique du Plan, vous disposez d'une barre d'outils avec les commandes suivantes:

 Couper [CTRL+X] - Copier [CTRL+C] - Coller [CTRL+V]
Elles permettent respectivement de couper, copier et coller les pages sélectionnées à l'intérieur du même projet ou dans différents projets. Ces commandes sont aussi disponibles dans le menu Popup rappelé à l'aide d'un clic droit de la souris en pointant le Plan.

Page invisible dans le menu
Si vous sélectionnez cette option, la page ou le niveau sélectionné n'est pas affiché dans le menu de navigation. Lorsqu'un niveau est invisible, toutes les pages qu'il contient deviennent automatiquement invisibles. Les pages invisibles sur le menu peuvent être utilisées comme pages d'approfondissement et être rappelées par des liens internes. Il est nécessaire de créer au moins un lien vers les pages invisibles.

La Page d'accueil peut aussi disparaître du menu: il est conseillé d'utiliser cette possibilité seulement si vous avez l'intention de mettre un lien vers cette page à d'autres endroits du site, par exemple dans l'en-tête.

Page protégée
Permet d'ouvrir la fenêtre Page protégée permettant de définir une page comme protégée en cochant simplement l'option Définir cette page comme page protégée. Après cela, vous devez indiquer quels groupes et/ou utilisateurs peuvent accéder à cette page protégée, en cliquant dans la liste proposée. Activer un groupe ou activer tous les utilisateurs appartenant à un groupe, ce n'est pas la même chose: dans le premier cas seulement, si de nouveaux utilisateurs seront ajoutés au groupe par la suite, ils pourront automatiquement accéder à la page protégée.
Pour créer de nouveaux Groupes/Utilisateurs, il suffit d'accéder à la fenêtre Gestion de l'accès de l'étape 4 - Paramètres avancés.

Propriétés de la page
Elle est activée quand vous sélectionnez une page insérée dans le plan et permet de rappeler la fenêtre Propriétés de page permettant de définir une série de propriétés pour l'optimisation, la personnalisation graphique et l'ajout éventuels de portions de code.

Les options disponibles sont articulées en 3 sections:
- | Section Général
- | Section Graphiques
- | Section Avancé

Propriétés du niveau
Elle est activée quand vous sélectionnez un niveau inséré dans le plan et permet de rappeler la fenêtre Propriétés du niveau permettant de définir les propriétés suivantes:

-

Masquer le menu déroulant pour ce niveau: si vous sélectionnez cette option, le menu Popup relatif à la rubrique n'apparaît pas au passage de la souris.

-

Lien à exécuter en cliquant sur l'objet: permet de définir un lien direct vers la rubrique à l'aide de la fenêtre Lien.

Il peut être utile de choisir de "Ne pas afficher le menu Popup pour un niveau" en sélectionnant l'option "Lien à exécuter en cliquant sur l'objet", par exemple, pour insérer un lien à un site externe directement comme rubrique de menu, ou pour remplacer un sous-menu contenant un nombre élevé de rubriques avec l'ouverture d'une page créée expressément pour accorder l'accès aux différentes sections internes.

-

Icône à afficher sur le menu: permet de sélectionner une image (fichier .JPG, .GIF, .PNG) qui sera affichée sur le Menu de navigation, à côté de la rubrique.

Si, à travers les sections de l'étape 4 - Paramètres avancés, le site est complété avec l'introduction d'une Page d'accueil, un Blog, une zone réservée (il suffit qu'une seule page ait été définie comme Page protégée) ou un Panier e-commerce, le programme ajoute à la structure du plan le dossier Pages spéciales avec les rubriques correspondantes. Toutes les commandes de la barre d'outils n'ont aucun effet sur les pages spéciales.

Sujets corrélés:
- | Création du plan
- | La représentation schématique du Plan
- | Les commandes pour dessiner le Plan


Création du plan| Propriétés de page| Section Général

Les options de la section Général de la fenêtre Propriétés de page permettent de définir une série de paramètres nécessaires pour optimiser correctement la page:
- | Titre complet: permet de définir un titre différent de celui du plan du site. Le nom que vous donnez à la page lors de la construction du plan est repris comme rubrique dans le menu de navigation; l'éventuel titre complet indiqué dans les Propriétés de la page est en revanche affiché comme titre effectif de la page. Pour la Page d'accueil, le titre n'est pas affiché à l'intérieur de la page mais vous pouvez indiquer le Titre complet: le titre indiqué est utilisé dans le menu, tandis que le titre ou le titre complet (si indiqué) est utilisé pour composer le Méta tag <title> dans le code HTML de la page.
- | Description de page: permet d'insérer une description spécifique pour la page. La description doit être courte et précise: elle est insérée comme valeur du Méta tag <description> dans le code HTML de la page et est utilisée par les moteurs de recherche pour l'indexation.
- | Mots-clé pour la recherche: permet d'insérer une série de mots-clé spécifiques pour la page. Les mots-clé sont insérés comme valeur du Méta Tag <keywords> dans le code HTML de la page et sont utilisés par les moteurs de recherche pour l'indexation.
- | Nom du fichier créé: permet de définir le nom du fichier HTML correspondant à la page. À moins qu'il ne soit spécifié différemment, comme nom du fichier HTML le programme prend automatiquement le nom donné à la page lors de la construction du Plan. Donnez des noms brefs et significatifs aux fichiers pour obtenir des adresses simples et faciles à mémoriser, cela sera également positif pour l'indexation effectuée par les moteurs de recherche. Cette option n'est pas disponible pour la Page d'accueil.

Sujets corrélés:

-

Fenêtre Propriétés de page


Création du plan du site| Propriétés de page| Section Graphiques

Les options de la section Graphiques de la fenêtre Propriétés de page permettent d'agir sur certains aspects graphiques importants de la page sur laquelle vous êtes en train de travailler:
- | Icône pour l'élément de Menu: permet de sélectionner une image (fichier .JPG, .GIF, .PNG) qui sera affichée sur le Menu de navigation, à côté de la rubrique.
- | Image d'arrière-plan du Site pour la page: permet de sélectionner une image (.JPG, .GIF, .PNG) qui sera affichée comme arrière-plan de la page au lieu de l'image ou de la couleur prévue en fonction du modèle défini (voir Sélection du modèle).
- | Arrière-plan du contenu de la page: permet de sélectionner une image (fichier .JPG, .GIF, .PNG) qui sera affichée comme arrière-plan du contenu de la page. Cette image est superposée à la couleur ou à l'image prévue en fonction du modèle défini (voir Sélection du modèle).
- | Disposition: permet d'indiquer si l'image insérée comme arrière-plan du contenu de la page doit être répétée ou non. L'image peut être répétée horizontalement, verticalement ou dans les deux sens pour remplir tout l'espace disponible.
- | Alignement: permet de choisir l'alignement de l'image insérée comme arrière-plan du contenu de la page.
- | Créer la page sans le modèle: fait en sorte que le modèle de style choisi ou créé comme modèle personnalisé ne soit pas appliqué à la page (voir Sélection du modèle). Si vous sélectionnez cette option, la page est créée en maintenant seulement son contenu sans y appliquer ni le modèle de style ni le menu de navigation.
- | Largeur Page / Couleur d'arrière-plan: disponibles seulement si vous avez sélectionné l'option Créer la Page sans le modèle, elles permettent respectivement d'indiquer la valeur en pixels de la largeur de la page et la couleur d'arrière-plan à appliquer.

Sujets corrélés:
- | Fenêtre Propriétés de page
- | Sélection du modèle


Création du plan| Propriétés de page| Section Avancées

Création du plan| Propriétés de page| Section Avancé

Les options de la section Avancé de la fenêtre Propriétés de page permettent de travailler sur le Plan du site et d'agir manuellement sur le code HTML créé pour la page sur laquelle vous êtes en train de travailler:

-

Extension du fichier créé: permet de définir l'extension qui accompagnera le fichier relatif à la page. Le programme propose par défaut l'extension .html, mais vous pouvez aussi choisir entre .php, .asp, .cfm et .jsp. Vous pouvez aussi enregistrer, avec une extension différente. le fichier index.html relatif à la Page d'accueil: cette extension sera éventuellement reprise pour la Page d'accueil. Pour les pages protégées seulement (voir la commande [image] Page protégée dans la barre d'outils du Plan), vous ne pouvez pas modifier le format du fichier créé qui reste obligatoirement .php.

-

Ajouter cette page au plan du site: cette option, activée par défaut, fait en sorte que la page soit comprise dans la création du Plan du site.

-

Fréquence de mise à jour: permet de définir avec quelle fréquence la page est mise à jour. Ce paramètre est indiqué dans le SiteMap créé.

-

Propriétés des contenus: permet d'affecter des points à la page, pour indiquer son importance par rapport aux autres pages du site. Ce paramètre est indiqué dans le SiteMap créé.

-

Code personnalisé: permet d'insérer des portions de code à l'intérieur du code HTML de la page. À l'aide du menu approprié, vous pouvez définir la position à l'intérieur du code de la page où doit être inséré le code personnalisé: Avant le tag <HTML>, Avant le tag </HEAD>, A l'intérieur du tag <BODY> (à savoir à l'intérieur de l'instruction <BODY>, par exemple: <BODY onload="alert('Hello!')">), Avant le tag </BODY>, Après le tag </BODY>. La position étant sélectionnée, vous disposez d'un champ où vous devez saisir ou coller la portion de code à insérer.

L'option Code personnalisé à insérer est utile quand, par exemple, vous voulez relier des feuilles de styles (CSS) particulière, ou vous devez lancer des évènements sur l'onload de la page. Notamment, pour le bon fonctionnement de certains JavaScript, qui peuvent être insérés à travers l'Objet HTML et Widgets approprié, il faut entrer des lignes de code spécifiques dans la section <HEAD> et dans la section <BODY> du fichier HTML de la page.

Sujets corrélés:
- | Fenêtre Propriétés de page
- | Comment créer et connecter le Plan du site


Créer le plan du site

Avec WebSite X5, le Plan prend la structure arborescente typique: on part de la Page d'accueil et on descend vers les différents niveaux contenant les pages insérées. La création du Plan prévoit donc la présence de la Page d'accueil et d'une série de pages reliées à travers le menu: pour cette raison, il faut insérer toutes les pages en organisant, simultanément, les niveaux différents du menu.

Voici les commandes permettant de définir le plan:

-

Nouveau niveau [CTRL+L]: permet d'insérer un nouveau niveau de menu. Il n'y a pas de limite au nombre de niveaux et sous-niveaux pouvant être insérés.

-

Nouvelle page [CTRL+P]: permet de créer une nouvelle page qui sera automatiquement placée au niveau sélectionné.

-

Séparateur: permet d'insérer un séparateur pour organiser visuellement les rubriques du menu. Le séparateur peut être un espace ou un titre ; il est particulièrement utile pour créer des menu sur plusieurs colonnes (voir Style de menu Popup| Section Éléments de menu à l'étape 4 - Paramètres avancés).

-

Supprimer [CANC]: permet de supprimer la page ou le niveau sélectionné.

-

Renommer [F2]: permet de modifier le nom de la Page d'Accueil, de la page ou du niveau sélectionné. Il est conseillé de bien choisir les noms des pages et des niveaux puisqu'ils seront repris dans le menu de navigation comme titres des pages et noms des fichiers HTML associés aux pages, à moins qu'il ne soit spécifié différemment dans la fenêtre Propriétés de la page.

-

En haut [CTRL+U] / En bas [CTRL+D]: permettent de modifier l'ordre des pages ou des niveaux. Elles déplacent la page ou le niveau sélectionné respectivement au-dessus ou au-dessous de la page/niveau précédent.

Pour modifier l'ordre des niveaux et des pages, vous pouvez agir directement sur le plan: sélectionnez la rubrique, faites-la glisser et relâchez-la à l'endroit voulu (Drag&Drop). Vous pouvez sélectionner plusieurs niveaux et/ou pages à l'aide des touches CTRL et SHIFT.

-

Ouvrir / Fermer: permettent, respectivement, d'ouvrir ou de fermer le niveau sélectionné pour afficher/fermer les pages qu'il contient.

Si, à travers les sections de l'étape 4 - Paramètres avancés, le site est complété avec l'introduction d'une Page d'accueil, un Blog, une zone réservée (il suffit qu'une seule page ait été définie comme Page protégée) ou un Panier e-commerce, le programme ajoute à la structure du plan le dossier Pages spéciales avec les rubriques correspondantes. Les commandes Supprimer..., Renommer, En haut, En bas, Ouvrir et Fermer n'ont aucun effet sur les pages spéciales. En revanche, pour les alias des pages spéciales (obtenus en faisant glisser les pages spéciales parmi les pages et les niveaux du menu), les commandes Supprimer..., Renommer, En haut, En bas restent activent car elles n'agissent pas directement sur la Page d'accueil, le Blog, la page de connexion ou le panier e-commerce mais seulement sur les rubriques qui s'y réfèrent, présentes dans le Menu de navigation.

Après l'articulation du plan, WebSite X5 propose de composer chaque page en les présentant l'une après l'autre. Vous pouvez utiliser le plan pour passer directement à la fenêtre du programme permettant de travailler sur une page déterminée: pour ce faire, double-cliquez sur la rubrique correspondante ou sélectionnez-la et cliquez sur le bouton Suivant.

Sujets corrélés:
- | Création du plan
- | La barre d'outils du Plan
- | Les commandes pour dessiner le Plan


Plan du site et SiteMap

En fonction du plan défini à l'étape 2, le programme crée automatiquement une page proposant le plan du site. Les rubriques du plan du site sont des liens actifs vers une page: le plan représente donc un outil utile d'orientation et de navigation mis à la disposition de l'utilisateur. L'affichage des rubriques du plan peut être géré à l'aide des commandes Tout ouvrir et Tout fermer.
Le plan du site peut être disponible en insérant des liens appropriés sur les textes et les images des pages (dans fenêtre Style des liens, voir l'action Plan du site) ou dans le menu situé au bas de la page où le programme insère automatiquement le lien vers le plan (pour l'activer, sélectionnez l'option Afficher pour l'élément Menu de pied de page dans Styles et modèles| Section Textes).

Même si vous décidez de ne pas rendre disponible le plan du site, le programme peut le créer sous la forme d'un Plan du site XML associé au code HTML des pages à travers le Méta tag <sitemap>. Dans ce cas, le SiteMap est un fichier XML contenant la liste des pages d'un site permettant de s'assurer que les moteurs de recherche analysent toutes les pages. Vous pouvez utiliser le SiteMap pour communiquer aux moteurs de recherche certaines informations utiles sur les pages:

- | avec quelle fréquence chaque page est mise à jour;
- | la date de la dernière modification des pages;
- | l'importance de chaque page dans l'économie du site (cette priorité n'a aucun effet sur le positionnement des pages dans les résultats de recherche).

Pour que le programme crée le SiteMap du site, il faut sélectionner l'option Créer automatiquement le SiteMap présente dans Paramètres généraux| Section Avancées. Pour que les informations concernant la fréquence de mise à jour et l'importance des pages d'un site soient comprises dans le SiteMap, il faut sélectionner les options disponibles dans la fenêtre Propriétés de la page| Avancées qui peut être rappelée pendant la Création du Plan.

Sujets corrélés:

- | Création du plan
- | Comment créer et connecter le Plan du site


Création de la page

Après avoir articulé le Plan du projet, vous pouvez commencer la création de chaque page insérée dans le site. La fenêtre Création de la page permet de définir la structure de mise en page et d'entrer les contenus.

Le chemin et le titre de la page sur laquelle vous êtes en train de travailler sont indiqués comme Page courante.

La fenêtre propose les sections suivantes:
- | une représentation schématique (ou grille) de la page permettant de définir la mise en page à appliquer;
- | la liste des types d'Objets pour créer des pages;
- | l'aperçu pour afficher l'objet contenu dans la cellule sélectionnée de la grille de mise en page.


La grille de mise en page dans la Création de la page

Pour rendre plus intuitive la mise en page des contenus, WebSite X5 propose une grille qui est composée, par défaut, de 2 lignes et 2 colonnes: il suffit de faire glisser les objets à l'intérieur des cellules de cette grille (un objet par cellule), pour composer la page.

Bien évidemment, vous pouvez ajouter des lignes et des colonnes pour disposer d'un plus grand nombre de cellules et aussi définir manuellement la largeur de chaque colonne. Grâce à ces possibilités de dessin de la grille et au fait de pouvoir placer un objet dans plusieurs cellules adjacentes, vous pouvez obtenir des mises en page très raffinées.

Une précision importante: l'utilisation de la grille sert seulement à simplifier et guider la mise en page des contenus. Exception faite pour quelques cas particuliers spécifiques , représentés par des combinaisons de mise en page très complexes, la grille de mise en page n'est pas "traduite" en un tableau au code HTML des pages. Dans tous les cas, la grille de mise en page non sera jamais visible pendant la navigation avec le navigateur.

Tel que dit précédemment, chaque cellule de la grille peut contenir un seul objet mais chaque objet peut être placé sur plusieurs cellules adjacentes horizontalement ou verticalement, de façon à occuper un plus grand espace sur la page.

L'aspect des cellules de la grille de mise en page change selon les différents états de la cellule:
- | si elle contient un objet qui n'a pas encore été construit, elle montre l'icône correspondant au type d'objet sur un arrière-plan composé de lignes obliques grises;
- | si elle contient un objet qui a déjà été construit, elle montre l'icône correspondant au type d'objet sur un arrière-plan bleu ciel uniforme;
- | si elle contient l'objet sélectionné, elle montre le périmètre et les poignées de sélection.

Les commandes de la barre d'outils permettent de définir la structure et les paramètres graphiques de la grille de mise en page.

Voici les commandes disponibles pour modifier la grille de mise en page:

 Contenu objet: elle est activée quand vous sélectionnez un objet déjà inséré dans une cellule et permet d'accéder à la fenêtre de création de l'objet. La fenêtre rappelée varie selon le type d'objet.

Style de cellule: elle est activée quand vous sélectionnez un objet déjà inséré dans une cellule et permet de rappeler la fenêtre Style de cellule pour définir l'aspect graphique de la cellule courante.

Marges de la cellule: elle est activée quand vous sélectionnez un objet déjà inséré dans une cellule et permet de rappeler la fenêtre Marge de cellule pour définir la valeur en pixels de la marge externe et interne de la cellule courante. Vous pouvez aussi sélectionner l'option Marges personnalisées pour pouvoir définir des valeurs différentes pour la marge de chaque côté de la cellule: Supérieure, Droite, Inférieure et Gauche. (voir Le Box Model dans WebSite X5)

Alignement du contenu de la cellule: elle est activée quand vous sélectionnez un objet déjà inséré dans une cellule et permet d'aligner l'objet en Haut/Centre/Bas et à Gauche/Centre/Droite par rapport à sa cellule.

Ajouter une ligne / Supprimer une ligne: permettent, respectivement, d'ajouter une ligne avant la ligne contenant la cellule sélectionnée et de supprimer la ligne contenant la cellule sélectionnée. Vos grilles peuvent avoir au maximum 64 lignes.

Ajouter une colonne / Supprimer une colonne: permettent, respectivement, d'ajouter une nouvelle colonne avant la colonne contenant la cellule sélectionnée et de supprimer la colonne contenant la cellule sélectionnée. Vos grilles peuvent avoir au maximum 12 colonnes.

Si vous sélectionnez une cellule vide, les nouvelles lignes/colonnes sont insérées dans la cellule qui se trouve immédiatement avant celle-ci. En revanche, si vous sélectionnez un objet, les nouvelles lignes/colonnes sont insérées de façon à précéder la première cellule occupée par l'objet. Enfin, si vous ne sélectionnez aucune Cellule/Objet, les nouvelles lignes/colonnes sont insérées au bas de la grille.

Automatiquement, toutes les lignes et les colonnes de la grille de mise en page ont la même largeur et la même hauteur. Vous pouvez définir manuellement la valeur absolue (en pixels) ou relative (en pourcentage) des colonnes en agissant sur les curseurs présents au bas de la grille de mise en page:
- | Si vous cliquez et faites glisser un curseur, vous déplacez la ligne qui délimite la colonne. Ainsi la colonne prend la largeur spécifiée dans la remarque affichée lors du glissement du curseur. Si vous maintenez enfoncée la touche CTRL pendant le glissement du curseur, il se déplace d'un pixel à la fois: sinon, le déplacement se produit avec un pas égal à un dixième de l'espace disponible.
- | Avec un clic droit sur la souris, sélectionnez l'option Spécifier la largeur de colonne dans le menu Popup, et tapez directement la valeur en pixels de la largeur de la colonne.
- | Avec un clic droit de la souris, choisissez l'option Rétablir la même largeur de colonne dans le menu Popup, pour ramener toutes les colonnes à la même largeur.

Sujets corrélés:
- | Création de la page
- | La liste des objets lors de la création de la page
- | Le Box Model dans WebSite X5


La liste des objets lors de la création de la page

Pour insérer un objet dans une page, il suffit de sélectionner l'icône relative dans la liste des objets disponibles, puis de la glisser-relâcher dans la grille de mise en page, au niveau de la cellule voulue.

Chaque cellule de la grille de mise en page peut contenir un seul objet, mais un objet peut occuper plusieurs cellules adjacentes aussi bien horizontalement que verticalement.
Vous pouvez en effet faire glisser l'icône de l'objet sélectionné sur la bordure des cellules: ainsi l'objet occupera les deux cellules. Par ailleurs, vous pouvez agir sur les points de sélection de l'objet inséré pour l'étendre sur plusieurs cellules.

Quand vous avez défini le nombre de cellules devant être occupées par un objet, ce nombre est maintenu, compatiblement avec la présence d'autres objets, même si l'objet est déplacé dans d'autres points de la grille. Pour plus de facilité, vous pouvez utiliser les touches fléchées pour travailler sur la grille:
- | touches fléchées: elles déplacent la sélection d'une cellule à l'autre de la grille de mise en page.
- | CTRL+touches fléchées: elles déplacent l'objet sélectionné (sans modifier ses dimensions) parmi les cellules de la grille de mise en page.
- | SHIFT+touches fléchées: elles modifient les dimensions de l'objet sélectionné en les étendant (compatiblement avec les autres objets présents) ou en les réduisant sur un nombre différent de cellules de la grille de mise en page.

Si vous cliquez à l'aide du bouton droit de la souris sur l'icône de l'objet inséré dans une cellule ou dans une cellule vide de la grille de mise en page, vous affichez un menu Popup comprenant les commandes Couper, Copier, Coller, Supprimer..., Propriétés de la cellule, Insérer une ligne, Insérer une colonne, Supprimer une ligne et Supprimer une colonne.
Ces commandes permettent de créer une copie d'un objet en le collant dans une autre cellule ou une autre page, ou bien de supprimer un objet. Pour supprimer un objet de la page, faites-le glisser à l'extérieur de la grille de mise en page ou appuyez sur la touche SUPPR. De toute façon, quand vous insérez un nouvel objet dans une cellule déjà occupée, le premier est automatiquement supprimé. Toutefois, si vous faites glisser un objet déjà existant dans une cellule déjà occupée, les deux objets concernés s'échangent la place.

Les commandes Copier style et Coller style, présentes dans le sous-menu rappelé à l'aide la commande Style de cellule, permettent d'appliquer automatiquement dans une deuxième cellule les prédispositions définies dans la fenêtre Style de cellule pour une cellule.

Après avoir inséré un objet, vous pouvez rappeler la fenêtre permettant de définir son contenu (Objet texte, Objet Tableau, Objet Image, Objet Animation Flash, Objet Vidéo/Son, Objet de la galerie, Objet Formulaire d'envoi d'email, Objet Liste des produits, Objet HTML et Widgets), en double-cliquant sur la cellule de la grille de mise en page qui le contient ou en sélectionnant l'objet et en cliquant sur le bouton [image] Contenu objet.

Il n'est pas obligatoire de remplir toutes les cellules de votre grille de mise en page: sachez néanmoins qu'une cellule vide correspond à un espace vide sur votre page.

Pour mieux comprendre comment exploiter au mieux les possibilités de mise en page, sachez que le fonctionnement du logiciel observe les règles suivantes:
- | La largeur de la page est déterminée par le modèle.
- | La largeur des colonnes de la grille de mise en page est obtenue en partageant la largeur de la page par le nombre de colonnes insérées. Par défaut, toutes les colonnes ont la même largeur mais vous pouvez modifier manuellement ce paramètre.
- | Toutes les cellules placées sur la même rangée que la grille de mise en page ont la même hauteur: par défaut, cette valeur est déterminée par l'objet le plus haut parmi ceux contenus dans ces cellules.
- | Les objets insérés sont automatiquement redimensionnés en fonction de la taille des cellules de la grille de mise en page.

Sujets corrélés:
- | Création de la page
- | La grille de mise en page dans la Création de la page


Objet texte

En plus des images, des vidéos et des animations pouvant être utilisés, les contenus principaux d'un site sont véhiculés, dans la plupart des cas, à travers les textes.

Écrire pour le réseau ce n'est pas comme écrire en pensant à l'impression: chaque moyen a ses particularités et Internet se distingue principalement pour son support (le moniteur d'un ordinateur ou l'écran d'un dispositif mobile), son mode de lecture (ressemblant davantage à une lecture rapide qu'à une lecture séquentielle) et la disponibilité d'un nombre relativement illimité de possibilités (si l'on considère le nombre de sites qui s'occupent du même sujet).

Pour capturer l'attention d'un lecteur, le pousser à lire et, dans la meilleure des hypothèses, le persuader de la qualité de ce que nous lui proposons, les contenus textuels doivent se conformer à la publication sur le réseau: ils doivent tout d'abord présenter des contenus d'intérêts d'une manière succincte, mais pas cryptique, et efficace. Il convient de diviser le discours en périodes brèves, il sera ainsi plus simple à comprendre et visuellement moins compact et lourd. Enfin, pour améliorer la lisibilité des textes, il est important de soigner la typographie, à savoir l'agencement des caractères (titres, mises en évidence, corps principal, légendes et autre).

Il est très important de réfléchir sur ces aspects et de soigner la rédaction des textes pour créer un site web qui recevra un jugement positif de la part des visiteurs. Un contenu peu intéressant, exprimé d'une manière approximative avec des phrases pleines de fautes de grammaire ou d'orthographe, entraînerait l'idée d'un site négligé ne méritant pas une seconde visite.

Ces brèves mais justes considérations sur le thème du Web Writing étant faites, WebSite X5 permet de composer les textes nécessaires à travers un éditeur interne et de les formater. Bien évidemment, vous pouvez reprendre des textes créés avec d'autres programmes et les insérer à travers un simple Copier-Coller.

Pratiquement

Si vous double-cliquez sur l'objet Texte dans la Grille de mise en page, vous ouvrez la fenêtre Objet texte. Cette fenêtre, qui propose un éditeur, permet de taper directement et de formater des textes.

L'éditeur de texte se présente comme suit:

Vous disposez des commandes suivantes:

 Couper [CTRL+ X] - Copier [CTRL + C] - Coller [CTRL + V]
Permettent, respectivement, de couper, copier et coller le texte sélectionné. Dans ce cas, avant de coller le texte, le programme lui enlève toutes les informations éventuellement associées à l'origine et lui attribue celle définies dans l'éditeur.

Coller spécial
Permet de coller le texte précédemment coupé ou copié à l'aide des commandes Couper et Copier. Le texte collé garde toutes les informations d'origine.

Grâce aux commandes Couper, Copier et Coller, vous pouvez reprendre des textes créés précédemment, même avec des éditeurs différents.

Annuler [CTRL+ Z] - Restaurer [ALT+MAIUSC+BACKSPACE]
Permettent, respectivement, d'annuler et de rétablir la dernière opération exécutée/annulée.

Insérer lien [CTRL+L]
Permet de définir un lien hypertextuel sur le (ou les) mot(s) sélectionné(s). Vous pouvez définir les configurations du lien dans la fenêtre Lien.

Insérer image
Permet d'insérer une image (au format .JPG, .GIF, .PNG, .BMP) à l'intérieur du texte. Les images insérées dans l'objet Texte sont automatiquement redimensionnées si leur taille dépasse celle de la cellule de la Grille de mise en page. Par ailleurs, vous pouvez redimensionner librement les images insérées à l'aide des poignets de sélection: pour les mises en page particulières, il est toutefois conseillé d'utiliser l'Objet Image.

Activer code HTML
Permet de saisir directement le code HTML à l'intérieur de la page de texte. Pratiquement, en mode HTML, les caractères < et > ne sont pas interprétés comme "inférieur" et "supérieur", ce qu'ils contiennent correspond à un tag HTML.

Paramètres RollOver
Permet de définir le RollOver sur le texte: ainsi le texte n'est plus statique mais il défile. Pour définir les options du RollOver, rappelez la fenêtre Paramètres RollOver.

Adapter à la largeur de la cellule
Permet de simuler l'aspect que prendra le texte en fonction de la taille de la cellule de mise en page qui l'accueillera.

Arrière-plan clair/foncé
Permet de définir une couleur claire ou foncée pour l'arrière-plan de la fenêtre de l'éditeur de texte: il est ainsi plus simple, par exemple, de composer les textes qui, pour avoir un bon contraste par rapport à l'arrière-plan prévu par le modèle graphique appliqué, doivent être blancs.

Choix des polices - Taille de police
Permettent, respectivement, de choisir le type de police (font) à utiliser et de définir les dimensions.

La liste déroulante propose toutes les polices présentes sur l'ordinateur. Si la police utilisée n'est pas installée sur l'ordinateur de l'utilisateur qui navigue sur votre site, elle sera automatiquement remplacée par une police semblable.

Gras [CTRL+ B] - Italique [CTRL+ I] - Souligné [CTRL+ U]
Permettent, respectivement, de mettre le texte sélectionné en gras, italique ou souligné.

Couleur du texte - Couleur d'arrière-plan du texte
Permettent de définir, dans la fenêtre Couleur, la couleur à appliquer au texte sélectionné ou à l'arrière-plan du texte sélectionné.

Liste à puces
Permet de créer une liste à puces contenant des rubriques.

Mettre en retrait / Annuler le retrait
Permettent, respectivement, d'augmenter et réduire le retrait du paragraphe sélectionné.

Alignement à gauche - Alignement au centre - Alignement à droite - Alignement justifié
Permettent, respectivement, d'aligner à gauche, au centre, à droite ou de justifier le texte sélectionné.

Disposer le texte à droite - Disposition normale - Disposer le texte à gauche
Activés quand vous sélectionnez une image insérée dans le texte, ils permettent de faire défiler le texte le long du côté droit de l'image, d'insérer l'image dans le flux du texte comme un mot quelconque ou de faire défiler le texte le long du côté gauche de l'image.

Si vous cliquez sur le bouton droit de la souris, vous affichez un menu contextuel qui propose de nouveau les commandes: Annuler, Couper, Copier, Coller, Coller spécial, Effacer et Sélectionner tout.

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Insérer lien
- | Paramètres RollOver


Paramètres RollOver

Cette fenêtre, rappelée à l'aide du bouton [image] de l'éditeur de l'Objet Texte ou de l'Objet Tableau, permet de définir les paramètres du RollOver des textes.

Tout d'abord, vous devez activer l'effet en sélectionnant l'option Activer RollOver.

L'effet étant activé, vous pouvez définir son aspect à l'aide des options du cadre Mode:

-

Mouvement: permet de définir comment le texte défilera. Vous pouvez choisir parmi les options suivantes:

 Aucun - Afficher la barre de défilement: le texte ne défile pas mais, comme vous fixez la hauteur de la cellule (voir l'option Hauteur), si celle-ci ne suffit pas pour afficher tout le texte, une barre de défilement sera automatiquement insérée.

Défilement unique: le texte défile dans le sens indiqué et il s'arrête à la fin.

Défilement continu: le texte défile dans le sens indiqué et, à la fin, il repart du début sans s'arrêter.

Défilement alterné: le texte défile dans le sens indiqué et, à la fin, il défile dans le sens opposé.

Défilement par sections: le texte est virtuellement décomposé en fiches, à savoir en blocs de hauteur égale à celle définie avec l'option Hauteur Le défilement du texte entraîne l'affichage de la première section, suivi d'une pause avant d'afficher la deuxième section. Il continue ainsi en repartant du début après avoir affiché la dernière section. Pour que l'effet ait un rendement optimal, le texte doit être écrit et formaté de sorte à pouvoir le partager en sections en définissant une Hauteur appropriée.

-

Sens: permet de définir la direction de défilement du texte. Le glissement peut avoir lieu vers le Haut, le Bas, la Gauche ou la Droite.

Par ailleurs, dans le cadre Options vous disposez des rubriques suivantes:
- | Effet: permet de choisir entre les effets Linéaire, Alterné et Swing pour tous les types de mouvement, sauf pour le Défilement continu.
- | Hauteur: permet de définir la valeur pour la hauteur de la cellule contenant le texte.
- | Durée (sec.): permet de définir pendant combien de secondes doit durer l'effet. Si vous avez activé le Défilement unique, continu ou alterné, la durée définit l'intervalle de temps où se développe le mouvement, avant de repartir. En revanche, si vous avez activé le Défilement par sections, la durée définit le temps d'affichage d'une section, avant de passer à la section suivante.
- | Arrêter le mouvement au passage de la souris: permet de faire en sorte que le glissement s'arrête lors du passage de la souris.

 L'option Hauteur n'est disponible que si le RollOver défini est vertical (direction: vers le haut ou le bas). En revanche, si le RollOver défini est horizontal (direction: vers la gauche ou la droite), l'effet est meilleur si l'objet texte occupe une ligne entière de la Grille de mise en page.

Sujets corrélés:
- | Objet texte
- | Objet Tableau


Objet Image

Les images sont l'un des éléments les plus utilisés lors de la création d'une page Web. Entre autres, elles permettent d'illustrer une idée, de montrer un produit, de véhiculer un message ou d'embellir simplement. De toute façon, les images sont importantes car elles concourent à définir l'aspect d'ensemble du site et faire en sorte qu'il soit beau, soigné et professionnel.

WebSite X5 permet de définir tous les principaux formats graphiques et mette à disposition un Editeur graphique interne fonctionnel pour mener à bien toutes les opérations de retouche photo les plus courante: coupe, rotation, correction, ajout de masques, filtres et cadres. Par ailleurs, il permet de travailler sur les images pour obtenir des visions panoramiques spectaculaires et des zooms.

Il faut souligner que WebSite X5 affronte aussi le problème de la copie non autorisée des images prises sur Internet en proposant un système de protection qui empêche de remonter au fichier d'origine et peut prévoir l'application d'une filigrane et l'indication du copyright.

 Si vous voulez utiliser des images de haute qualité dans vos sites, accédez au panneau de contrôle sur my.websitex5.com: vous y trouverez 6.000 images exclusives et royalty free parmi lesquelles vous pourrez choisir les images de votre gré.

Pratiquement

Si vous double-cliquez sur l'objet Image inséré à l'intérieur de la Grille de mise en page, vous ouvrez la fenêtre Objet Image. Dans cette fenêtre, vous pouvez indiquer le fichier à importer, définir les propriétés, définir les effets de zoom et panoramique, décider de l'insérer dans le Plan du site et donc entrer les informations nécessaires.

Les commandes nécessaires pour créer un objet sont articulées en trois sections:
- | Section Général
- | Section Affichage
- | Section Plan du site

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Editeur graphique


Objet Image| Section Général

Les commandes de la Section Général de la fenêtre Objet Image permettent de définir et d'éditer l'objet Image.

WebSite X5 permet de définir tous les formats graphiques les plus courants (.JPG,.GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF) en sélectionnant simplement la ressource à utiliser parmi celles présentes sur l'ordinateur ou directement enligne sur Internet.

L'aperçu de l'image importée est affiché dans le cadre Aperçu. Si vous cliquez sur le bouton Modifier présent sous l'aperçu, vous pouvez rappeler l'Editeur graphique interne pour modifier l'image importée.

Pour l'image insérée, vous pouvez définir une série de Propriétés:

-

Titre: c'est le titre de l'image; dans le code HTML des pages, le texte introduit sera affecté à l'attribut title du tag <img>.

-

Texte alternatif c'est le texte qui est présenté à la place de l'image quand celle-ci ne peut pas être affichée. Dans le code HTML des pages, le texte introduit sera affecté à l'attribut alt du tag <img>.

Le titre et le texte alternatif sont deux paramètres qu'il faut évaluer et composer avec attention car ils sont importants pour l'accessibilité et l'optimisation des sites Web.

-

Lien: permet de définir un lien vers l'image. Si vous cliquez sur le bouton [image], vous ouvrez la fenêtre Lien permettant de choisir le type d'action et les options relatives.

-

Qualité: permet d'indiquer le niveau de qualité à maintenir pour enregistrer l'image en .JPG.
Toutes les images importées sont automatiquement converties au format .JPG ou, si vous avez défini la transparence, au format .PNG. Pour l'enregistrement en .JPG, plus le taux de compression est élevé, plus la qualité sera basse.

Il est conseillé d'insérer les fichiers graphiques au format .GIF ou .JPG. Toutes les images insérées, dans un format différent de .JPG, .GIF et .PNG, sont automatiquement converties au format JPG, selon le niveau de compression indiqué. La conversion au format .JPG ou, pour les images pour lesquelles vous avez défini la transparence, au format .PNG est effectuée même si l'image a une taille supérieure à celle de la cellule de la Grille de mise en page qui la contient et si vous la modifiez à travers l' Editeur graphique.
Dans tous les autres cas, l'image est copiée tel quel. Cela est nécessaire pour maintenir l'effet de transparence appliqué aux images .GIF.

Enfin, vous pouvez utiliser les options de Protection pour essayer de contraster la copie non autorisée des images:
- | Protéger l'image contre la copie: si vous sélectionnez cette option, vous pouvez protéger l'image en empêchant qu'elle soit facilement copiée à l'aide de la commande Enregistrer image sous des menus Popup des différents Navigateurs. Pratiquement, l'image est incorporée dans un objet Flash: ainsi, elle ne peut pas être copiée et on ne peut pas trouver le nom du fichier en affichant le code HTML de la page.
- | Ajouter le filigrane numérique et le Copyright: comme autre protection, si vous sélectionnez cette option, l'image est "masquée" en y superposant une image de filigrane. En plus du filigrane, il y a une inscription indiquant le Copyright: cette inscription est composée automatiquement en reprenant le nom de l'auteur indiqué dans la fenêtre Paramètres généraux| Section Générales, étape 1.

 Voici quelques remarques sur le fonctionnement du système de protection des images:
- | Si vous activez le système de protection, les images sont insérées dans un objet Flash: ainsi Titre et Texte alternatif ne sont pas indiqués dans le code HTML et personne ne pourra les utiliser pour optimiser les pages.
- | Les images protégées ne peuvent pas être insérées dans le Plan du site. Pour que le système de protection soit entièrement efficace, il ne faut pas insérer les images protégées dans le Plan du site: si oui, à travers le fichier XML du Plan du site, on peut trouver le nom du fichier de l'image originale et donc le télécharger.
- | Si vous ne voulez pas activer le système de protection proposé, vous pouvez agir directement sur les images à travers l'éditeur graphique en sélectionnant une image de filigrane dans la section appropriée.

Sujets corrélés:
- | Objet Image
- | Editeur graphique


Objet Image| Section Affichage

Les commandes de la sectionAffichage de la fenêtre Objet Image permettent de définir certains Mode d'affichage pour obtenir une image panoramique avec des effets zoom et déplacement.

Voici les Mode d'affichage disponibles:

 Redimensionnement automatique de l'image: activée par défaut, cette option redimensionne automatiquement l'image pour l'adapter aux dimensions de la cellule Grille de mise en page qui la contient.

Agrandir et déplacer manuellement l'image: si vous sélectionnez cette option, vous pouvez agrandir l'image à l'aide d'un clic jusqu'à atteindre les dimensions prévues par le zoom défini. L'image étant agrandie, vous pouvez la déplacer pour mettre en premier plan le détail voulu. Dans ce cas, le déplacement doit être effectué manuellement, en cliquant sur l'image et en la faisant glisser jusqu'à la position voulue.
Pour obtenir cet effet, les dimensions de l'image sont d'abord réduites à celles de la cellule de la Grille de mise en page puis recalculées en fonction du facteur défini pour le Zoom initial(si vous choisissez le Déplacement libre comme Mode de déplacement) ou en fonction de la Hauteur établie (si vous choisissez l'option Photo panoramique horizontale ou Photo panoramique verticale comme Mode de déplacement). Ainsi l'image sera plus grande que la zone d'affichage et vous pourrez vous déplacer à l'intérieur de celle-ci.

Agrandir et déplacer automatiquement l'image: semblable à l'option précédente, toutefois le déplacement se produit en approchant simplement la souris des bordures de l'image.

Après avoir sélectionné l'option Agrandir et déplacer manuellement l'image ou l'option Agrandir et déplacer automatiquement l'image, vous pouvez agir sur les Paramètres du zoom suivants:

-

Modalités de déplacement: permet d'indiquer dans quelle direction l'image peut être déplacée manuellement ou automatiquement.

-

Déplacement libre:L'image peut être glissée aussi bien dans le sens horizontal que vertical. Dans ce cas, vous devez spécifier la valeur de Zoom maximum: par exemple, un facteur d'agrandissement défini à 200% double les dimensions d'origine de l'image.

Image insérée | Image avec effet

-

Photo panoramique horizontale:L'image peut être glissée seulement dans le sens horizontal. Pour bien exploiter cet effet, la base de l'image doit être beaucoup plus grande que sa hauteur. Dans ce cas, vous devez spécifier la valeur en pixels de la hauteur de l'image dans le champ Hauteur approprié.
Image insérée | Image avec effet

-

Photo panoramique verticale: l'image peut être glissée seulement dans le sens vertical. À présent, vous devez utiliser des images ayant une hauteur beaucoup plus grande que la base et définir dans le champ Hauteur la valeur en pixels que vous voulez maintenir pour la cellule de la Grille de mise en page.
Image insérée | Image avec effet

-

Zoom max.: disponible seulement pour le mode Déplacement libre, elle permet de définir le facteur d'agrandissement à appliquer à l'image pour qu'elle soit plus grande que la zone d'affichage. En effet, si l'image n'était pas agrandie, vous ne pourriez pas la faire glisser.

-

Hauteur: disponible seulement pour le mode de déplacement Photo panoramique horizontale et Photo panoramique verticale, elle permet de définir, dans le premier cas, la valeur en pixels de la hauteur de l'image, ou, dans le second cas, la hauteur de la cellule de la Grille de mise en page où l'image est affichée.

-

Agrandir l'image: activée par défaut, cette option permet d'agrandir et rétrécir l'image à l'aide d'un clic. Quand vous ouvrez la page, l'image apparaît dans sa taille d'origine et l'icône située au bas à droite indique la possibilité de faire le zoom. Quand vous cliquez sur l'image, elle s'agrandit en fonction du facteur de zoom défini.
Image avec zoom actif | Image agrandie

-

Afficher la barre de zoom: disponible seulement si l'option Agrandit l'image est activée, elle permet d'afficher une barre pour régler et définir le zoom.

-

Afficher le navigateur: si vous sélectionnez cette option, l'utilisateur pourra rappeler le navigateur. Le navigateur est une petite fenêtre positionnée sur l'image contenant une miniature de l'image. La fonction du navigateur est de montrer l'image complète et de mettre en évidence la portion actuellement visible dans un cadre. Les actions possibles sont:
- | Cliquer sur le cadre qui met en évidence la portion visible de l'image et le faire glisser à l'endroit voulu: cela équivaut à déplacer manuellement l'image.
- | Cliquer à l'intérieur du navigateur, en dehors du cadre qui met en évidence la portion visible de l'image, et le faire glisser: cela permet de déplacer le navigateur à l'intérieur de la fenêtre Image.
- | Cliquer dans le coin en bas à droite du navigateur et le faire glisser en oblique: cela permet de redimensionner le navigateur.
Si vous déplacez la souris en dehors de la fenêtre Image, le navigateur disparaît avec un effet de mouvement en sortie vers le côté le plus proche.

-

Activer le mouvement continu automatique: fait en sorte que l'image continue à se déplacer automatiquement tout le temps qu'elle est affichée. Cela est utile pour faire comprendre à l'utilisateur qu'il peut agrandir l'image. L'utilisateur peut prendre le contrôle du mouvement en approchant simplement la souris des bordures de l'image, et il peut faire le zoom en cliquant une fois pour agrandir et une seconde fois pour rétrécir.

Sujets corrélés:
- | Objet Image
- | Editeur graphique


Objet Image| Section Plan du site

Les commandes de la section Plan du site de la fenêtre Objet Image permettent d'insérer dans le Plan du site des informations supplémentaires sur l'image sur laquelle vous êtes en train de travailler.

Sélectionnez tout d'abord l'option Ajouter l'image au Plan du site: ainsi le Plan du site qui est créé automatiquement par WebSite X5 (voir Créer automatiquement le SiteMap dans Paramètres généraux| Section Avancées) est complété par les informations relatives à l'image. À ce stade, vous devez définir les paramètres suivants:
- | Titre: c'est un paramètre optionnel permettant de donner un titre à l'image.
- | Brève description: c'est un paramètre optionnel permettant d'indiquer une description ou une légende pour l'image.
- | Position géographique: c'est un paramètre optionnel permettant d'indiquer des informations, comme l'adresse, la ville ou le Pays servant à localiser géographiquement l'image.
- | Licence URL: c'est un paramètre optionnel permettant d'indiquer l'URL du fichier contenant la licence d'emploi de l'image.

 Dans le Plan du site, vous ne pouvez pas insérer des images sur lesquelles vous avez activé la protection contre le téléchargement et l'utilisation non autorisée (voir Protection dans Objet Image| Section Général).

Sujets corrélés:
- | Objet Image
- | Editeur graphique
- | Comment créer et connecter le Plan du site


Objet Tableau

Les tableaux sont un très bon outil pour organiser et présenter des données.

Très souvent un tableau permet de résumer et présenter d'une manière efficace une quantité de données qui exigeraient sinon la rédaction d'un texte descriptif long et prolixe. Par exemple, un tableau avec les tarifs d'un hôtel, rangés par type de chambre et période de l'année, est beaucoup plus facile à lire et interpréter qu'un texte contenant les mêmes informations.

Par ailleurs, les tableaux offrent un élément graphique qui embellit la page et brise la monotonie d'un texte long .

Bien évidemment, il est nécessaire que les tableaux soient bien structurés, ne soient pas trop complexes et aient un bel aspect.

Pratiquement

Si vous double-cliquez sur l'objet Tableau inséré dans la Grille de mise en page, vous ouvrez la fenêtre Objet Tableau. Cette fenêtre propose un éditeur permettant de créer directement le tableau.

Par défaut, le programme propose un tableau composé de deux lignes et trois colonnes, dimensionné de sorte à occuper complètement la largeur de la cellule de la grille de mise en page qui le contient. Bien évidemment, vous pouvez ajouter ou supprimer des lignes et des colonnes, définir les dimensions, unir et séparer les cellules pour créer des tableaux plus ou moins complexes.

Vous disposez des commandes suivantes:

 Couper [CTRL+ X] - Copier [CTRL + C] - Coller [CTRL + V]
Permettent, respectivement, de couper, copier et coller le texte sélectionné. Dans ce cas, avant d'être collé, le texte perd tous les éventuels formatages d'origine et prend les formatages définis dans l'éditeur.

Coller spécial
Permet de coller le texte précédemment coupé ou copié à l'aide des commandes Couper et Copier. Le texte collé garde toutes les informations d'origine.

Annuler [CTRL+ Z] - Restaurer [ALT+MAIUSC+BACKSPACE]
Permettent, respectivement, d'annuler et de rétablir la dernière opération exécutée/annulée.

Insérer lien [CTRL+L]
Permet de définir un lien hypertextuel sur les mots et/ou les images sélectionnés. Vous pouvez définir les configurations du lien dans la fenêtre Lien.

Insérer image
Permet d'insérer une image (au format .JPG, .GIF, .PNG, .BMP) dans la cellule du tableau. Vous pouvez redimensionner librement les images insérées à l'aide des poignets de sélection.

Activer code HTML
Permet de saisir directement le code HTML à l'intérieur du tableau. Pratiquement, en mode HTML, les caractères <e> ne sont pas interprétés comme "inférieur" et "supérieur", ce qu'ils contiennent correspond à un tag HTML.

Paramètres RollOver
Permet de définir le RollOver sur le texte: ainsi le texte n'est plus statique mais il défile. Pour définir les options du RollOver, rappelez la fenêtre Paramètres RollOver.

Arrière-plan clair/foncé
Permet de définir une couleur claire ou foncée pour l'arrière-plan de la fenêtre de l'éditeur du tableau: il est ainsi plus simple, par exemple, de composer les textes qui, pour avoir un bon contraste par rapport à l'arrière-plan prévu par le modèle graphique appliqué, doivent être blancs.

Ajouter une ligne / Supprimer une ligne / Ajouter une colonne / Supprimer une colonne
Permettent, respectivement, d'ajouter une ligne ou une colonne après celle où se trouve le curseur ou de supprimer la ligne ou la colonne où se trouve le curseur.

Fusionner les cellules - Séparer les cellules
Permettent, respectivement, de fusionner plusieurs cellules adjacentes sélectionnées de façon à former une seule cellule, ou de séparer la cellule courante en deux cellules adjacentes horizontalement.

Choix des polices - Taille de police
Permettent, respectivement, de choisir le type de police (font) à utiliser et de définir les dimensions.

La liste déroulante propose toutes les polices présentes sur l'ordinateur. Si la police utilisée n'est pas installée sur l'ordinateur de l'utilisateur qui navigue sur votre site, elle sera automatiquement remplacée par une police semblable.

Gras [CTRL+ B] - Italique [CTRL+ I] - Souligné [CTRL+ U]
Permettent, respectivement, de mettre le texte sélectionné en gras, italique ou souligné.

Couleur du texte - Couleur d'arrière-plan de la cellule
Permettent de définir, dans la fenêtre Couleur, la couleur à appliquer au texte sélectionné ou à l'arrière-plan de la cellule où se trouve le curseur.

Style de la bordure de la cellule
Permet de définir, dans la fenêtre rappelée, le style des bordures de la cellule courante. Vous pouvez définir la couleur et l'épaisseur des bordures qui délimitent les lignes et/ou les colonnes du tableau.

Liste à puces
Permet de créer une liste à puces contenant des rubriques.

Mettre en retrait / Annuler le retrait
Permettent, respectivement, d'augmenter et réduire le retrait du paragraphe sélectionné.

Alignement à gauche - Alignement au centre - Alignement à droite - Alignement justifié
Permettent, respectivement, d'aligner à gauche, au centre, à droite ou de justifier le texte sélectionné.

Disposer le texte à droite - Disposition normale - Disposer le texte à gauche
Activés quand vous sélectionnez une image insérée dans une cellule contenant du texte, ils permettent de faire défiler le texte le long du côté droit de l'image, d'insérer l'image dans le flux du texte comme un mot quelconque ou de faire défiler le texte le long du côté gauche de l'image.

Alignement en haut - Alignement au milieu - Alignement en bas
Permettent, respectivement, d'aligner verticalement en haut, au centre ou en bas le texte sélectionné.

Un clic droit de la souris rappelle un menu Popup proposant de nouveau les commandes Annuler, Couper, Copier, Coller, Coller spécial, Effacer, mais aussi les commandes:

-

Hauteur lignes
Permet de définir, dans la fenêtre appropriée, la valeur en pixels correspondant à la hauteur des lignes sélectionnées. Si vous définissez la valeur 0, les lignes prennent automatiquement la hauteur minimum nécessaire pour afficher le contenu inséré.

-

Largeur colonnes
Permet de définir, dans la fenêtre appropriée, la valeur en pixels relative à la largeur des colonnes sélectionnées.

Vous pouvez aussi modifier la taille des lignes, des colonnes ou de chaque cellule en positionnant le curseur sur les bordures et en les faisant glisser jusqu'à la taille voulue en maintenant enfoncé le bouton gauche de la souris. Si vous sélectionnez une cellule et que vous déplacez la bordure gauche et/ou droite, vous modifiez uniquement la taille de la cellule courante.

Si un tableau ne contient aucun texte, il est considéré comme étant vide et ne sera pas affiché.

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Insérer lien
- | Paramètres RollOver


Objet Animation Flash

WebSite X5 permet d'insérer dans les pages différents types d'animations et d'effets pour les rendre plus prenantes et spectaculaires.

Vous pouvez importer n'importe quelle animation Flash (format SWF): de la bannière avec textes et images, aux vidéos plus complexes et interactifs, enregistrés sur l'ordinateur local ou déjà publiés sur Internet.
Grâce aux fonctions avancées disponibles, vous pouvez joindre les éventuels fichiers nécessaires pour reproduire correctement l'animation.

Pratiquement

Si vous double-cliquez sur l'objet Animation Flash inséré dans la Grille de mise en page, vous ouvrez la fenêtre Objet Animation Flash. Cette fenêtre permet d'indiquer le fichier à importer, de définir les propriétés et de joindre les éventuels fichiers associés.

Les commandes disponibles sont articulées en deux sections:
- | Section Générales
- | Section Avancé

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page


Objet Animation Flash| Section Générales

Les commandes de la section Générales de la fenêtre Objet Animation Flash permettent de choisir le fichier à utiliser pour composer l'objet Animation Flash.

L'animation Flash peut être insérée en important soit un fichier présent sur l'ordinateur soit un fichier déjà publié sur Internet. Dans le premier cas, sélectionnez l'option Fichier local sur l'ordinateur, cliquez sur le bouton [image] pour parcourir les ressources disponibles et déterminez un fichier au format SWF. Dans le second cas, sélectionnez l'option Fichier sur Internet et tapez dans le champ approprié l'adresse à laquelle la ressource est déjà disponible enligne.

Sélectionnez l'option Aperçu pour afficher l'animation importée dans la fenêtre appropriée.

 Pour afficher l'aperçu de l'animation, vous devez installer le Player de Macromedia Flash.

Les Propriétés suivantes sont disponibles pour l'animation insérée:
- | Texte alternatif: permet d'insérer le texte qui remplace l'animation Flash quand celle-ci ne peut pas être affichée.
- | Largeur: permet d'indiquer les dimensions en pixels de la largeur de l'animation Flash. L'expression entre parenthèses indique la valeur maximum admise pour la largeur de l'objet: cette valeur est déterminée par la Grille de mise en page définie.
- | Hauteur: permet d'indiquer les dimensions en pixels de la hauteur de l'animation Flash.
- | Version du lecteur: permet d'indiquer la version du Player Flash requise pour afficher l'animation insérée. Si l'utilisateur ne possède pas la version du Player Flash indiquée, le programme affiche automatiquement une fenêtre de demande de mise à jour.
- | Arrière-plan transparent: si cette option est activée, elle permet de rendre transparent l'arrière-plan de l'animation.

Sujets corrélés:

-

Objet Animation Flash


Objet Animation Flash| Section Avancées

Objet Animation Flash| Section Avancé

Les commandes de la section Avancé de la fenêtre Objet Animation Flash permettent d'indiquer, si nécessaire, quels fichiers associés à l'animation Flash doivent être importés pour qu'elle puisse fonctionner correctement.

Tous les fichiers associés à l'animation Flash indiqués figurent dans un tableau récapitulatif indiquant leur nom et le chemin relatif sur le serveur.

Pour composer la liste des fichiers associés à l'animation Flash, vous pouvez utiliser les commandes suivantes:
- | Ajouter: permet, dans la fenêtre Télécharger le fichier associé, d'insérer un nouveau fichier avec lien.
- | Modifier: permet de rappeler la fenêtre Télécharger le fichier associé pour modifier les prédispositions définies pour le fichier sélectionné dans le tableau récapitulatif des fichiers associés.
- | Supprimer...: permet de supprimer le fichier sélectionné parmi ceux présents dans le tableau récapitulatif des fichiers associés.

Vous disposez aussi de l'option:

-

Nom du chemin d'accès pour télécharger le fichier Flash: permet d'indiquer le chemin du dossier où doit être publié le fichier SWF relatif à l'animation Flash.

Sujets corrélés:

-

Objet Animation Flash


Objet Vidéo/Audio

WebSite X5 permet de créer des sites entretenant plaisamment les utilisateurs, par exemple avec des vidéos et des morceaux de musique.

Actuellement les vidéos ont atteint un niveau de diffusion qui était impensable il y a quelques années: faire un vidéo, le mettre sur l'ordinateur, l'éditer et le mettre sur le web est aujourd'hui un processus à la portée de tous.

Avec WebSite X5, vous pouvez importer très simplement n'importe quel type de vidéo, l'insérer dans votre site et ainsi le partager. WebSite X5 accepte tous les principaux formats et utilise un lecteur interne pour reproduire le fichier FLV et MP4. Permet de définir des fichiers locaux et des fichiers déjà publiés enligne, y compris ceux de portails comme YouTube et Vimeo.

Pratiquement

Si vous double-cliquez sur l'objet Vidéo/Audio inséré à l'intérieur de la Grille de mise en page, vous ouvrez la fenêtre objet Vidéo/Audio. Dans cette fenêtre vous pouvez indiquer le fichier à importer, définir les propriétés, décider de l'inclure dans le Plan du site et, dans ce cas, insérer les informations nécessaires.

Les commandes nécessaires pour créer un objet Vidéo/Audio sont articulées en deux sections:
- | Section Général
- | Section Plan du site

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page


Objet Vidéo/Audio| Section Général

Les commandes de la section Général de la fenêtre Objet Vidéo/Audio permettent de choisir le fichier à utiliser pour créer l'objet Vidéo/Audio ainsi que certains paramètres relatifs au mode de reproduction.

Selon la ressource à importer, vous pouvez insérer l'objet Vidéo/Audio de différentes façons:

-

Fichier local sur l'ordinateur: quand cette option est activée, il suffit de cliquer sur le bouton [image] pour parcourir les ressources disponibles et déterminer le fichier au format .MP4, .FLV, .AVI, .WMV, .MPG, .MOV, .MP3, .WMA, .WAV, .MID, .AIF, .M4A à importer.

-

Fichier sur Internet quand cette option est activée, il faut taper dans le champ approprié l'adresse URL à laquelle le fichier du vidéo ou de l'audio est déjà disponible enligne.

-

URL YouTube Video/Vimeo: quand cette option est activée, il faut taper dans le champ approprié l'adresse URL de la page de portails comme YouTube ou Vimeo contenant les Vidéos/Audios à importer.

Quand vous insérez de cette façon un vidéo publié sur YouTube, les dimensions d'origine sont modifiées en fonction des paramètres de WebSite X5. Pour mieux contrôler les dimensions, il est conseillé d'importer le vidéo YouTube à travers l'Objet HTML et Widgets et non pas à travers l'objet Vidéo/Audio.

Pour afficher l'aperçu de l'objet Vidéo/Audio, sélectionnez l'option Aperçu dans la fenêtre appropriée.

Selon le format du fichier Vidéo/Audio importé, le programme utilise un lecteur différent pour l'affichage/reproduction:
Lecteur | Fichier Vidéo | Fichier audio
WebSite X5 Media Player | .MP4 et .FLV | .MP3
Microsoft Windows Media Player | .AVI, .WMV et .MPG | .WAV et .WMA
QuickTime Player | .MOV et .AIF | .M4A

Quel que soit le lecteur utilisé pour l'affichage/reproduction du fichier importé, vous pouvez définir les Propriétés suivantes:
- | Texte alternatif permet d'insérer le texte qui remplace le vidéo ou l'audio ne pouvant pas être affiché.
- | Largeur: permet d'indiquer les dimensions en pixels de la largeur du vidéo ou de la barre de commande du son. L'expression entre parenthèses indique la valeur maximum admise pour la largeur de l'objet: cette valeur est déterminée par la Grille de mise en page définie.
- | Hauteur: permet d'indiquer les dimensions en pixels de la hauteur du vidéo ou de la barre de commande du son. L'expression entre parenthèses indique que la valeur maximum admise pour la hauteur de la barre de commande du son est de 35 pixels. La valeur minimum est 15 pixels.
- | Afficher la barre des commandes: permet d'afficher une barre d'outils contenant toutes les commandes nécessaires pour gérer des vidéos et des audios.
- | Lecture automatique: permet de prédisposer le lancement automatique de la reproduction du vidéo ou de l'audio.

Pour l'affichage/reproduction du fichier importé, seulement si vous utilisez WebSite X5 Media Player, vous disposez également des Propriétés suivantes:
- | Activer l'affichage plein écran: si vous sélectionnez cette option, la barre de commande contient une option permettant de mettre en plein écran la fenêtre affichant le vidéo.
- | Objet Texte: si vous sélectionnez cette option, la barre de commande n'est affichée que lors du passage de la souris sur la fenêtre de reproduction du Vidéo/Audio.
- | Couleur de la barre de commande: permet d'indiquer, dans la fenêtre Couleur, la couleur de la barre de commande.

Sujets corrélés:

-

Objet Vidéo/Audio


Objet Vidéo/Audio| Section Plan du site

Les commandes de la section Plan du site de la fenêtre Objet Vidéo/Audio permettent d'insérer dans le Plan du site les informations supplémentaires sur le vidéo sur lequel vous êtes en train de travailler.

Sélectionnez tout d'abord l'option Ajouter le vidéo à la carte du site: ainsi le Plan du site qui est créé automatiquement par WebSite X5 (voir Créer automatiquement le SiteMap dans Paramètres généraux| Section Avancées) est complété par les informations relatives au vidéo. À ce stade, vous devez définir les paramètres suivants:
- | Titre c'est un paramètre obligatoire demandant d'indiquer un titre pour le vidéo. La limite imposée par Google pour la longueur des titres est de 100 caractères.
- | Brève description: c'est un paramètre obligatoire demandant d'indiquer un bref texte descriptif pour le vidéo. La limite imposée par Google pour la longueur des descriptions est de 2048 caractères: les descriptions plus longues sont coupées.
- | Catégorie: c'est un paramètre optionnel permettant d'indiquer une catégorie à laquelle le vidéo pourrait appartenir en raison de son contenu. Google spécifie que chaque vidéo peut appartenir à une seule catégorie et fixe la longueur du nom de la catégorie à 256 caractères.
- | Mots-clé pour la recherche: c'est un paramètre optionnel permettant d'indiquer une liste de tags, à savoir de brèves descriptions des concepts clé associés au vidéo. Google spécifie que chaque vidéo peut avoir au maximum de 32 tags.
- | Aperçu de l'image pour le vidéo: c'est un paramètre obligatoire demandant d'indiquer une image d'aperçu à associer au vidéo. Google conseille d'utiliser pour ces miniatures une dimension minimum de 120x90 pixels et de les enregistrer au format .JPG, .PNG ou .GIF.
- | Publié le: c'est un paramètre optionnel permettant d'indiquer la date de publication du vidéo.
- | Durée: c'est un paramètre optionnel permettant d'indiquer la durée en secondes du vidéo. Google recommande fortement d'insérer cette information et il précise que la valeur insérée doit être comprise entre 0 et 28800 (équivalant à 8 heures).
- | Contenu adapté à tous: c'est un paramètre optionnel permettant d'indiquer si le contenu du vidéo convient à un public mineur. Google avertit que si un vidéo n'est pas défini comme approprié aux mineurs, il sera disponible seulement pour les utilisateurs dont le filtre SafeSearch est désactivé. Nous vous rappelons que la fonction SafeSearch de Google filtre les sites aux contenus sexuels ou pornographiques explicites et les supprime des résultats de la recherche.

Sujets corrélés:
- | Objet Vidéo/Audio
- | Comment créer et connecter le Plan du site


Objet de la galerie

La diffusion incroyable de caméras photos numériques et de services enligne facilite de façon extraordinaire la publication et le partage de collections photographiques à travers le Web.
Ainsi, vous pouvez publiciser les photos de famille pour les montrer à vos parents et amis lointains ou bien créer des albums et des catalogues pour vos loisirs ou votre travail.

WebSite X5 permet d'insérer des galeries magnifiques pour voir vos photos et vos vidéos. Les galeries disponibles sont faites avec Flash ou JavaScript et elles utilisent différents effets et méthodes de navigation/affichage: elles peuvent, par exemple, présenter une barre de commande, une séquence ou une grille de miniatures.

En général, les Galeries en JavaScript se distinguent des Galeries en Flash pour la technologie utilisée, l'utilisation de la fenêtre ShowBox et l'affichage des images agrandies. Dans ces cas, l'utilisateur clique sur l'une des miniatures disponibles et l'image ou le vidéo correspondant s'ouvre dans une fenêtre superposée à la page principale. À ce stade, s'il pointe l'image rappelée, il affiche les boutons permettant de passer directement à l'image précédente/suivante sans revenir aux miniatures.

[IMAGE]

Vous pouvez entièrement personnaliser l'aspect de la fenêtre ShowBox: à l'aide des options présentes dans la section Styles et modèles| Section Boîte d'affichage de l'étape 4 - Paramètres avancés vous pouvez, par exemple, définir les couleurs, l'ombre, l'opacité et les effets d'ouverture.

Pratiquement

Si vous double-cliquez sur l'objet Galerie inséré dans la Grille de mise en page, vous ouvrez la fenêtre Objet de la galerie. Cette fenêtre permet de choisir le type de Galerie en Flash ou JavaScript à réaliser, de créer la liste des images/vidéos à utiliser, de définir les prédispositions nécessaires pour la personnaliser et, si nécessaire, de travailler sur l'aspect graphique des miniatures.

Les commandes nécessaires pour créer une Galerie sont articulées en trois sections:
- | Section Style
- | Section Liste
- | Section Miniatures

 Les Galeries en JavaScript peuvent être lancées même à travers un lien approprié inséré dans les pages: pour plus d'informations, reportez-vous à Lien.

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Styles et modèles| Section Boîte d'affichage


Objet de la galerie| Section Style

Les commandes de la section Style de la fenêtre Objet de la galerie permettent de choisir le type de Galerie à réaliser et de définir des paramètres généraux.

Tel que dit précédemment, WebSite X5 permet de choisir 2 types de Galerie: les Galeries en Flash et les Galeries en JavaScript.

Les Galeries en Flash disponibles sont:
- | Diaporama classique C'est une galerie où les images et les vidéos sont présentés en séquence, l'un après l'autre: si vous sélectionnez cette option, le mode d'affichage des images dépend du type d'effet d'entrée. Le passage d'une image à l'autre peut être géré à l'aide des commandes de la barre de commande. Dans la barre de commande, vous pouvez prévoir l'affichage de petites miniatures pour permettre à l'utilisateur d'ouvrir immédiatement les images ou les vidéos.
- | Galerie horizontale Cette Galerie propose une série de miniatures, positionnées horizontalement au-dessus ou au-dessous de l'image en premier plan. Il suffit de pointer les miniatures pour les faire défiler vers la droite/gauche: si vous cliquez sur une miniature, l'image ou le vidéo correspondant s'affiche en premier plan. Les images agrandies sont affichées en fonction de l'effet d'entrée éventuellement défini.
- | Galerie verticale Cette Galerie est semblable à la précédente toutefois elle présente les miniatures affichées verticalement à droite ou à gauche par rapport à l'image en premier plan.

Voici les galeries en JavaScript disponibles:
- | Miniatures Cette Galerie présente une grille contenant toutes le miniatures: si vous cliquez sur une miniature, l'image ou le vidéo correspondant s'ouvre en premier plan dans la Boîte d'affichage (ShowBox).
- | Miniatures par cadre Cette Galerie est semblable à la précédente mais, si vous devez entrer de nombreuses images, elle permet de les partager en fiches en définissant le nombre maximum de rangées de miniatures à afficher: l'utilisateur pourra passer d'une fiche à l'autre, à l'aide des boutons appropriés, en restant toujours sur la même page du site.
- | Miniatures horizontales Cette Galerie montre une seule bande horizontale de miniatures. Si vous cliquez sur une miniature, l'image ou le vidéo apparaît dans la Boîte d'affichage.
- | Miniatures verticales Cette Galerie, semblable à la précédente, présente toutefois les miniatures verticalement.

Selon le type de galerie sélectionné, vous disposez de différents Paramètres.

Pour les Galeries en Flash, les Paramètres disponibles sont:
 |  | Diaporama classique | Galerie horizontale | Galerie verticale
- | Largeur Permet de définir la dimension maximum en pixels de la largeur que les images peuvent prendre. | Oui | Oui | Oui
- | Hauteur Permet de définir la dimension maximum en pixels de la hauteur que les images peuvent prendre. | Oui | Oui | Oui
- | Afficher Miniature dans la barre de commande: Activée par défaut, cette option fait en sorte que la barre de commande, affichée au passage de la souris, contienne en plus des boutons, les miniatures de toutes les images. Ainsi l'utilisateur n'est pas obliger de consulter les images dans l'ordre, il peut afficher immédiatement les images ou les vidéos qui l'intéressent. | Oui | Non | Non
- | Miniatures visibles Permet de définir le nombre de miniatures à afficher à côté de l'image principale. | Non | Oui | Oui
- | Position Miniatures Permet de définir où doivent être affichées les miniatures par rapport à l'image principale. | Non | Oui | Oui

Pour les Galeries en Flash, vous pouvez utiliser les Propriétés suivantes:
- | Afficher la barre de commande: activée par défaut, elle permet de définir l'affichage, au passage de la souris, d'une barre de commande pour gérer la navigation entre les images et les vidéos de la Galerie. Comme base, la barre de commande présente les boutons [image] Démarrer présentation, [image] Image précédente et [image] Image suivante.
- | Lecture automatique: permet de lancer automatiquement la reproduction d'images et de vidéos dès que la Galerie est affichée.
- | Affichage aléatoire: les images et les vidéos ne sont pas proposés en fonction de l'ordre d'entrée mais d'une séquence fortuite.
- | Couleur de la barre de commande: permet d'indiquer, dans la fenêtre Couleur, la couleur de la barre de commande.
- | Couleur d'arrière-plan permet d'indiquer, dans la fenêtre Couleur, la couleur de l'arrière-plan de la galerie.
- | Taille de police: permet de définir la taille du texte présenté en premier plan comme légende de l'image ou du vidéo.
- | Bande sonore: permet de définir un fichier musical (format .MP3) à reproduire comme bande sonore pendant l'affichage de la galerie.

Pour les galeries en JavaScript les Paramètres disponibles sont:
- | Miniatures visibles permet de définir combien de miniatures il faut effectivement afficher.
- | Lignes par page: disponible seulement pour la Galerie Miniatures par cadre, elle permet de définir le nombre de lignes de la matrice où les miniatures sont organisées.
- | Afficher l'image agrandie sur clic dans une boîte d'affichage: activée par défaut, cette option permet de définir sur la miniature le lien qui mène à l'affichage de l'image ou du vidéo correspondant à l'intérieur de la Boîte d'affichage.
- | Largeur / Hauteur: disponibles seulement si l'option Afficher l'image agrandie sur clic dans une boîte d'affichage est sélectionnée, elles permettent de définir la valeur maximum de la largeur et de la hauteur de la Boîte d'affichage.

Sujets corrélés:
- | Objet de la galerie
- | Styles et modèles| Section Boîte d'affichage


Objet de la galerie| Section Liste

Les commandes de la section Liste de la fenêtre Objet de la galerie permettent de composer la liste des images et des vidéos à insérer dans la Galerie.

Tous les fichiers déjà importés sont affichés dans la Liste des fichiers: si vous sélectionnez un fichier dans la liste, vous pouvez voir son aperçu dans la fenêtre appropriée.
Pour chaque image et vidéo inséré, la Liste des fichiers indique le chemin du fichier, l'effet d'entrée éventuellement associé, une coche signalant l'association d'un lien et d'une description.

[IMAGE]

Voici les commandes disponibles pour composer l'objet de la Galerie:
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter de nouveaux fichiers ou de supprimer les fichiers sélectionnés parmi ceux déjà insérés. Vous pouvez importer des fichiers graphiques au format: .JPG, .GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF. Par ailleurs, vous pouvez importer des fichiers vidéos au format: .FLV et .MP4. Si vous cliquez sur le triangle du bouton Ajouter, vous affichez un sous-menu offrant les options suivantes: Ajouter Image, Ajouter Vidéo et Ajouter Vidéo YouTube/Vimeo. La fenêtre rappelée à l'aide de la commande Ajouter Vidéo YouTube/Vimeo permet d'indiquer l'adresse URL du vidéo déjà publié sur des portails comme YouTube ou Vimeo que vous voulez insérer.
- | En haut / En bas: permettent de déplacer le fichier sélectionné avant/après le fichier précédent/suivant dans la Liste des fichiers.
- | Modifier: permet de rappeler l'Editeur graphique interne pour modifier l'image sélectionnée dans la Liste des fichiers.

En fonction du type de Galerie choisie (voir objet Galerie| Section Style) pour chaque image/vidéo inséré, vous pouvez définir certaines Options:
- | Effet: si vous cliquez sur le bouton [image] , vous ouvrez la fenêtre Propriétés de l'effet permettant de définir l'effet d'entrée, le mouvement et le zoom pour les images et les vidéos de la Galerie sélectionnés parmi ceux présents dans la Liste des fichiers. Les effets définis sont reproduits seulement dans les Galeries en Flash. Dans les Galeries en JavaScript, l'effet Fondu est prévu sur toutes les images et les vidéos insérés.
- | Lien: si vous cliquez sur le bouton [image] , vous ouvrez la fenêtre Lien permettant de définir le lien à associer à l'image sélectionnée parmi celles présentes dans la Liste des fichiers. Pour les Galeries en JavaScript, le lien ainsi défini remplace celui avec l'image agrandie même si vous sélectionnez l'option Afficher l'image agrandie sur clic dans une boîte d'affichage. Pour les Galeries en Flash, le lien peut aussi être défini sur les vidéos.
- | Description permet d'insérer un texte de description pour l'image ou le vidéo sélectionné dans la Liste des fichiers. Le texte de description figure au bas de la fenêtre montrant l'image ou le vidéo agrandi.

Sujets corrélés:
- | Objet de la galerie
- | Editeur graphique
- | Fenêtre Propriétés de l'effet


Objet de la galerie| Section Miniatures

Les commandes de la section Miniature de la fenêtre Objet de la galerie permettent de définir les prédispositions relatives à l'aspect graphique des miniatures des Galeries qui les prévoient.

La miniature, créée automatiquement par le programme, est une version rétrécie de l'image ou du vidéo inséré dans la Galerie. Pour qu'elles soient plus belles, les miniatures sont présentées dans un cadre comme les diapositives, les photogrammes d'une pellicule, les post-it, etc.

Pour définir l'aspect des miniatures, vous pouvez utiliser:

-

Image prédéfinie: permet de choisir le cadre à appliquer aux miniatures en le sélectionnant parmi ceux proposés.

-

Image personnalisée: permet de rappeler le fichier graphique (au format .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA, .WPG) correspondant au cadre à utiliser.

Pour créer un nouveau cadre, il suffit de préparer l'image et de l'enregistrer dans un fichier spécifique: il est préférable que l'image du cadre soit carrée et s'il faut maintenir une transparence externe, enregistrez-la sous le format .PNG.

Pour les miniatures, vous disposez également des Options suivantes:

-

Marge extérieure à l'image (%): permet de définir la marge qu'il faut maintenir entre l'image de la miniature et le cadre qui l'entoure.

-

Activer variante de couleur: si vous sélectionnez cette option, vous pouvez définir dans la fenêtre Couleur, la couleur vers laquelle tendra le cadre des miniatures. Vous appliquez donc un effet "Colorisé" au cadre de sorte qu'il tende vers la couleur voulue.

L'effet variante de couleur ne peut pas être utilisé sur des cadres noirs ou blancs: si tel est le cas, l'option "Colorisé" n'entraîne aucune variation de couleur.

Sujets corrélés:

-

Objet de la galerie


Objet Formulaire d'envoi d'email

Lorsque on navigue sur Internet, on rencontre souvent des pages contenant des formulaires à remplir pour envoyer les données collectées via email. Ces formulaires sont utilisés comme de simples formulaires de contact, pour demander l'inscription à des services particuliers ou l'accès à des zones réservées à travers un mot de passe ou bien pour effectuer des sondages et des recherches.

Quelque soit le but, WebSite X5 permet de créer très facilement un formulaire d'envoi email, d'indiquer les champs nécessaires, d'agir sur la mise en page et l'aspect graphique et, surtout, d'établir comment doivent avoir lieu l'envoi et la collecte des données.

Pratiquement

Si vous double-cliquez sur l'objet Formulaire d'envoi d'email dans la Grille de mise en page, vous ouvrez la fenêtre homonyme. Celle-ci permet de définir les champs du formulaire, le mode d'envoi et de collecte des données, l'aspect graphique du formulaire.

Les différentes options sont regroupées dans des sections appropriées
- | Section Liste
- | Section Envoi
- | Section Style

 Quand vous testez le fonctionnement du site sur votre ordinateur, un message vous avertit que l'e-mail contenant les données collectées à travers le formulaire ne sera pas envoyé. Le formulaire email fonctionne entièrement après la publication du site sur le serveur.

Pour que le formulaire d'envoi email fonctionne correctement, le serveur sur lequel le site sera publié doit supporter le langage de programmation PHP et la commande MAIL doit être activée. La section WebSite Test du Panneau de contrôle enligne donne des informations de diagnostic sur le serveur.

Si des problèmes se vérifient durant l'envoi des emails, il se peut que le serveur utilisé ne soit pas configuré en mode standard. Dans ces cas, essayez de modifier les prédispositions relatives au script et à la méthode utilisée pour l'envoi de l'email à l'aide de l'option appropriée présente dans la fenêtre Préférences. Pour plus d'informations à ce sujet, veuillez contacter votre fournisseur d'accès au Web.

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Panneau de contrôle enligne
- | Fenêtre Préférences


Objet Formulaire d'envoi d'email| Section Liste

Les commandes de la section Liste de la fenêtre Objet du formulaire email permettent de définir la liste des champs composant le formulaire email.

Tous les champs créés sont affichés dans un tableau récapitulatif qui indique, pour chacun d'entre eux: Nom de champ, Type de champ, Largeur, si la réponse a été définie comme Obligatoire ou pas et Description. Tous ces paramètres peuvent être définis pendant la phase de création du champ, dans la fenêtre Insertion de champ.

Le tableau, qui résume les données principales de tous les champs insérés, est un outil utile permettant d'exécuter différentes opérations:
- | Si vous double-cliquez sur un champ, vous ouvrez la fenêtre Insertion de champ permettant de modifier ce champ;
- | Si vous cliquez deux fois sur un champ déjà sélectionné, vous pouvez modifier son nom: ce qui équivaut à ouvrir la fenêtre Insertion de champ et à modifier le texte inséré comme Etiquette;
- | Après avoir sélectionné un champ, vous pouvez utiliser les boutons disponibles sur le côté pour créer une copie, le supprimer, le déplacer en haut ou en bas et modifier les paramètres.
Par ailleurs, le tableau vous permet de contrôler l'emplacement des champs dans le formulaire. Tout d'abord, les tirets indiquent les lignes où se trouvera le formulaire. Par ailleurs, si un champ est placé en regard du champ précédent, près de sa largeur, vous verrez l'icône [image]. Enfin, si la largeur des champs placés côte à côte sur la même ligne dépassent 100% de l'espace disponible, l'icône du point d'exclamation [image] signale l'erreur: si vous ne modifiez pas leur largeur, les champs seront placés sur des lignes différentes.

En regard du tableau se trouvent les commandes permettant de créer la liste des champs composant le formulaire:
- | Ajouter: permet de rappeler la fenêtre Insertion de champ pour entrer un nouveau champ dans le formulaire.
- | Dupliquer: permet de créer une copie du champ sélectionné parmi ceux figurant dans le formulaire.
- | Supprimer...: permet de supprimer le champ sélectionné parmi ceux figurant dans le formulaire.
- | En haut / En bas: permettent, respectivement, de déplacer le champ sélectionné avant ou après le champ précédent ou suivant parmi ceux déjà insérés dans le formulaire.
- | Modifier: permet de rappeler la fenêtre Insertion de champ pour modifier les paramétrages du champ sélectionné parmi ceux déjà insérés dans le formulaire.

La fenêtre Insertion de champ rappelée à l'aide des commandes Ajouter et Modifier permet de définir effectivement les champs. Cette fenêtre possède deux sections:
- | Section Type de champ
- | Section Options

 Les boutons Envoi pour envoyer le formulaire rempli et Réinitialiser pour effacer éventuellement les réponses données sont créés automatiquement par le programme et positionnés à la fin du formulaire.

Sujets corrélés:

-

Objet Formulaire d'envoi d'email


Objet Formulaire d'envoi d'email| Section Liste| Type de champ

Les options de la section Type de champ de la fenêtre Insertion de champ permettent de créer la liste de champs composant le formulaire email.

Vous disposez des types de champ suivants:

 Champ Texte: champ de texte disposé sur une seule ligne qui est affiché comme une case vide où l'utilisateur peut entrer librement la réponse la plus appropriée.

Courriel: champ de texte spécifique pour demander à l'utilisateur de fournir une adresse courriel. Dans ces cas, le programme défini automatiquement un filtre pour contrôler l'exactitude de la donnée saisie: par exemple, pour qu'une adresse soit valide, elle doit contenir le caractère "@" et un point dans le texte qui suit.

Zone de texte: champ de texte disposé sur plusieurs lignes permettant à l'utilisateur d'entrer un commentaire ou une question.

Date: champ de texte où l'utilisateur doit entrer une date. La date requise peut être tapée ou définie à l'aide du calendrier.

Liste déroulante: les possibilités sont groupées dans une liste où l'utilisateur pourra choisir une seule réponse.

Liste: il s'agit d'une liste de réponses parmi lesquelles l'utilisateur peut en choisir une seule.

Choix multiple: les réponses sont présentées dans une liste à puces permettant à l'utilisateur de sélectionner plusieurs rubriques.

Choix unique: l'utilisateur peut sélectionner un seul choix dans la liste.

Mot de passe: champ de texte où les caractères entrés sont automatiquement masqués, à savoir affichés comme des "pois" ou des astérisques (selon le système d'exploitation utilisé). Permet aux utilisateurs d'indiquer le mot de passe d'inscription pour accéder à un service.

Fichier annexé: champ de texte où l'utilisateur, en cliquant sur le bouton [image] permettant de parcourir les ressources disponibles, peut spécifier le fichier à envoyer comme annexe.

Pour le bon fonctionnement des fichier annexés, contactez votre fournisseur d'accès et vérifiez que le service est actif.

Question de contrôle: champ de texte où l'utilisateur doit entrer la réponse à une question posée dans le but de distinguer les utilisateurs réels des programmes qui exploitent les formulaires de contact publiés enligne pour envoyer des courriels non désirés.

Conditions d'acceptation: champ de texte où sont indiquées les conditions que l'utilisateur doit accepter pour envoyer les données. Dans ce champ, vous pouvez par exemple entrer la norme de référence sur la confidentialité du traitement des données collectées.

Selon le champ sélectionné, le programme propose différentes options. Les options communes à tous le champs sont:
- | Étiquette: permet d'insérer la description du champ. Ce texte qui sera affiché au-dessus, en regard ou à l'intérieur du champ, permet de spécifier l'information requise ou d'entrer le texte de la question à poser.
- | Largeur: permet de définir la largeur du champ qui peut prendre une valeur allant de 5% à 100 % de l'espace disponible.
- | Afficher sur la même ligne que le champ précédent: si vous sélectionnez cette option, le champ n'est pas positionné sur une nouvelle ligne mais à côté du champ précédent. Pour mettre deux champs côte à côte sur la même ligne, la somme de leur largeur ne doit pas dépasser 100 % de l'espace disponible.
- | Etablir comme champ obligatoire: si vous sélectionnez cette option, la réponse de l'utilisateur est obligatoire. L'option n'est pas disponible pour les champ Choix multiple mais elle est activée par défaut pour les champs Question de contrôle.

En plus des options communes, pour chaque type de champ, vous disposez des options spécifiques suivantes:
Champ Texte:

-

Max caractères: permet d'indiquer le nombre maximum de caractères à entrer dans le champ. Par exemple, vous pouvez fixer à 15 le nombre maximum de caractères pour un champ de texte destiné à accueillir le code fiscal de l'utilisateur.

-

Filtre de saisie du texte: permet de contrôler l'exactitude des données saisies par l'utilisateur dans le champ. Vous pouvez choisir parmi les filtres suivants:
- | Aucun: dans ce cas, les caractères et les chiffres sont acceptés.
- | Numérique: seuls les chiffres pourront être saisis.
- | Numéro de téléphone/fax: accepte la saisie des chiffres, du caractère "-" et de l'espace.
- | Date: accepte la saisie des chiffres, et du caractère "/".
Courriel:

-

Demander une confirmation d'Adresse email: si vous sélectionnez cette option, un champ est automatiquement ajouté pour que l'utilisateur saisisse une seconde fois son adresse email. L'exactitude de l'adresse entrée sera automatiquement contrôlée dans les deux champs et, si nécessaire, un message d'alerte apparaîtra.
Zone de texte:

-

Max caractères: permet d'indiquer le nombre maximum de caractères à entrer dans le champ.

-

Nombre de lignes: permet de définir la hauteur du champ en spécifiant le nombre de lignes utilisables (30 au maximum).
Date:

-

Format de date: permet de choisir le format de la date en indiquant les formules nationales et internationales habituelles.

-

Afficher l'icône "Calendrier": activée par défaut, elle permet d'afficher à côté du champ Date l'icône "Calendrier". Si vous cliquez sur cette icône, vous affichez un calendrier permettant de définir la date requise sans la taper manuellement
Liste:

-

Nombre de lignes: permet de définir la hauteur du champ en indiquant le nombre de lignes affichées (30 au maximum).
Choix Multiple/Unique:

-

Nombre de colonnes: permet de définir le nombre de colonnes accueillant les réponses.
Mot de passe:

-

Demande de confirmation de mot de passe: si vous sélectionnez cette option, un champ est automatiquement ajouté pour que l'utilisateur saisisse une seconde fois son mot de passe. L'exactitude du mot de passe saisi sera automatiquement contrôlée dans les deux champs et, si nécessaire, un message d'alerte apparaîtra.
Question de contrôle:

-

Réponse correcte: permet de définir la réponse correcte qui sera confrontée à celle donnée par l'utilisateur.
Conditions d'acceptation:

-

Texte de la condition: permet d'insérer le texte des conditions que l'utilisateur doit accepter avant d'envoyer les données.

Enfin, pour les champs Liste déroulante, Liste, Choix multiple et Choix unique vous pouvez créer la liste des réponses possibles à l'aide des commandes suivantes:
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter une nouvelle réponse ou de supprimer la réponse sélectionnée. Il suffit de cliquer une seconde fois sur une rubrique sélectionnée pour la modifier.
- | En haut / En bas: permettent, respectivement, d'agir sur la commande d'affichage des réponses possibles, en déplaçant vers le haut ou le bas celle sélectionnée.
- | Modifier: permet de modifier la réponse sélectionnée.

Sujets corrélés:

-

Objet Formulaire d'envoi d'email| Section Liste


Objet Formulaire d'envoi d'email - Section Liste

Objet Formulaire d'envoi d'email| Section Liste| Options

Les options de la section Options de la fenêtre Insertion de champ permettent de gérer certaines propriétés avancées des champs d'un formulaire d'envoi d'email.

Dans le détail, les options disponibles sont:
- | Description de champ: permet d'insérer un message expliquant le type d'information que l'utilisateur doit taper dans le champ. si ce texte a été défini, il y aura en regard du champ une icône (personnalisable) indiquant la disponibilité d'autres informations: quand vous passez la souris sur cette icône, vous affichez une info-bulle contenant les informations disponibles.
- | Attribut <name>: permet d'indiquer la valeur à associer à l'attribut <name> du champ lors de la création du code HTML relatif au formulaire. Cette option est utile quand, par exemple comme méthode d'Envoi des données (voir: Objet Formulaire d'envoi d'email| Section Envoi), vous définissez Envoyer les données à un fichier de script.
- | Nom du champ base de données: permet d'indiquer le nom à affecter au champ pour que la donnée saisie puisse être correctement reconnue et insérée dans une base de données. Cette option est utile quand, par exemple comme méthode d'Envoi des données (voir: Objet Formulaire d'envoi d'email | Section Envoi), vous définissez Envoyer les données à une base de données.

Sujets corrélés:
- | Objet Formulaire d'envoi d'email| Section Liste
- | Objet Formulaire d'envoi d'email| Section Envoi


Objet Formulaire d'envoi d'email - Section Envoi

Objet Formulaire d'envoi d'email| Section Envoi

Les commandes de la section Envoi de la fenêtre Objet du formulaire email permettent de définir les modalités relatives à l'envoi via email des données collectées à travers le formulaire créé.

Dans le cadre Envoi des données, indiquez comment les données collectées à travers le formulaire doivent être envoyées au gérant du site. Vous disposez des trois options suivantes:

Envoyer les données via email: c'est l'option prévue par défaut. Les données saisies dans le formulaire sont envoyées via e-mail en exploitant un script PHP déjà prédisposé.

Envoyer les données à une base de données: les données saisies dans le formulaire sont envoyées automatiquement à la base de données MySQL indiquée, à travers un script PHP déjà prédisposé.

Envoyer les données à un fichier de script: les données saisies dans le formulaire sont gérées en exploitant le script indiqué (PHP, ASP, etc.). Cette option est utile si vous voulez utiliser votre propre script, par exemple pour envoyer les données si PHP n'est pas disponible sur votre serveur, ou si vous voulez activer des procédures et des gestions particulières.

Selon la méthode d'envoi sélectionnée, il faut indiquer une série de paramètres:
Envoyer les données via email: | - | Adresse email de l'expéditeur: si vous sélectionnez cette option, vous pouvez indiquer l'adresse à utiliser comme expéditeur de l'email envoyé avec les données saisies dans le formulaire créé. Par défaut, le programme utilise comme email de l'expéditeur celui du destinataire qui, dans ce cas, correspond au gérant du site. Si vous indiquez comme email de l'expéditeur l'adresse de l'utilisateur qui a rempli le formulaire, vous pourrez, par exemple, utiliser directement la commande Répondre du programme de Courriel.
 | - | Destination Adresse email: permet de définir l'adresse à laquelle il faut envoyer les données. Vous pouvez indiquer plus d'une adresse email: pour ce faire, tapez toutes les adresses email séparées d'un point-virgule.
 | - | Objet: permet de définir l'objet de l'email contenant les données collectées.
 | - | Message: permet de taper le texte qui introduit dans le message les données collectées.
 | - | Ajouter les données collectées au format CSV: permet d'enregistrer les données collectées également dans un fichier au format CSV joint à l'email. Dans un fichier CSV, les données sont indiquées sous forme textuelle, comme une longue liste de rubriques séparées par un point-virgule: vous pouvez importer facilement ces fichiers dans les programmes de gestion des feuilles de calcul (par ex. Microsoft Excel).
Envoyer les données à une base de données: | - | Nom d'hôte: c'est l'adresse URL du serveur MySQL où se trouve la base de données enligne à utiliser. Dans la plupart des cas, la base de données se trouve sur le serveur qui accueille le site web auquel elle est associée, par conséquent vous pouvez la trouver en cherchant l'expression "localhost". De toute façon, il convient de vérifier cette donnée auprès du fournisseur.
 | - | Nom de base de données: dans ce champ, tapez le nom de la base de données (communiquée par le fournisseur) sur laquelle vous voulez travailler.
 | - | Nom de tableau: dans ce champ, tapez le nom du tableau, à l'intérieur de la base de données, où vous voulez collecter les données. Les tableaux peuvent être créés en accédant à la base de données à l'aide de l'application enligne. En tout cas, si vous tapez le nom d'un tableau qui n'existe pas, celui-ci sera automatiquement créé.
 | - | Nom utilisateur: dans ce champ, tapez le Nom Utilisateur (communiqué par le fournisseur) pour pouvoir accéder à votre base de données enligne.
 | - | Mot de passe: dans ce champ, tapez le Mot de passe (communiqué par le fournisseur) pour pouvoir accéder à votre base de données enligne.
Envoyer les données à un fichier de script: | - | Fichier de traitement des données (ex : PHP, ASP): permet de définir le fichier de traitement à utiliser pour collecter les données du formulaire et les envoyer. Dans ce cas, le fichier de traitement doit être créé manuellement pour exécuter la tâche voulue.

Le cadre Mail de confirmation pour l'utilisateur présente les options suivantes:
- | Envoyer un mail de confirmation à l'utilisateur: si vous sélectionnez cette option, après avoir rempli le formulaire et envoyé les données, l'utilisateur recevra automatiquement un email de confirmation.
- | Adresse email de l'expéditeur: si vous sélectionnez cette option, vous pouvez taper une adresse email valide et active à utiliser comme expéditeur de l'email de confirmation. Par défaut, le programme utilise comme email de l'expéditeur, dans ce cas celui du gérant du site, l'adresse saisie comme Destination Adresse email de la section Envoi des données. Si vous tapez une Adresse email de l'expéditeur différente, vous pouvez envoyer l'email de confirmation à partir d'une adresse différente de celle où arrivent les emails venant du formulaire. Cette option est utile si vous préférez utiliser pour les communications avec les utilisateurs une adresse générique (info@monentreprise.com ou noreply@monentreprise.com) au lieu d'une adresse personnelle (prénom.nom@monentreprise.com).
- | Destination Adresse email: permet d'indiquer dans quel champ du formulaire le programme doit prendre l'adresse courriel de l'utilisateur qui doit recevoir l'email de confirmation.
- | Objet: permet de définir l'objet de l'email de confirmation.
- | Message: permet d'indiquer le message de l'email de confirmation.
- | Ajouter les données collectées: permet de joindre l'email de confirmation des données saisies dans le formulaire.

Enfin, le cadre Options propose les options suivantes:
- | Activer le contrôle anti-spam "Captcha": permet d'ajouter, au terme du formulaire, le contrôle anti-spam du Captcha. Le programme insère l'image de quelques lettres déformées sur un arrière-plan flou: l'utilisateur doit recopier correctement les lettres dans un champ approprié pour pouvoir envoyer le message.
- | Confirmation après envoi des données: permet d'accéder au plan du site pour définir la page à visualiser automatiquement quand le formulaire sera rempli et les données auront été envoyées via e-mail. Au lieu de renvoyer directement à la Page d'accueil, il vaut mieux prédisposer une page spécifique avec un message de remerciement: cette page devra être Non visible sur le menu à l'aide de la commande disponible dans l'étape 2 - Création du plan.

 Pour personnaliser l'aspect graphique des emails envoyés automatiquement à travers le formulaire créé, utilisez les options proposées dans la fenêtre Styles et modèles| Section e-mail de l'étape 4 - Paramètres avancés.

Sujets corrélés:
- | Objet Formulaire d'envoi d'email
- | Styles et modèles| Section E-mail


Objet Formulaire d'envoi d'email| Section Style

Les commandes de la section Style de la fenêtre Objet Formulaire d'envoi d'email permettent de définir certains paramètres graphiques du formulaire que vous êtes en train de créer.

Vous devez, tout d'abord, sélectionnez l'élément du formulaire sur lequel vous voulez travailler: pour cela, utilisez la boîte à liste déroulante de l'option homonyme ou cliquez directement sur l'élément dans la fenêtre Aperçu.

Voici les éléments sur lesquels vous pouvez agir:

 Étiquettes de texte: c'est le texte qui décrit le champ où vous pouvez taper l'information requise ou le texte de la question à poser.

Champs: c'est le cadre où l'utilisateur pourra saisir l'information requise.

Boutons "Envoi" et "Réinitialiser": ces boutons sont insérés automatiquement au bas du formulaire d'envoi d'email. Ils servent, respectivement, à envoyer toutes les données entrées dans les champs et à supprimer les valeurs éventuellement présentes dans les champs.

Information et validation des données: il s'agit de messages donnant des informations supplémentaires (comment remplir les champs), invitant à corriger une donnée saisie ou exhortant à remplir un champ obligatoire.

En fonction de l'élément du formulaire sélectionné, vous pouvez agir sur les différentes options de la section Style:
Étiquettes de texte: | - | Type de police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte.
 | - | Couleur: permet d'indiquer, dans la fenêtre Couleur, la couleur à utiliser pour le texte.
 | - | Disposition: permet de définir où l'étiquette doit être placée par rapport au champ. Vous disposez des trois options suivantes: Afficher les étiquettes au-dessus des champs, Afficher les étiquettes à l'intérieur des champs et Afficher les étiquettes à gauche des champs. Si vous positionnez les étiquettes à gauche des champs, vous pouvez définir la largeur (%), à savoir le pourcentage d'espace de la ligne qui sera occupée par l'étiquette.
Champs: | - | Couleur: permet d'indiquer, dans la fenêtre Couleur, la couleur qui doit être utilisée pour le texte (en état normal et "sur sélection"), pour l'arrière-plan (en état normal et "sur sélection") et pour la bordure (en état normal et "sur erreur".
Boutons Envoi et Réinitialiser: | - | Couleur: permet d'indiquer, dans la fenêtre Couleur, la couleur à utiliser pour le texte, pour l'arrière-plan et la bordure des boutons.
 | - | Image d'arrière-plan: permet de définir un fichier graphique (format .JPG, .GIF et .PNG) à utiliser comme image d'arrière-plan des boutons.
 | - | Afficher le bouton "Réinitialiser": activée par défaut, elle affiche automatiquement au bas du formulaire le bouton "Réinitialiser" (qui permet de vider les champs déjà remplis) en plus du bouton "Envoi".
Information et validation des données: | - | Fichier icône Description de champ: permet de définir un fichier graphique (format .JPG, .GIF et .PNG) à utiliser comme icône à associer au champ pour indiquer la disponibilité d'autres informations.
 | - | Afficher la description sur la sélection de champ: si vous sélectionnez cette option, le message contenant les informations supplémentaires s'affiche automatiquement quand vous cliquez sur le champ.
 | - | Si une erreur survient au cours de la validation des données: permet de choisir comment doit apparaître le message prévu au cas où un champ ne serait pas rempli correctement ou si un champ Obligatoire est laissé vide. Vous disposez des options suivantes: Afficher la boîte de dialogue du navigateur, Afficher la fenêtre contextuelle interne ou Afficher le Conseil à côté du champ invalide.

 Pour personnaliser l'aspect graphique des emails envoyés automatiquement à travers le formulaire créé, utilisez les options proposées dans la fenêtre Styles et modèles| Section e-mail de l'étape 4 - Paramètres avancés.

Sujets corrélés:
- | Objet Formulaire d'envoi d'email
- | Styles et modèles| Section E-mail


Objet Liste des produits

Une des fonctions les plus intéressantes de WebSite X5 est la création et la gestion de sites E-commerce permettant non seulement de présenter vos produits dans une vitrine qui donne sur le monde entier mais aussi de les vendre directement enligne.

WebSite X5 permet non seulement d'entrer des produits et de gérer un panier e-commerce mais aussi de préparer un catalogue enligne à l'aide de l'objet nommé Liste de produits. Cet objet permet de présenter un groupe de produits, sélectionnés parmi ceux déjà insérés dans le Panier virtuel e-commerce, à travers des fiches produit résumant les informations principales et permettant de les acheter.

Pratiquement

Si vous double-cliquez sur l'objet Liste de produits inséré dans la Grille de mise en page, vous ouvrez la fenêtre Liste de produits. Dans cette fenêtre, vous pouvez créer la liste de tous les produits que vous voulez présenter et définir le mode d'affichage des fiches produit.

Les commandes disponibles sont articulées en deux sections:
- | Section Liste
- | Section Paramètres

 Pour que l'objet Liste des produits fonctionne correctement, vous devez préalablement insérer des produits dans le panier e-commerce à l'aide des commandes de la section Panier virtuel e-commerce de l'étape 4 - Paramètres avancés.

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page
- | Panier virtuel e-commerce


Objet Liste des produits| Section Liste

Dans la section Liste de la fenêtre Objet Liste des produits, vous pouvez indiquer les produits devant figurer dans l'objet Liste des produits.

La fenêtre propose la Liste complète des catégories et des produits insérés pendant la création du Panier e-commerce disponible à l'étape 4 - Paramètres avancés.

En regard de chaque catégorie et chaque produit, se trouve une case à cocher: cliquez sur la case correspondant aux catégories et/ou produits que vous voulez insérer dans l'objet Liste des produits que vous êtes en train de composer.

Sélectionner une catégorie ou tous les produits appartenant à une catégorie, ce n'est pas la même chose: dans le premier cas seulement, si vous ajoutez par la suite de nouveaux produits à une catégorie, ils seront automatiquement insérés dans la Liste de produits à laquelle ils sont associés.

Sujets corrélés:
- | Objet Liste des produits
- | Panier virtuel e-commerce


Objet Liste des produits| Section Paramètres

Les options de la section Paramètres de la fenêtre Objet Liste des produits permettent de définir certains paramètres graphiques relatifs aux fiches présentant les produits figurant dans la liste.

Vous devez tout d'abord indiquer le Type d'affichage en choisissant parmi les types suivants de fiches produit:

 Seulement texte
Les informations suivantes figurent une après l'autre dans la fiche: Nom du produit, description, liste déroulante avec les variantes (si elles sont disponibles), coût et champ d'entrée de la quantité avec le bouton "Acheter".

Image et texte
Dans la fiche, l'image du produit apparaît à gauche tandis que les informations relatives sont affichées à droite.

Texte et image
Dans la fiche, les informations relatives au produit apparaissent à gauche tandis que l'image du produit est affichée à droite.

Seulement image
Dans ce cas, toutes les informations associées, sauf la description étendue, apparaissent sous l'image.

Alterner Image et texte
Dans ce cas le programme alterne les fiches produit avec l'image et le texte à droite aux fiches produit avec l'image et le texte à gauche.

Les fonctions du cadre Paramètres des cadres permettent de définir:
- | Fiches par ligne: permet d'indiquer combien de fiches doivent être placées côte à côte sur une seule ligne.
- | Hauteur des fiches: permet d'indiquer la valeur en pixels correspondant à la hauteur de chaque fiche des produits. En fonction de ce paramètre, les images associées aux produits sont redimensionnées automatiquement. Si les textes de description des produits sont trop longs pour être affichés entièrement, la barre de défilement apparaît automatiquement.
- | Largeur Image (%): permet d'indiquer, si vous avez choisi un type de présentation où le texte et l'image sont côte à côte, combien d'espace sur la fiche doit être occupé par l'image et combien par le texte. Si l'image occupe 30% de la largeur de la fiche, le texte en occupera 70%.
- | Marge intérieure: la marge correspond à l'espace entre la bordure de la fiche produit et son contenu. Cette option permet de définir l'espace entourant le contenu par rapport à la bordure de la fiche produit.

Les fonctions du cadre Graphiques permettent de définir:
- | Police: permet de définir le type de police, le style et la taille en points du texte.
- | Couleur texte / couleur d'arrière-plan / Couleur bordure: permettent, respectivement, de définir dans la fenêtre Couleur, la couleur des caractères et de l'arrière-plan des fiches produit.
- | Epaisseur bordure permet d'indiquer l'épaisseur de la bordure de la fiche.

Vous disposez aussi des Options suivantes:
- | Afficher le champ quantité: si vous sélectionnez cette option, la fiche produit contiendra le champ Quantité pour indiquer la quantité de produit à insérer dans le panier.
- | Afficher le prix: si vous sélectionnez cette option, la fiche produit contiendra aussi le prix du produit.
- | Activer le Lien sur l'image: si vous sélectionnez cette option, le lien vers les images agrandies est automatiquement défini sur les différentes images des fiches du produit. Ces images agrandies sont affichées dans la fenêtre ShowBox.

 Vous pouvez entièrement personnaliser l'aspect de la fenêtre ShowBox: à l'aide des options présentes dans la section Styles et modèles| Section Boîte d'affichage de l'étape 4 - Paramètres avancés vous pouvez, par exemple, définir les couleurs, l'ombre, l'opacité et les effets d'ouverture.

Sujets corrélés:
- | Objet Liste des produits
- | Styles et modèles| Section Boîte d'affichage


Objet HTML et Widgets

WebSite X5 propose un objet spécifique pour chaque type de contenu à insérer dans une page: texte, image, animation, formulaire email, etc., grâce à la possibilité de gérer aussi l'objet HTML et Widgets, les choix deviennent virtuellement illimités. La fonction objet HTML et Widgets permet d'insérer directement des portions de code et donc d'exécuter des fonctions particulières non prévues.

Les Widgets disponibles sont particulièrement utiles: il s'agit d'applications déjà prêtes permettant d'exécuter une tâche particulière. L'exemple le plus simple est celui du Widget pour Google Maps: en définissant quelques paramètres, il permet de créer et d'insérer le plan du lieu voulu sans le configurer directement sur le site de Google Maps.

Pratiquement

Si vous double-cliquez sur l'objet HTML et Widgets inséré dans la Grille de mise en page, vous ouvrez la fenêtre Objet HTML et Widgets. Cette fenêtre propose un éditeur de texte pour entrer le code HTML et/ou CSS. Vous pouvez tapez un code ex novo, le copier et le coller dans les sites proposant des codes, l'insérer en choisissant simplement un Widget.

Vous disposez des sections suivantes:
- | Section Code HTML
- | Section Avancé

Sujets corrélés:
- | La grille de mise en page dans la création de la page
- | La liste des objets lors de la création de la page


Objet HTML et Widgets| Section Code HTML

Les commandes de la section Code HTML de la fenêtre Objet HTML et Widgets proposent un éditeur permettant de composer le code HTML à introduire dans la page, en le tapant manuellement ou en double-cliquant sur l'un des Widgets.

L'éditeur disponible dans le cadre Code HTML propose les commandes suivantes:

 Couper [CTRL+X] - Copier [CTRL+C] - Coller [CTRL+V]
Elle permettent, respectivement, de couper, copier et coller la portion de code sélectionné.

Annuler [CTRL+Z] - Restaurer [ALT+MAIUSC+BACKSPACE]
Elle permettent, respectivement, d'annuler et de rétablir la dernière opération exécutée/annulée.

Pour faciliter l'écriture/lecture du code, l'éditeur HTML est pourvu de la commande Mise en évidence de la syntaxe (Syntax highlighting). Cette fonction utilise différentes couleurs pour mettre en évidence certains éléments du code sans modifier le sens du texte. Grâce à la mise en évidence, la structure du code devient claire et, par conséquent, on trouve plus facilement les erreurs éventuelles.

Le cadre Liste Widget propose en revanche la liste de tous les Widgets disponibles. Si vous double-cliquez sur le Widget voulu, vous affichez la fenêtre Widget permettant de définir les paramètres prévus. Si vous confirmez, le code HTML relatif au Widget est composé et automatiquement inséré dans l'éditeur.

Enfin, le cadre Propriétés dispose des options suivantes:
- | Largeur: permet d'afficher la largeur de l'objet HTML et Widgets; cette valeur est automatiquement définie selon l'espace disponible dans la Grille de mise en page.
- | Hauteur: permet de définir la hauteur de l'objet HTML et Widgets.
- | Afficher les barres de défilement: activée par défaut, elle affiche automatiquement la barre de défilement si l'objet HTML et Widgets a une hauteur supérieure à celle définie avec l'option Hauteur.

Sujets corrélés:

-

Objet HTML et Widgets


Objet HTML et Widgets| Section Avancées

Objet HTML et Widgets| Section Avancé

Les commandes de la section Avancé de la fenêtre Objet HTML et Widgets permettent de créer une feuille de style (CSS) et/ou de définir la liste des fichiers à joindre à l'objet HTML et Widgets sur lequel vous êtes en train de travailler.

Le cadre Code CSS propose un éditeur (analogue à celui présent dans la section Code HTML) permettant d'entrer les instructions pour composer la feuille de style. Nous vous rappelons que le but de ces CSS est de définir l'aspect graphique des pages HTML auxquelles ils sont associés.

Le cadre Fichiers associés au code HTML montre tous les fichiers associés dans un tableau récapitulatif indiquant le nom du fichier et le chemin relatif sur le serveur.

Pour composer la liste des fichiers associés au Code HTML, utilisez les commandes suivantes:
- | Ajouter: permet, dans la fenêtre Télécharger le fichier associé, d'insérer un nouveau fichier avec lien.
- | Modifier: permet de rappeler la fenêtre Télécharger le fichier associé pour modifier les prédispositions définies pour le fichier sélectionné dans le tableau récapitulatif des fichiers associés.
- | Supprimer...: permet de supprimer le fichier sélectionné parmi ceux présents dans le tableau récapitulatif des fichiers associés.

Sujets corrélés:
- | Objet HTML et Widgets
- | Fenêtre Télécharger le fichier associé


Editeur graphique

WebSite X5, offre une procédure automatique pour optimiser les images importées ainsi qu'un éditeur graphique intégré polyvalent permettant d'exécuter des opérations de retouches photos.
Pour rappeler l'éditeur graphique, cliquez sur le bouton Modifier disponible, en général, dans les fenêtres permettant d'importer un fichier graphique, par exemple, celles relatives à Objet Image, Objet de la galerie, ou à la création d'un nouveau produit dans le Panier e-commerce.

L'éditeur graphique est organisé dans les sections suivantes:
- | Section Rogner et pivoter
- | Section Filtres
- | Section Filigrane
- | Section Masque
- | Section Cadre
- | Section Effets
- | Section Bibliothèque

L'éditeur graphique propose les boutons suivants:
- | Ok: permet de quitter l'éditeur et revenir à la fenêtre principale tout en enregistrant les modifications effectuées sur l'image.
- | Annuler: permet de quitter l'éditeur et revenir à la fenêtre principale sans enregistrer les modifications effectuées sur l'image.
- | Enregistrer sous: permet d'enregistrer une copie de l'image originale au format .PNG.

Sujets corrélés:
- | Objet Image
- | Objet de la galerie
- | Panier virtuel e-commerce


Editeur graphique| Section Rogner et pivoter

Les commandes de la section Rogner et pivoter de l'Editeur graphique, permettent de couper la zone de l'image à afficher et d'éliminer le reste.

Vous pouvez dessiner la zone de coupe directement sur l'aperçu de l'image et utiliser les poignets de sélection pour la modifier. Vous pouvez déplacer la sélection de la coupe pour mettre en premier plan la zone voulue: pour ce faire, cliquez sur celle-ci à l'aide du bouton gauche de la souris et positionnez-la à l'endroit voulu.

Il n'est pas nécessaire de confirmer la coupe: la portion externe à la sélection de la coupe (plus foncée que l'original) ne sera pas considérée. Pour annuler la coupe, cliquez sur l'image en dehors de la zone sélectionnée.

En regard de l'image, vous disposerez des boîtes suivantes:
- | Rogner: indique les valeurs en pixels de la Coordonnée X et de la Coordonnée Y qui identifient l'angle supérieur gauche de la zone sélectionnée par la coupe, en plus de sa Largeur et Hauteur. Les valeurs des paramètres peuvent être prises directement selon la zone de coupe dessinée, tapées dans les champs appropriés ou définies à l'aide des curseurs.
- | Reflet: permet de réfléchir l'image dans le sens horizontal (selon l'axe vertical) et/ou vertical (selon l'axe horizontal).
- | Rotation: permet de tourner l'image dans le sens des aiguilles d'une montre de 0°, 90°, 180° ou 270°.

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Filtres

Les commandes de la section Filtres de l'Editeur graphique permettent de corriger les principaux réglages de couleur et de définir certains effets graphiques sur l'image importée.

- | Filtres: indique la liste des filtres pouvant être appliqués à l'image. La liste comprend: Luminosité/Contraste, Equilibrage (RGB), Intensité (HSL), Détail, Flou, Noir et blanc, Sépia, Mosaïque, Portrait, Diffusion, Peinture à l'huile, Zone de dessin, Bruit, Marbre. Pour appliquer un filtre, il suffit de le cocher.
- | Paramètres: indique les paramètres permettant de définir le filtre sélectionné.

Les modifications relatives aux filtres définis sont immédiatement appliquées et affichées dans l'aperçu de l'image.

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Filigrane

Les commandes de la section Filigrane de l'Editeur graphique permettent d'appliquer une filigrane à l'image importée pour la protéger contre les copies non autorisées. Le but de la filigrane est, en effet, d'altérer l'image, en indiquant par exemple explicitement le copyright, pour décourager la copie et l'utilisation.

- | Filigrane: fournit la liste des filigranes pouvant être appliquées à l'image. En plus des images de filigrane disponibles, vous pouvez appliquer une filigrane personnelle: pour cela, il suffit de sélectionner le deuxième aperçu de la liste (Personnel...) et d'importer le fichier graphique préparé.
- | Paramètres: permet de tourner de 90°, 180° ou 270° ou de réfléchir horizontalement ou verticalement la filigrane appliquée à l'Image.

 Il faut préparer la filigrane comme un fichier graphique au format .GIF, .PNG, .PSD ou .WMF et définir sa transparence: la filigrane est superposée à l'image originale pour afficher seulement les parties correspondant aux zones transparentes.
Comme le format .GIF ne gère qu'un niveau de transparence, tandis que les formats .PNG et .PSD en gèrent 256, il est conseillé d'enregistrer les filigranes dans l'un de ces formats.

+

=

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Masque

Les commandes de la section Masque de l'Editeur graphique permettent d'appliquer un masque à l'image importée pour modifier sa forme.

- | Masque: contient la liste des masques pouvant être appliqués à l'image. En plus des masque proposés, vous pouvez appliquer un masque personnel: pour cela, il suffit de sélectionner le deuxième aperçu de la liste (Personnel...) et d'importer le fichier graphique préparé.
- | Paramètres: permet de tourner de 90°, 180° ou 270°, ou de réfléchir horizontalement ou verticalement le masque appliqué à l'image.

 Le masque est une image à 256 couleurs en niveaux de gris: le masque est appliqué à l'image originale de sorte que les parties couvertes par le noir soient invisibles et celles couvertes par le blanc restent visibles.

+

=

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Cadre

Les commandes de la section Cadre de l'Editeur graphique permettent d'appliquer un cadre à l'image importée.

- | Cadre: contient la liste des cadres pouvant être appliqués à l'image importée. En plus des cadres proposés, vous pouvez appliquer un cadre personnel: pour cela, il suffit de sélectionner le deuxième aperçu de la liste (Personnel...) et d'importer le fichier graphique préparé.
- | Paramètres: permet de tourner de 90°, 180° ou 270° ou de réfléchir horizontalement ou verticalement le cadre appliqué à l'image.

 Il faut préparer le cadre comme un fichier graphique au format .GIF, .PNG, .PSD ou WMF et définir sa transparence: le cadre est superposé à l'image originale pour afficher seulement les parties correspondant aux zones transparentes.
Comme le format .GIF ne gère qu'un niveau de transparence, tandis que les formats .PNG et .PSD en gèrent 256, il est conseillé d'enregistrer les cadres dans l'un de ces formats.

+

=

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Effets

Les commandes de la section Effets de l'Editeur graphique permettent de corriger les principaux réglages de couleur et de définir certains effets graphiques sur l'image importée.

- | Effets: montre la liste des effets pouvant être appliqués à l'image. La liste comprend: Ombre, Reflet, Lueur externe, Bordure colorée, Cadre, Bordure nuancée, Haut-relief, Bas-relief, Bombé, Opacité, Distorsion, Perspective et Rotation. Pour appliquer un effet, cochez la case de l'effet voulu.
- | Paramètres: rétablit les paramètres permettant de définir l'effet sélectionné.

Les modifications relatives aux effets définis sont immédiatement appliquées et affichées dans l'aperçu de l'image.

Sujets corrélés:

-

Editeur graphique


Editeur graphique| Section Bibliothèque

La section Bibliothèque de l'Editeur graphique permet de choisir un kit de paramètres, enregistrés comme Style, et de l'appliquer à l'image courante ou bien d'enregistrer les prédispositions définies pour l'image courante dans un nouveau Style que vous pourrez rappeler et appliquer à d'autres images.

La bibliothèque présente une liste de tous les Styles prédéfinis et des Styles personnalisés déjà créés. En plus, vous disposez des commandes suivantes:
- | Appliquer: permet d'appliquer à l'image courante tous les paramétrages prévus pour le style sélectionné.
- | Ajouter: permet d'enregistrer toutes les prédispositions définies dans les sections précédentes de l'éditeur graphique pour l'image courante dans un Style, et de l'ajouter à la liste des Styles personnalisés.
- | Supprimer...: permet de supprimer le style sélectionné dans la liste Styles personnalisés. Vous ne pouvez pas supprimer les Styles prédéfinis.

Pratiquement

La bibliothèque permet de réduire les temps de travail: si vous voulez attribuer les mêmes paramétrages graphiques à plusieurs images, définissez-les pour la première image, enregistrez le style et appliquez-le, sans le récréer à chaque fois, pour les autres images.

Pour créer une nouveau style:
- | Ouvrez la section Général de la fenêtre Objet Image et cliquez sur le bouton Modifier, situé sous l'aperçu, pour accéder à l'Editeur graphique.
- | Utilisez les options disponibles dans les différentes sections de l'éditeur graphique pour obtenir le résultat voulu.
- | Ouvrez la section Bibliothèque et cliquez sur le bouton Ajouter: un nouveau style est créé selon les prédispositions définies. Un aperçu du style créé est ajouté dans la liste des Styles personnalisés.

Pour appliquer un style:
- | Ouvrez la section Général de la fenêtre Objet Image et cliquez sur le bouton Modifier, situé sous l'aperçu, pour accéder à l'Editeur graphique.
- | Ouvrez directement la section Bibliothèque et sélectionnez l'aperçu du style voulu dans la liste des Styles prédéfinis ou des Styles personnalisés.
- | Cliquez sur le bouton Appliquer.

Sujets corrélés:

-

Editeur graphique


Style de cellule

WebSite X5 permet de créer chaque page d'un site à l'aide d'une grille de mise en page qui partage l'espace disponible en cellules. Le nombre de cellules disponibles dépend du nombre de lignes et de colonnes insérées et, pour chaque cellule, vous pouvez insérer un contenu différent (à l'aide du Glisser & Déplacer des objets disponibles).

La cellule équivaut donc à un espace déterminé de la page: elle a un contenu et elle peut avoir un aspect graphique particulier. À l'aide des marges, des bords et de l'arrière-plan de la cellule vous pouvez créer des boîtes à l'intérieur de la page pour organiser les contenus et mettre certains contenus en premier plan.

Pratiquement

Quand vous travaillez à la Création d'une page, après avoir fait glisser l'un des Objets à l'intérieur d'une cellule de la Grille de mise en page, vous pouvez définir l'aspect graphique de cette cellule en cliquant sur le bouton [image] et en sélectionnant les options proposées dans la fenêtre Style de cellule qui apparaît.

Les options disponibles sont articulées en 2 sections:
- | Section Style
- | Section Textes
- | Section Bibliothèque

Sujets corrélés:
- | Création d'une page
- | Grille de mise en page


Style de cellule| Section Style

Les commandes de la section Style de la fenêtre Style de cellule permettent de définir les paramétrages graphiques de la cellule courante de la Grille de mise en page.

Tout d'abord, il faut définir le type d'Arrière-plan souhaité pour la cellule, en choisissant entre:

 Arrière-plan coloré: l'arrière-plan de la cellule est coloré en teinte unie.

Arrière-plan dégradé: l'arrière-plan de la cellule est rempli par un gradient dont vous pouvez définir les couleurs de départ et de fin ainsi que la direction du dégradé.

Arrière-plan image: l'arrière plan de la cellule est créé en important une image.

Ajuster à la cellule: l'arrière plan de la cellule est créé en important une image qui est coupée en blocs et recomposée pour l'adapter parfaitement aux dimensions de la cellule. (voir Comment créer une image d'arrière-plan qui s'adapte aux dimensions de la cellule)

Selon le type d'arrière-plan, vous pouvez agir sur différentes options du cadre Paramètres.

Pour l'Arrière-plan coloré, les options disponibles sont:
- | Couleur d'arrière-plan: permet de définir dans la fenêtre Couleur, la couleur à utiliser pour remplir l'arrière-plan de la cellule.
- | Opacité: permet de définir le degré d'opacité de la couleur d'arrière-plan appliquée. Plus les valeurs se rapprochent du 0, plus l'opacité diminue et l'arrière-plan de la cellule devient transparent en laissant voir l'arrière-plan de la page.

Pour l'Arrière-plan dégradé, les options disponibles sont:
- | Couleur initiale / Couleur finale: permettent d'indiquer, dans la fenêtre Couleur, les couleurs de départ et de fin à utiliser pour composer le dégradé.
- | Diffusion: permet d'établir si la première ou la dernière couleur doit être prédominante dans le dégradé, en définissant l'espace (en pixels) à l'intérieur duquel doit avoir lieu la transition du premier au second. Par exemple, dans un dégradé vertical où l'on passe du gris au blanc avec une diffusion à 250, le gradient est composé dans les premiers 250 px, après quoi l'arrière-plan restera uniformément blanc.
- | Sens: permet de choisir le type de nuance à appliquer, à savoir à partir d'en Haut, d'en Bas, de la Gauche ou de la Droite.
- | Opacité: permet de définir le degré d'opacité du dégradé d'arrière-plan à appliquer. Plus les valeurs se rapprochent du 0, plus l'opacité diminue et l'arrière-plan de la cellule devient transparent en laissant voir l'arrière-plan de la page.

Pour l'Arrière-plan image, les options disponibles sont:
- | Couleur d'arrière-plan: permet de définir dans la fenêtre Couleur, la couleur à utiliser pour remplir l'arrière-plan de la cellule.
- | Fichier image: permet de sélectionner le fichier graphique relatif à l'image à utiliser comme arrière-plan de la cellule. Vous pouvez utiliser les fichiers au format .JPG, .GIF, .PNG.
- | Disposition: permet de définir s'il faut répéter ou non l'image utilisée comme arrière-plan de la cellule. L'image peut être répétée horizontalement, verticalement ou dans les deux sens pour remplir tout l'espace disponible.
- | Alignement: permet de définir l'alignement de l'image utilisée par rapport à la zone occupée par la cellule.
- | Variante de couleur: permet d'indiquer, dans la fenêtre Couleur, la couleur vers laquelle tendra l'image insérée comme arrière-plan de la cellule. Vous appliquez donc un effet "Colorisé" à l'image de sorte qu'elle tende vers la couleur voulue.
- | Opacité: permet de définir le degré d'opacité de l'image d'arrière-plan à appliquer. Plus les valeurs se rapprochent du 0, plus l'opacité diminue et l'arrière-plan de la cellule devient transparent en laissant voir l'arrière-plan de la page.

Pour Ajuster à la cellule, les options disponibles sont:
- | Couleur d'arrière-plan: permet de définir dans la fenêtre Couleur, la couleur à utiliser pour remplir l'arrière-plan de la cellule.
- | Fichier image: permet de sélectionner le fichier graphique relatif à l'image à utiliser comme arrière-plan de la cellule. Vous pouvez utiliser les fichiers au format .JPG, .GIF, .PNG.
- | Largeur bloc / Hauteur bloc: permettent de définir les dimensions des blocs formant l'image d'arrière-plan de sorte à déterminer quelles portions de l'Image doivent restées inaltérées et quelles portions doivent être répétées. (voir Comment créer une image d'arrière-plan qui s'adapte aux dimensions de la cellule)
- | Variante de couleur: permet d'indiquer, dans la fenêtre Couleur, la couleur vers laquelle tendra l'image insérée comme arrière-plan de la cellule. Vous appliquez donc un effet "Colorisé" à l'image de sorte qu'elle tende vers la couleur voulue.
- | Opacité: permet de définir le degré d'opacité de l'image d'arrière-plan à appliquer. Plus les valeurs se rapprochent du 0, plus l'opacité diminue et l'arrière-plan de la cellule devient transparent en laissant voir l'arrière-plan de la page.

Pour finir, les options du cadre Bordure permettent de définir:
- | Couleur et Épaisseur: la première option permet d'indiquer, dans la fenêtre Couleur, la couleur de bordure de la cellule, la deuxième option définit l'épaisseur de la bordure.
- | Bordures personnalisées: si vous sélectionnez cette option, vous pouvez définir indépendamment la couleur ou l'épaisseur de chaque bordure de la cellule.

 La couleur de bordure est utilisée aussi comme couleur pour la transparence de l'image.

Sujets corrélés:
- | Style de cellule
- | Comment créer une image d'arrière-plan qui s'adapte aux dimensions de la cellule


Style de cellule| Section Textes

Les commandes de la Section Textes de la fenêtre Style de cellule permettent d'insérer et définir l'aspect graphique des éléments texte qui complètent le style de la cellule courante grille de mise en page.

Vous devez tout d'abord définir l'élément, Texte ou Image, que vous voulez insérer et sur lequel vous voulez travailler. Vous pouvez choisir parmi les options suivantes:

 Titre: c'est le texte qui est affiché comme titre de la cellule courante.

Image de l'en-tête: c'est une image que vous pouvez insérer dans l'en-tête de la cellule courante, éventuellement en regard du titre.

Texte de description: c'est le texte qui est affiché comme légende de la cellule courante.

Après l'insertion, les différents éléments peuvent être sélectionnés soit à l'aide de la boîte à liste déroulante soit en cliquant sur l'image d'aperçu.

Selon le type d'élément sélectionné, vous pouvez agir sur différentes options du cadre Paramètres.

Pour les éléments Titre et Texte de description, les options disponibles sont:
- | Contenu: permet de taper le titre ou le texte de description de la cellule.
- | Couleur texte: permet d'indiquer, dans la fenêtre Couleur , la couleur du texte sur lequel vous êtes en train de travailler.
- | Police: permet de définir le type de caractère, le style et la dimension en points du texte.
- | Alignement: permet d'indiquer si le texte doit être aligné à Gauche, au Centre ou à Droite par rapport à la cellule.
- | Marge horizontale / Marge verticale: permettent de définir la valeur en pixels pour les marges du texte, afin de le positionner avec précision en décidant la distance par rapport aux bordures de la cellule.

En revanche, pour l'élément Image de l'en-tête, les options disponibles sont:
- | Fichier image: permet de sélectionner le fichier graphique relatif à l'image à utiliser. Vous pouvez utiliser les fichiers au format .JPG, .GIF, .PNG.
- | Alignement: permet d'indiquer si l'image insérée doit être alignée à Gauche, au Centre ou a Droite par rapport à la cellule.
- | Marge horizontale / Marge verticale: permettent de définir la valeur en pixels pour les marges de l'image insérée, pour la positionner avec précision par rapport aux bordures de la cellule et donc par rapport au titre éventuellement présent.

Sujets corrélés:

-

Style de cellule


Style de cellule| Section Bibliothèque

La Section Bibliothèque de la fenêtre Style de cellule permet de choisir un ensemble de paramétrages, enregistrés comme Style, et de les appliquer à la cellule courante ou bien d'enregistrer les prédispositions définies pour la cellule courante dans une nouveau Style que vous pourrez rappeler par la suite et appliquer à d'autres cellules.

La bibliothèque présente une liste de tous les Styles prédéfinis et des Styles personnalisés déjà créés. En plus, vous disposez des commandes suivantes:
- | Appliquer: permet d'appliquer à la cellule courante tous les paramétrages prévus pour le style sélectionné.
- | Ajouter: permet d'enregistrer tous les paramétrages graphiques définis dans les sections Style et Textes pour la cellule courante dans un style et de l'ajouter à la liste des Styles personnalisés.
- | Supprimer...: permet de supprimer le style sélectionné dans la liste Styles personnalisés. Vous ne pouvez pas supprimer les Styles prédéfinis.

 Lors de la composition d'un style, tous les paramétrages graphiques définis pour la cellule restent inchangés tandis que les contenus peuvent varier d'une cellule à l'autre. Ainsi, par exemple, dans le style vous enregistrez la Couleur texte ou la Police mais pas le Contenu spécifié pour les éléments comme le Titre et le Texte de description associé à une cellule.

Pratiquement

La bibliothèque permet de réduire les temps de travail: si vous voulez attribuer les mêmes paramétrages graphiques à plusieurs cellules, définissez-les pour la première cellule, enregistrez le style et appliquez-le, sans le récréer à chaque fois, pour les autres cellules.

Pour créer une nouveau style:
- | Dans la grille de mise en page, sélectionnez la cellule voulue et cliquez sur le bouton [image] pour rappeler la fenêtre Style de cellule.
- | Utilisez les options des sections Style et Textes pour obtenir le résultat voulu.
- | Ouvrez la section Bibliothèque et cliquez sur le bouton Ajouter: un nouveau style est créé selon les prédispositions définies. Un aperçu du style créé est ajouté dans la liste des Styles personnalisés.

Pour appliquer un style:
- | Dans la grille de mise en page, sélectionnez la cellule voulue et cliquez sur le bouton [image] pour rappeler la fenêtre Style de cellule.
- | Ouvrez directement la section Bibliothèque et sélectionnez l'aperçu du style voulu dans la liste des Styles prédéfinis ou des Styles personnalisés.
- | Cliquez sur le bouton Appliquer.

Sujets corrélés:

-

Style de cellule


Lien

En plus des menus de navigation fixe, créés automatiquement en fonction du Plan, WebSite X5 permet d'insérer sur Textes et Images les liens nécessaires pour résoudre une série d'opérations différentes: ouvrir des pages internes ou externes, rappeler un fichier, afficher des images, ajouter un produit au panier, etc.

Pour définir un lien, vous pouvez choisir le type d'action mais aussi définir et personnaliser l'info-bulle associée expliquant ce qui se passe en cliquant.

Pratiquement

Chaque fois que vous pouvez insérer un lien sur un texte ou une image, utilisez la commande [image] Associer/Insérer un lien: si vous cliquez sur ce bouton, vous affichez la fenêtre homonyme permettant de définir le type de lien hypertextuel à insérer.

Les différentes options sont regroupées dans des sections appropriées :
- | Section Action
- | Section Description

Sujets corrélés:
- | Modifier le modèle| Barre d'outils
- | Objet texte
- | Objet Image
- | Objet de la galerie


Lien| Section Action

Les commandes de la section Action de la fenêtre Lien permettent d'indiquer le type d'action à associer au lien:

 Page du site
Permet d'établir un lien vers une autre page du site. Le bouton [image] permet de parcourir le plan du site et de sélectionner la page à associer. Vous pouvez indiquer si la page associée doit être affichée dans la même fenêtre, dans une nouvelle fenêtre du Navigateur ou dans une fenêtre PopUp. Dans ce dernier cas, le programme ouvre comme PopUp une nouvelle fenêtre du navigateur dont vous pouvez définir la taille (Largeur et Hauteur).

Fichier ou URL
Permet d'établir un lien vers une ressource quelconque, un fichier ou une page HTML, présente sur l'ordinateur ou déjà publiée sur le Web. Pour choisir le fichier à associer, sélectionnez l'option Fichier local et cliquez sur le bouton [image] pour parcourir les ressources enregistrées sur le système, ou sélectionnez l'option URL ou Fichier sur Internet et saisissez l'adresse (URL) qui identifie sa position dans le réseau.
Dans ce cas également, vous pouvez indiquer si la ressource associée doit être affichée dans la même fenêtre, dans une nouvelle fenêtre du Navigateur ou dans une fenêtre Popup dont vous pouvez définir la taille (Largeur et Hauteur).

Fichier ou URL avec Showbox
Permet de définir un lien vers un fichier quelconque, présent sur votre ordinateur ou déjà publié sur le Web, dans une boîte d'affichage appropriée. Contrairement à la fenêtre Popup, dans la Boîte d'affichage le fichier apparaît en premier plan sur la page d'origine qui devient automatiquement plus opaque et claire/foncée.
Pour choisir le fichier à associer, sélectionnez l'option Fichier local et cliquez sur le bouton [image] pour parcourir les ressources enregistrées sur le système, ou sélectionnez l'option URL ou Fichier sur Internet et saisissez l'adresse (URL) qui identifie sa position dans le réseau. Les options disponibles permettent de définir la taille (Largeur et Hauteur) de la boîte d'affichage ainsi qu'une légende qui sera affichée au bas.
Le lien vers la boîte d'affichage est particulièrement indiqué pour visualiser des images, mais vous pouvez aussi l'utiliser pour afficher des ressources différentes comme, par exemple, les documents .PDF.

Galerie fichier avec ShowBox
Permet de définir un lien pour lancer la reproduction d'images dans une boîte d'affichage. Pour créer la liste des images, utilisez les commandes disponibles: Ajouter, Supprimer..., En haut et En bas. Par ailleurs, vous pouvez définir la taille (Largeur et Hauteur) de la boîte d'affichage.

Vous pouvez entièrement personnaliser l'aspect de la boîte d'affichage: à l'aide des options présentes dans la section Styles et modèles| Section Boîte d'affichage de l'étape 4 - Paramètres avancés vous pouvez, par exemple, définir les couleurs, l'ombre, l'opacité et les effets d'ouverture.

Courriel
Permet d'établir un lien vers le programme courriel prédisposé pour envoyer un email. Pour définir ce type de lien, il suffit de taper l'Adresse email à laquelle le message doit être envoyé.
Si vous sélectionnez l'option Activer la protection du courriel, l'Adresse email spécifiée sera cryptée dans le code HTML de la page: ainsi, elle ne sera pas reconnue par les robots qui sondent le réseau à la recherche d'adresses pour les campagnes de spam.

Appel Internet
Permet de définir un lien qui active un logiciel d'appel téléphonique via Internet (par exemple Skype) pour appeler un autre Utilisateur. L'utilisateur à appeler doit être spécifié dans un champ approprié. Par ailleurs, vous pouvez indiquer le type d'action en choisissant parmi: Appeler, Ajouter un contact, Chat, Afficher le profil, Messagerie vocale Skype et Envoyer le fichier.

Son
Permet de définir un lien qui lance la reproduction d'un son. Pour choisir le fichier à associer, sélectionnez l'option Fichier local et cliquez sur le bouton [image] pour parcourir les ressources enregistrées sur le système, ou sélectionnez l'option URL ou Fichier sur Internet et saisissez l'adresse (URL) qui identifie sa position dans le réseau. Vous pouvez associer des fichiers au format .MP3.
Quand vous cliquez sur le lien, vous affichez une info-bulle contenant le bouton Play/Pause pour lancer/interrompre la reproduction du son. Quand vous éloignez la souris de l'info-bulle, elle s'arrête et la reproduction du son est coupée.

L'info-bulle sur le lien avec le son est créée automatiquement par le programme: son aspect est défini par les prédispositions activées dans la fenêtre Styles et modèles| Section Info-bulle de l'étape 4 - Paramètres avancés.

Imprimer la page
Permet d'établir un lien qui lance l'impression de la page affichée.

Message d'alerte
Permet de définir un lien qui affiche un message d'alerte. Pour définir ce type de lien, tapez le texte du message dans le champ approprié. Si vous sélectionnez l'option Afficher dans une fenêtre contextuelle, le message d'alerte apparaît dans une boîte de dialogue style Windows.

Pages par défaut et Favoris
Permet d'établir un lien qui ouvre la fenêtre Internet Explorer pour ajouter le site Internet indiqué à la liste des favoris (Ajouter le site Web aux Favoris) ou définir le site spécifié comme page par défaut pour l'ouverture du Navigateur Internet (Configurer le site Web comme page d'accueil par défaut du navigateur).
Pour définir ce type de lien, indiquez l'URL du site et le titre du site à proposer.

Flux RSS
Permet d'afficher le flux RSS du site: ce lien n'est actif que si vous avez effectivement créé un Flux RSS dans la fenêtre appropriée de l'étape 4 - Paramètres avancés.

Quand vous testez sur votre ordinateur le fonctionnement du site, un message vous avertit que les Flux RSS ne seront affichés que lorsque le site sera publié enligne.

Blog
Permet de définir un lien ouvrant le Blog associé au site courant. Pour que ce lien fonctionne correctement, vous devez créer précédemment un Blog dans la section appropriée de l'étape 4 - Paramètres avancés.
Les options disponibles permettent d'indiquer si le Blog associé doit être affiché dans la même fenêtre ou dans une nouvelle fenêtre du Navigateur.

Plan du site
Permet de définir un lien affichant le Plan du site complet dans une page appropriée. Les rubriques du plan du site, créé automatiquement, sont des liens actifs vers une page: le plan représente donc un outil utile d'orientation et de navigation mis à la disposition de l'utilisateur. L'affichage des rubriques du plan peut être géré à l'aide des commandes Tout ouvrir et Tout fermer.

Même si le lien Plan du site n'est pas utilisé, le Plan du site XML est créé et associé au code HTML des pages à travers le Méta tag <sitemap>, pour permettre une meilleur indexation des contenus de la part des moteurs de recherche.

Afficher le panier
Permet de définir un lien qui mène à la page du panier contenant la liste de tous les produits déjà commandés.

Ajouter au panier
Permet de définir un lien permettant à l'utilisateur d'accéder au panier e-commerce pour passer la commande ou d'insérer directement un produit indiqué parmi ceux à acheter.
Dans le premier cas, sélectionnez l'option Afficher la lise de Produits de la catégorie sélectionnée et sélectionnez la catégorie voulue dans le schéma reproduisant tout le catalogue des produits.
Dans le second cas, sélectionnez l'option Ajouter le produit sélectionné directement dans le chariot et sélectionnez le produit dans la liste appropriée. Par ailleurs, vous pouvez indiquer la variante et la quantité du produit qui sera inséré dans le panier.

Pour que les liens Afficher le panier et Ajouter au panier fonctionnent correctement, vous devez précédemment créer le panier e-commerce à l'aide des commandes de la section Panier virtuel e-commerce de l'étape 4 - Paramètres avancés.

Sujets corrélés:

-

Lien


Lien| Section Description

Les commandes de la section Description de la fenêtre Lien permettent d'associer une description au lien. Cette description est insérée comme valeur de l'attribut <title> de l'élément <a> dans le code HTML et est utilisée pour composer un commentaire, nommé "info-bulle" ou "Tip". L'info-bulle s'affiche quand vous pointez un lien et elle explique ce qui se passe si vous cliquez sur ce dernier: vous passerez à une page ou à un site différent, vous afficherez une image, vous lancerez le téléchargement d'un fichier, etc.

Les commandes disponibles pour composer une info-bulle sont:
- | Texte: permet de définir un texte de description du lien.
- | Image: permet de définir une image qui sera affichée dans l'info-bulle et qui remplace ou accompagne la description du lien.
- | Largeur: permet de définir la largeur en pixels de l'info-bulle.

 Comme les paramètres Texte, Image et Largeur changent d'un lien à l'autre, il faut les définir au fur et à mesure. Vous pouvez définir d'autres paramètres graphiques, relatifs à l'aspect de l'info-bulle et donc communs à tous, dans la fenêtre Styles et modèles| Section Info-bulle de l'étape 4 - Paramètres avancés.

Sujets corrélés:
- | Lien
- | Styles et modèles| Section Info-bulle


Fenêtre Couleur

Chaque fois que vous pouvez définir la couleur d'un élément, le programme propose l'option Couleur accompagnée d'un bouton portant la couleur par défaut ou celle définie précédemment par l'utilisateur.

Si vous cliquez sur le bouton situé prés de l'option Couleur, vous affichez un menu contenant une palette de 48 couleurs: pour sélectionner la couleur voulue, cliquez sur celle-ci.

En plus de la palette principale, la fenêtre présente les éléments suivants:
- | Transparent: cette commande, proposée seulement si l'opération est possible, permet de rendre invisible l'élément courant.
- | Dernières couleurs: la ligne située sous la palette principale propose les 8 dernières couleurs utilisées.
- | Autres couleurs...: cette commande permet d'ouvrir une autre fenêtre pour définir des couleurs personnalisées.
- | Compte-goutte (Pipette): cet outil permet de reprendre la couleur de n'importe quel élément affiché, même à l'extérieur de la fenêtre WebSite X5. Il suffit de cliquer sur l'outil compte-goutte et de maintenir enfoncé le bouton droit de la souris jusqu'à ce que le pointeur arrive sur la couleur que vous voulez "capturer".


Fenêtre Propriétés de l'effet

Cette fenêtre présente les commandes nécessaires pour définir un effet d'entrée sur les images sélectionnées de l'objet Diaporama, disponible dans l'éditeur pour l'option Modifier le modèle, et sur les images sélectionnées de l'Objet de la galerie.

Les commandes disponibles sont articulées dans les sections suivantes:

1. Section Type d'effet
Cette section permet de choisir le type d'effet en entrée à appliquer aux images sur lesquelles vous êtes en train de travailler:
- | Liste des effets: présente la liste de tous les effets disponibles. Si vous sélectionnez la rubrique "1 - Aléatoire" l'effet à appliquer est automatiquement choisi de manière aléatoire. Chaque fois que vous sélectionnez un effet, le programme affiche un aperçu dans la fenêtre appropriée.
- | Heure d'affichage: permet de définir le temps (en secondes) durant lequel l'image est affichée.

2. Section Mouvement et Zoom
Cette section permet de définir le type de mouvement et d'agrandissement à appliquer aux images sur lesquelles vous êtes en train de travailler.
- | Position de départ: permet de définir le facteur d'agrandissement et les coordonnées X et Y qui définissent la position initiale d'où part le mouvement de l'image.
- | Position finale: permet de définir le facteur d'agrandissement et les coordonnées X et Y qui définissent la position finale où termine le mouvement de l'image.
Dans les deux cas, vous pouvez agir directement sur l'aperçu pour le faire glisser dans la position voulue et définir ainsi les positions initiale et finale du mouvement.

 Sur cette image, vous pouvez aussi définir un effet en entrée ou un effet prévoyant le mouvement et le zoom. Dans ce cas, le programme applique d'abord l'effet en entrée et l'image est affichée selon les coordonnées et les dimensions définies pour la position initiale. Par conséquent, il reproduit le déplacement, et éventuellement le redimensionnement, pour que l'image atteigne les coordonnées et les dimensions définies pour la position finale.

Seulement pour les images de l'objet Diaporama, disponible dans l'éditeur pour la personnalisation de la Modification du modèle, vous disposez des sections suivantes:

3. Section Page
Dans cette section, vous pouvez indiquer les pages du site où les images sélectionnées du Diaporama doivent être affichées. Pour cela, il suffit de cocher les pages voulues, directement sur le plan du site proposé.

Pour les messages publicitaires, par exemple, il est très utile d'indiquer dans quelles pages d'un site vous voulez afficher certaines images d'un Diaporama. Le Diaporama permet de définir toutes les bannières à utiliser dans le site et faire en sorte que seulement les messages pertinents soient affichés dans les pages ou les sections.

Sujets corrélés:
- | Modifier le modèle| Cadre Diaporama
- | Objet de la galerie| Section Liste


Fenêtre Télécharger le fichier associé

Cette fenêtre est rappelée à l'aide du bouton Ajouter... relatif à la composition de la liste des fichiers associés ou à une Animation Flash (voir Objet Animation Flash| Section Avancé) ou à un code HTML (voir , Objet HTML et Widgets| Section Avancé).

Les commandes disponibles sont:
- | Fichier annexe à télécharger sur le serveur: permet de définir un fichier relié à l'animation Flash sur laquelle vous êtes en train de travailler.
- | Chemin d'accès au serveur: permet d'indiquer le chemin du dossier où le fichier importé, à savoir relié à l'objet, doit être publié.
- | Créer un lien entre le fichier et la Page (fichiers .js et .css seulement): si le fichier importé est un fichier JavaScript (format .js) ou une feuille de Style (format .css), il doit être relié à la page pour fonctionner. Dans ces cas, si vous sélectionnez cette option, le code nécessaire est automatiquement inséré dans la section <HEAD> du code HTML de la page.

Sujets corrélés:
- | Objet Animation Flash| Section Avancé
- | Objet HTML et Widgets| Section Avancé


Paramètres avancés

Après avoir dessiné le plan du site à l'étape 2 et créé chaque page en insérant tous les contenus nécessaires à l'étape 3, vous pouvez passer à l'étape 4 où est proposée une série de sections contenant de nombreuses fonctions avancées. Vous pouvez ainsi définir le style des différents menus de navigation et des textes mais aussi créer des sections importantes du site comme le panier e-commerce, le blog ou la zone réservée.

Dans le détail, les fonctions avancées disponibles sont:

 Menu principal
Cette section permet de définir l'aspect graphique des rubriques du menu de premier niveau, à savoir le menu qui est toujours visible en haut (structure à menu horizontal) ou sur le côté (structure à menu vertical) du site représentant la navigation fixe.

Liste déroulante
Cette section permet de définir l'aspect graphique des rubriques du menu Popup qui apparaît au passage de la souris sur une rubrique du menu principal.

Menu de la page:
Cette section permet de définir l'aspect graphique du menu de la page, à savoir le menu proposant la liste des pages du niveau courant.

Styles et modèles:
Cette section permet de définir les styles à appliquer aux différents éléments de texte présents dans les pages, à la fenêtre ShowBox liée à l'Objet de la galerie, aux ToolTip pouvant être associés aux Liens et aux courriels créés si vous utilisez l'Objet Formulaire d'envoi d'email ou si vous créez un Panier e-commerce.

Page d'accueil
Cette section permet de définir une page d'accueil qui introduit le site, en prévoyant une bande sonore et les liens nécessaires pour choisir la langue de consultation.

Message publicitaire
Cette section permet de définir et de personnaliser un message publicitaire qui sera affiché seulement dans la page d'accueil ou sur toutes les pages du site, à l'endroit indiqué.

Blog et Gestion des commentaires
Cette section permet de créer et de gérer un Blog, une sorte d'agenda sur le Web pour publier des nouvelles que les utilisateurs pourront commenter.

Flux RSS
Cette section permet de créer un Flux RSS, servant de canal d'informations constamment mis à jour.

Gestion de l'accès
Cette section permet de créer les profils utilisateurs qui pourront accéder aux pages protégées du site et les gérer en groupes. Les pages protégées, définies dans l'étape 2 pendant la Création du Plan, constituent une zone réservée à laquelle les utilisateurs ne pourront accéder qu'en effectuant la connexion: les données d'accès utilisées déterminent quelles pages protégées peuvent être effectivement affichées.

Panier virtuel e-commerce
Cette section permet de créer et de gérer un panier e-commerce, en définissant des aspects tels que: la liste des produits, les méthodes d'expédition et de paiement, la composition du formulaire à remplir pour l'envoi de la commande.

Pour plus de renseignements sur la création du plan et la distinction entre les rubriques de premier et second niveau, menu Popup et sous-menu, reportez-vous à la Création du Plan.


Style du menu de premier niveau

Cette fenêtre propose les commandes permettant de définir certains paramètres avancés relatifs au style graphique des boutons servant à afficher les rubriques de premier niveau du menu.

Les menus sont créés et mis automatiquement à jour par le programme en fonction du plan du site conçu à l'étape 2 - Création du plan. Le menu principal présente les rubriques de premier niveau du Plan composant la navigation fixe du site. Dans les sites à menu horizontal, le menu principal est toujours visible, positionné immédiatement au-dessus ou au-dessous de l'en-tête. Dans les sites à menu vertical, le menu principal est toujours visible, positionné dans une colonne à gauche ou à droite du contenu de la page.

En fonction des paramétrages de style définis, WebSite X5 créera les boutons relatifs aux rubriques du menu principal selon l'un des modes suivants:
- | Bouton graphique: si vous gardez la forme rectangulaire, en choisissant une couleur plate à teinte unie, les boutons du menu sont créés comme texte et leur aspect est défini à travers les feuilles de style (CSS). Les boutons graphiques offrent l'avantage d'être plus légers lors du chargement et de l'affichage enligne.
- | Bouton 3D: si vous choisissez une forme différente du rectangle et vous définissez un style 3D, les boutons du menu sont créés comme image graphique, à savoir le programme enregistre une image pour chaque bouton. Les boutons 3D offrent un plus grand choix de paramétrages graphiques et de polices.

Pratiquement

Après avoir défini la structure du site en choisissant entre Menu horizontal ou Menu vertical (étape 1 - Sélection du modèle ou étape 1 - Modèle personnalisé) et avoir dessiné le plan du site (étape 2 - Création du plan), WebSite X5 est en mesure de créer le Menu et de permettre la navigation entre les pages. Accédez à l'étape 4 - Paramètres avancés et cliquez sur Style du menu de premier niveau pour personnaliser l'aspect du menu de navigation fixe.

Les commandes nécessaires pour personnaliser les boutons sont organisées dans les sections suivantes:
- | Section Général
- | Section Éléments de menu
- | Section Style 3D

Sujets corrélés:

-

Paramètres avancés


Style du menu de premier niveau| Section Général

Les options de la section Général de la fenêtre Style du menu de premier niveau permettent de définir certaines prédispositions générales du menu principal.

Les options disponibles dans le cadre Style sont:
- | Largeur: permet de définir la valeur en pixels de la largeur des boutons contenant les rubriques de menu.
- | Marge horizontale / Marge verticale: la marge est l'espace entre la bordure du bouton et le texte qu'il contient. À travers ces options vous pouvez définir l'espace horizontal et/ou vertical autour du texte à l'intérieur du bouton.
- | Distance entre les boutons: permet de définir la marge extérieure, à savoir l'espace situé entre deux boutons.

Les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte
- | Alignement: permet de définir l'alignement du texte à Gauche, au Centre ou à Droite par rapport au bouton.
- | Utiliser l'antialias pour afficher le texte: si vous sélectionnez cette option, vous appliquez un effet antialias au texte qui rend les contours moins dentelés.

Enfin, le cadre Options propose:

-

Défilement automatique du menu Vertical si vous sélectionnez cette option, le menu de navigation défile automatiquement avec le contenu de la page et est toujours visible sur l'écran.

La largeur des boutons doit être définie en considérant l'espace total disponible pour le menu: si vous n'utilisez pas un modèle graphique prédéfini, vous pouvez modifier ce paramètre à votre gré (voir Modèle personnalisé).

Sujets corrélés:

-

Style du menu de premier niveau


Style du menu de premier niveau| Section Éléments de menu

Les options de la section Éléments de menu de la fenêtre Style du menu de premier niveau permettent de définir les couleurs, les images d'arrière-plan et le style des textes pour les différents états des boutons du menu principal.

Dans ce cas également, vous devez tout d'abord sélectionner l'Élément de menu sur lequel vous voulez travailler: vous pouvez définir l'aspect de la [image] Élément de menu et celui de l' [image] Élément sur mouseover / Page courante. Pour sélectionner l'élément du menu, vous pouvez soit utiliser la liste déroulante soit agir directement sur l'image d'Aperçu qui est constamment mise à jour en fonction des modifications effectuées.

Pour les deux éléments du menu, vous pouvez utiliser les options suivantes du cadre Style :
- | Couleur d'arrière-plan / Couleur texte / Couleur bordure: permettent de définir, dans la fenêtre Couleur, la couleur de l'arrière-plan, du texte et de la bordure du bouton.
- | Image d'arrière-plan: permet de définir l'image qui doit être affichée comme arrière-plan du bouton. Pour sélectionner l'image à utiliser, cliquez sur le bouton [image] pour parcourir les ressources disponibles: vous pouvez utiliser des fichiers au format .JPG, .GIF, .PNG.
- | Style de police pour l'élément Élément de menu, vous pouvez définir le style du texte du bouton en choisissant parmi Aucun, Bas-relief, Haut-relief et Ombre. L'option Élément sur mouseover / Page courante prend automatiquement la prédisposition définie pour l'option Rubrique Active: par ailleurs, vous pouvez ajouter l'un des styles suivants: Normal, Gras, Italique et Gras Italique.

Sujets corrélés:

-

Style du menu de premier niveau


Style du menu de premier niveau| Section Style 3D

Les commandes de la section Style 3D de la fenêtre Style du menu de premier niveau permettent de définir la forme et l'aspect 3D des boutons.

À l'aide des options du cadre Forme vous pouvez définir:
- | Forme: permet de définir la forme du bouton, en la choisissant parmi celles qui sont proposées.
- | Arrondissement: permet de définir le facteur d'arrondissement sur les formes de bouton qui prévoient des angles arrondis ou différents d'un rectangle.
- | Fusionner la forme des boutons: si vous sélectionnez cette option, les boutons sont unis et la forme choisie est appliquée à l'ensemble des boutons.

Le cadre Style 3D dispose des options:
- | Style: permet de définir l'aspect du bouton comme Bombé, Plat, Bombé plat, Creux, etc.
- | Direction de la lumière: permet de définir l'effet lumière défini pour le bouton.
- | Facteur dégradé permet de définir le facteur de dégradé à appliquer au bouton.
- | Transparence image permet de définir le facteur de transparence pour les images insérées sur les boutons du menu à travers les options de la section Éléments de menu.

Enfin, le cadre Bordure 3D propose les options suivantes:
- | Bordure: permet de définir le style de la bordure du bouton comme Normal, Bombé, Creux.
- | Epaisseur extérieure / Epaisseur intérieure: permettent, respectivement, de définir l'épaisseur externe et interne de la bordure du bouton
- | Bordure externe uniquement: si vous sélectionnez cette option , la bordure est dessinée, en fonction des prédispositions définies, non pas pour chaque bouton mais pour tout le bloc des boutons considérés dans son ensemble.

Sujets corrélés:

-

Style du menu de premier niveau


Style de menu déroulant

Cette fenêtre propose les commandes permettant de définir certains paramètres avancés relatifs au style graphique des menus Popup.

Les menus sont créés et mis automatiquement à jour par le programme en fonction du plan du site conçu à l'étape 2 - Création du plan. Les listes déroulantes sont affichées au passage de la souris sur une rubrique du menu principal.

Comme pour le menu principal, en fonction des paramétrages de style définis, WebSite X5 créera les boutons relatifs aux rubriques de la liste déroulante soit comme Boutons graphiques soit comme Boutons 3D (voir Style du menu de premier niveau).

Pratiquement

Après avoir défini la structure du site en choisissant entre le Menu horizontal ou le Menu vertical (étape 1 - Sélection du modèle ou étape 1 - Modèle personnalisé) et avoir dessiné le plan du site (étape 2 - Création du plan), WebSite X5 est en mesure de créer le menu et de permettre la navigation entre les pages. Accédez à l'étape 4 - Paramètres avancés et cliquez sur Style de menu déroulant pour personnaliser l'aspect de ce menu.

Les commandes nécessaires pour personnaliser les boutons sont organisées dans les sections suivantes:
- | Section Général
- | Section Éléments de menu
- | Section Style 3D

Sujets corrélés:

-

Paramètres avancés


Style de menu déroulant| Section Général

Les options de la section Général de la fenêtre Style de menu déroulant permettent de définir certains paramétrages généraux.

Vous devez définir tout d'abord le Type de menu en choisissant parmi:

 Organiser sur une colonne: toutes les rubriques de la liste déroulante sont organisées en une seule colonne, une après l'autre.

Organiser sur plusieurs colonnes: les rubriques de la liste déroulante sont organisées en plusieurs colonnes côte à côte. Le programme crée automatiquement une nouvelle colonne quand:
- | le nombre de rubriques dépasse la valeur définie pour l'option Eléments max. par Colonne;
- | la liste des pages est interrompue par un séparateur (voir Créer le plan du site).

Par ailleurs, si dans la fenêtre Sélection du modèle ou Modèle personnalisé vous avez défini le Menu vertical, vous disposez aussi de:

 Accordéon vertical: toutes les rubriques de la liste déroulante sont organisées en une seule colonne; quand l'utilisateur clique sur une rubrique, toutes les rubriques suivantes se déplacent vers le bas pour afficher les sous-rubriques associées.

Après avoir choisi le Type de menu, vous pouvez définir les options proposées dans le cadre Style :
- | Largeur permet de définir la valeur en pixels de la largeur des boutons contenant les rubriques de menu.
- | Marge horizontale / Marge verticale: la marge est l'espace entre la bordure du bouton et le texte qu'il contient. À travers ces options vous pouvez définir l'espace horizontal et/ou vertical autour du texte à l'intérieur du bouton.
- | Éléments max. par colonne: activée seulement pour le type de menu Organiser sur plusieurs colonnes, elle permet de définir le nombre maximum d'éléments pouvant être contenus dans chaque colonne de la liste déroulante.

Les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte.
- | Alignement: permet de définir l'alignement du texte à Gauche, au Centre ou à Droite par rapport au bouton.

Enfin, le cadre Options propose:

-

Effet: permet de définir l'effet d'affichage pour la liste déroulante, en choisissant parmi Aucun, Fondu, Rebond supérieur, Rebond gauche, Rebond supérieur gauche.

Sujets corrélés:

-

Style de menu déroulant


Style de menu déroulant| Section Éléments de menu

Les options de la section Éléments de menu de la fenêtre Style de menu déroulant permettent de définir les couleurs, les images d'arrière-plan et le style des textes pour les différents états des boutons de la liste déroulante.

Dans ce cas également, vous devez tout d'abord sélectionner l'Élément de menu sur lequel vous voulez travailler: vous pouvez définir l'aspect de la [image] Élément de menu , de l' [image] Élément sur mouseover et du [image] Séparateur. Pour sélectionner l'élément du menu, vous pouvez soit utiliser la liste déroulante soit agir directement sur l'image d'Aperçu qui est constamment mise à jour en fonction des modifications effectuées.

Pour les éléments du menu, vous pouvez utiliser les options suivantes du cadre Style :
- | Couleur d'arrière-plan / Couleur texte / Couleur bordure: permettent de définir, dans la fenêtre Couleur, la couleur de l'arrière-plan, du texte et de la bordure du bouton. Pour l'élément Séparateur vous disposez seulement de la commande Couleur texte.
- | Image d'arrière-plan: pour les éléments Élément de menu et Élément sur mouseover, elle permet de définir l'image qui doit être affichée comme arrière-plan du bouton. Pour sélectionner l'image à utiliser, cliquez sur le bouton [image] pour parcourir les ressources disponibles: vous pouvez utiliser des fichiers au format .JPG, .GIF, .PNG.
- | Style de police pour les Élément sur mouseover et Séparateur, elle permet de définir le style du texte en choisissant parmi Normal, Gras, Italique et Gras Italique.
- | Icône de puce: permet de définir l'image qui doit être utilisée comme liste à puce en regard des rubriques des boutons ou des séparateurs insérés. Dans ce cas également, cliquez sur le bouton [image] et sélectionnez un fichier au format .JPG, .GIF, .PNG.

Sujets corrélés:

-

Style du menu de premier niveau


Style de menu déroulant| Section Style 3D

Les commandes de la section Style 3D de la fenêtre Style de menu déroulant permettent de définir la forme et l'aspect 3D des boutons.

À l'aide des options du cadre Forme vous pouvez définir:
- | Forme: permet de définir la forme du bouton, en la choisissant parmi celles qui sont proposées.
- | Arrondissement: permet de définir le facteur d'arrondissement sur les formes de bouton qui prévoient des angles arrondis ou différents d'un rectangle.
- | Fusionner la forme des boutons: si vous sélectionnez cette option, les boutons sont unis et la forme choisie est appliquée à l'ensemble des boutons.

Le cadre Style 3D dispose des options:
- | Style: permet de définir l'aspect du bouton comme Bombé, Plat, Bombé plat, Creux, etc..
- | Direction de la lumière: permet de définir l'effet lumière défini pour le bouton.
- | Facteur dégradé: permet de définir le facteur de dégradé à appliquer au bouton.
- | Transparence image: permet de définir le facteur de transparence pour les images insérées sur les boutons du menu à travers les options de la section Éléments de menu.

Enfin, le cadre Bordure 3D propose les options suivantes:
- | Bordure permet de définir le style de la bordure du bouton comme Normal, Bombé, Creux.
- | Epaisseur extérieure / Epaisseur intérieure: permettent, respectivement, de définir l'épaisseur externe et interne de la bordure du bouton.
- | Bordure externe uniquement: si vous sélectionnez cette option , la bordure est dessinée, en fonction des prédispositions définies, non pas pour chaque bouton mais pour tout le bloc des boutons considérés dans son ensemble.

Sujets corrélés:

-

Style du menu de premier niveau


Style du menu de la page

Cette fenêtre propose les commandes permettant de définir certains paramètres avancés relatifs au style graphique des boutons du menu de la page.

Les menus sont créés et mis automatiquement à jour par le programme en fonction du plan du site conçu à l'étape 2 - Création du plan. Les menus de la page sont ceux qui peuvent être affichés en option pour proposer la liste des pages du niveau courant. En d'autres mots, si vous ouvrez une page qui appartient à un niveau et que ce niveau contient d'autres pages, le menu de la page propose la liste de toutes les pages de ce niveau. Les menus de la page sont toujours proposés comme menus verticaux, positionnés à droite ou à gauche des contenus de page.

Comme pour le menu de premier niveau, en fonction des paramétrages de style définis, WebSite X5 créera les boutons relatifs aux rubriques du menu de la page soit comme Boutons graphiques soit comme Boutons 3D (voir Style du menu de premier niveau).

Pratiquement

Après avoir défini la structure du site en choisissant entre Menu horizontal ou Menu vertical (étape 1 - Sélection du modèle ou étape 1 - Modèle personnalisé) et avoir dessiné le plan du site (étape 2 - Création du plan), WebSite X5 est en mesure de créer le Menu et de permettre la navigation entre les pages. Accédez à l'étape 4 - Paramètres avancés et cliquez sur Style du menu de la page pour personnaliser l'aspect de ce menu.

Les commandes nécessaires pour personnaliser les boutons sont organisées dans les sections suivantes:
- | Section Général
- | Section Éléments de menu

Sujets corrélés:

-

Paramètres avancés


Style du menu de la page| Section Général

Les options de la section Général de la fenêtre Style du menu de la page permettent de définir certains paramètres généraux du menu de page.

Tout d'abord, si vous voulez afficher un menu de la page contenant la liste des pages du niveau courant, sélectionnez l'option Afficher le menu de la page.

À ce stade, vous pouvez agir sur les options du cadre Style :
- | Position menu: permet d'indiquer si le menu de la page doit être affiché sur le côté droit ou gauche de la page.
- | Largeur: permet de définir la largeur en pixels des boutons composant le menu de la page.
- | Marge horizontale / Marge verticale: la marge est l'espace entre la bordure du bouton et le texte qu'il contient. À travers ces options vous pouvez définir l'espace horizontal et/ou vertical autour du texte à l'intérieur du bouton.
- | Distance entre les boutons: permet de définir la marge extérieure, à savoir l'espace situé entre deux boutons.

Les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte.
- | Alignement: permet de définir l'alignement du texte à Gauche, au Centre ou à Droite par rapport au bouton.

Enfin, le cadre Bordure propose les options suivantes:
- | Couleur bordure permet de définir, dans la fenêtre Couleur, la couleur de la bordure du bouton.
- | Epaisseur permet de définir l'épaisseur de la bordure du bouton.

Sujets corrélés:

-

Paramètres avancés


Style du menu de la page| Section Éléments de menu

Les options de la section Éléments de menu de la fenêtre Style du menu de la page permettent de définir certains paramètres graphiques pour définir l'aspect des rubriques du menu de la page.

Dans ce cas également, vous devez tout d'abord sélectionner l'Élément de menu sur lequel vous voulez travailler: vous pouvez définir l'aspect de la [image] Élément de menu, de l' [image] Élément sur mouseover / Page courante, du [image] Séparateur et du [image] Séparateur de lignes. Pour sélectionner l'élément du menu, vous pouvez soit utiliser la liste déroulante soit agir directement sur l'image d'Aperçu qui est constamment mise à jour en fonction des modifications effectuées.

- | Couleur d'arrière-plan / Couleur texte / Couleur de ligne: permettent de définir, dans la fenêtre Couleur, la couleur de l'arrière-plan et du texte de la Élément de menu, de l'Élément sur mouseover / Page courante et du Séparateur, ainsi que la couleur de la ligne pour le Séparateur de ligne.
- | Icône de puce: disponible pour la Élément de menu, Élément sur mouseover / Page courante et Séparateur, permet de définir l'image (fichier au format .JPG, .GIF, .PNG) qui doit précéder les rubriques du menu de la page, comme s'il s'agissant d'une liste à puce.
- | Style de police pour les options Élément sur mouseover / Page courante et Séparateur permet de définir le style du texte du bouton en choisissant parmi Normal, Gras, Italique et Gras Italique.
- | Style de ligne: disponible seulement pour le Séparateur de lignes permet de définir le type de ligne en choisissant parmi Solide, En tirets, Point, Bas-relief, Haut-relief.

Sujets corrélés:

-

Paramètres avancés


Styles et modèles

Cette fenêtre présente les commandes permettant de définir les styles à appliquer aux différents éléments de texte présents dans les pages, à la Boîte d'affichage liée aux éléments comme Objet de la galerie et Objet Liste des produits, aux info-bulles pouvant être associées aux Liens et aux emails créés avec l'Objet Formulaire d'envoi d'email ou si vous créez un Panier e-commerce.

En général, un style peut être défini comme un ensemble de caractéristiques de formatage du texte et graphique pouvant être appliquées à un élément pour modifier son aspect. L'application d'un style permet donc d'associer plusieurs formats simultanément à travers une seule opération.

Pratiquement

Après avoir dessiné le plan du site (étape 2 - Création du plan) et inséré les contenus des pages (étape 3 - Création des pages), vous pouvez accéder à l'étape 4 - Paramètres avancés et définir les styles pour personnaliser l'aspect de certains éléments répétitifs du site.

Les différentes options sont regroupées dans des sections appropriées
- | Section Textes
- | Section Boîte d'affichage
- | Section Info-bulle
- | Section E-mail

Sujets corrélés:

-

Paramètres avancés


Styles et modèles| Section Textes

Les commandes de la section Textes de la fenêtre Styles et modèles permettent de définir les styles disponibles pour les textes présents dans le site.

Tout d'abord, vous devez choisir l'Élément de page dont vous voulez définir le style, en le sélectionnant dans la liste déroulante ; vous pouvez également cliquer directement sur son Aperçu.

Dans le détail, les Éléments de page auxquels vous pouvez appliquer un style sont:

 Titre de la page: il s'agit du titre des pages du site. Il est pris dans le nom donné aux pages lors de la phase de construction du plan dans la fenêtre Création du plan ou, s'il est spécifié différemment, dans le Titre complet de la fenêtre Propriétés de page.

Chemin de la page: il s'agit du texte situé sous le titre de la page qui permet de reconstruire le chemin logique (navigation par miettes de pain) conduisant à cette page. Le chemin logique est automatiquement recréé par le programme.

Texte de la page: c'est le texte des paragraphes insérés à travers l'Objet texte. Le style de cet élément est appliqué par défaut quand vous ouvrez l'éditeur relatif à l'Objet texte: grâce aux commandes fournies par l'éditeur, vous pouvez effectuer d'autres modifications et d'autres personnalisations. Le style défini pour ce type d'élément est appliqué à tous les textes créés et insérés automatiquement par le programme comme, par exemple, les pages de la Zone réservée, du Blog, du Moteur de recherche interne et du Plan du site.

Lien actif / Lien au passage de la souris / Lien cliqué: ce sont les liens hypertextuels créés à travers l'Objet texte. Un lien peut avoir un aspect différent selon son état: actif, au passage de la souris (effet mouseover) ou cliqué. Distinguer visuellement un lien actif d'un lien déjà cliqué simplifie la navigation de l'utilisateur, en lui rappelant les sections qu'il a déjà exploré.

Menu de pied de page: c'est le menu, situé au bas de chaque page, proposant les options du menu de premier niveau.

Après avoir sélectionné l'Élément de page, vous pouvez modifier son style à l'aide des options du cadre Style:
- | Afficher: si vous sélectionnez cette option, vous pouvez faire en sorte que l'élément de page soit visible ou non. Cette option, bien évidemment, n'est pas disponible pour le Texte de la page et les différents états du Lien qui ne peuvent pas être invisibles. Il est important de souligner que rendre un élément de la page invisible ne signifie pas le supprimer du code de la page: vous pouvez, par exemple, rendre invisible le Titre de la page car vous préférez utiliser une image mais, dans ce cas également, le tag <title> ne sera pas supprimé du code HTML.
- | Couleur d'arrière-plan / Couleur de texte: permettent d'indiquer, dans la fenêtre Couleur, la couleur de l'arrière-plan et du texte de l'élément de page sélectionné. Pour le Texte de la page, vous ne pouvez pas définir la couleur de l'arrière-plan car elle est définie en fonction du modèle choisi (voir Sélection du modèle ou Modèle personnalisé) et/ou de l'Aspect de la cellule où est inséré l'Objet texte.
- | Police permet de définir le type de police, le style et la dimension en points du texte.
- | Alignement: permet d'indiquer l'alignement de l'élément de page, en choisissant parmi Gauche, Centre et Droite. Cette option n'est pas disponible pour les différents états du Lien car l'alignement des liens hypertextuels est défini, quel que soit le style, lors de la création de l'Objet texte.
- | Style de textes: disponible pour le Lien dans ses différents états, permet de définir le style du texte comme Normal ou Souligné.
- | Pointeur disponible seulement pour le Lien actif, mais il est automatiquement hérité par les deux autres états du lien, il permet d'indiquer l'aspect du pointeur de la souris lors du passage sur le lien. Si vous cliquez sur [image] , vous pouvez sélectionner le fichier .CUR, .ICO à utiliser.
- | Bordure supérieure / Bordure inférieure: permet d'indiquer, dans la fenêtre Couleur, la couleur de la bordure supérieure et/ou inférieure qui peut être ajoutée au Titre de la page, au Chemin de la page et au Menu de bas de page.

Sujets corrélés:

-

Styles et modèles


Styles et modèles| Section Boîte d'affichage

Les commandes de la section Boîte d'affichage de la fenêtre Styles et modèles permettent de définir le style de la Boîte d'affichage utilisée dans les Galeries en JavaScript (voir Objet de la galerie), dans le Lien Galerie Showbox (voir Lien| Section Action) et dans l'Objet Liste des produits. La Boîte d'affichage, qui s'ouvre en cliquant sur un lien, sert à afficher une image agrandie, un vidéo ou une séquence entière d'images: quand vous cliquez sur le lien, la fenêtre du navigateur devient foncée pour mettre en évidence la Boîte d'affichage qui est superposée selon l'effet d'entrée choisi.

Les options disponibles dans la section Style sont:
- | Aspect: permet de définir un effet d'entrée pour la Boîte d'affichage en choisissant parmi Aucun, Fondu et Déplacer du haut.
- | Couleur de l'arrière-plan externe / Couleur de l'arrière-plan interne: permettent de définir, dans la fenêtre Couleur, la couleur de l'arrière-plan externe et/ou interne à la Boîte d'affichage. La couleur de l'arrière-plan externe est celle qui devient semi-transparente (selon la valeur définie pour l'option Opacité Arrière-plan) et est utilisée pour foncer la fenêtre du navigateur.
- | Opacité de l'arrière-plan: permet de définir la valeur d'opacité de l'arrière-plan externe à la Boîte d'affichage. Plus la valeur d'opacité est élevée, moins la fenêtre du navigateur située au-dessous sera visible.
- | Afficher ombre: permet d'ajouter une ombre à la Boîte d'affichage. Cette ombre sera affichée seulement sur les navigateurs qui supportent CSS3.

Le cadre Bordure propose les options suivantes:
- | Couleur bordure: permet de définir, dans la fenêtre Couleur, la couleur de la bordure de la Boîte d'affichage.
- | Epaisseur: permet de définir l'épaisseur de la bordure de la Boîte d'affichage.

Enfin, les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte de la Boîte d'affichage.
- | Alignement: permet de définir l'alignement du texte à Gauche, au Centre ou à Droite par rapport à la Boîte d'affichage.
- | Couleur de texte permet de définir la couleur du texte dans la fenêtre Couleur de la Boîte d'affichage.

Sujets corrélés:
- | Styles et modèles
- | Objet de la galerie
- | Lien| Section Action
- | Objet Liste des produits


Styles et modèles| Section Info-bulle

Les commandes de la section Info-bulle de la fenêtre Styles et modèles permettent de définir le style à appliquer aux info-bulles associées aux liens insérés sur les textes ou les images à travers la commande Insérer lien Insérer lien. L'info-bulle est un bref texte d'aide, affiché dans une boîte lors du passage de la souris sur un lien: sa fonction est d'offrir une explication sur ce qui se passera en cliquant.

Pour définir l'aspect de l'info-bulle vous pouvez, en premier lieu, utiliser les options présentes dans le cadre Style :
- | Position: permet d'indiquer la position des info-bulles par rapport au lien auquel elles sont associées, en choisissant parmi Haut, Bas, Gauche et Droite.
- | Aspect: permet de choisir si les info-bulles doivent être affichées avec un effet d'entrée comme fondu ou Alterné.
- | Couleur d'arrière-plan: permet d'indiquer, dans la fenêtre Couleur, la couleur de l'arrière-plan des info-bulles.
- | Arrondissement: permet de définir combien les angles des info-bulles doivent être arrondis.
- | Afficher ombre: permet de définir une ombre autour du profil des info-bulles.
- | Afficher l'aileron: permet d'ajouter à la bulle des info-bulles une flèche pointant vers le lien auxquels elles sont associées.

Le cadre Bordure propose les options suivantes:
- | Couleur bordure permet de définir, dans la fenêtre Couleur, la couleur de la bordure des info-bulles.
- | Epaisseur: permet de définir l'épaisseur de la bordure des info-bulles.

Enfin, les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de police, le style et les dimensions du texte des info-bulles.
- | Alignement: permet de définir l'alignement du texte à Gauche, au Centre ou à Droite par rapport à l'info-bulle.
- | Couleur de texte: permet de définir la couleur du texte dans la fenêtre Couleur des info-bulles.

 Comme les paramètres de style sont valides pour tout le projet, toutes les info-bulles auront le même aspect graphique. Pour définir le contenu (texte et image) de chaque info-bulle, utilisez la section Description de la fenêtre Lien.

Sujets corrélés:
- | Styles et modèles
- | Insérer lien| Section Description


Styles et modèles| Section E-mail

Les commandes de la section E-mail de la fenêtre Styles et modèles permettent de définir le style des emails créés par l'Objet Formulaire d'envoi d'email ou le Panier e-commerce.

Tout d'abord, vous devez sélectionner l'Élément de courriel dont vous voulez définir le style en le sélectionnant dans la liste déroulante, pouvez également cliquer directement sur son Aperçu.

Dans le détail, les Éléments de l'e-mail auxquels vous pouvez appliquer un style sont:

 Mise en page du message: les emails créés par le programme ont une structure identique qui prévoit un cadre externe d'arrière-plan et un corps central avec le message. Entre le châssis externe et le corps central, vous pouvez prévoir une bordure qui sépare ou crée une profondeur et une épaisseur.

Image/Logo société: c'est une image que vous pouvez ajouter dans l'en-tête de l'email. Vous pouvez choisir le logo de l'entreprise ou une bannière qui occupe toute la largeur de l'email.

Contenu du message: c'est le corps de l'email contenant le message.

Note de pied de page: ce sont les remarques de fermeture de l'email qui contiennent, en général, un message standard ; elles se distinguent visuellement du corps du message car leur taille de police est plus petite.

Selon l'Élément de courriel sélectionné, vous pouvez agir sur les différentes options de la section Style:
Mise en page du message:

-

Couleur de l'arrière-plan externe / Couleur de l'arrière-plan interne: permettent d'indiquer, dans la fenêtre Couleur, la couleur de l'arrière-plan externe, à savoir du cadre, et de l'arrière-plan interne, à savoir du corps central de l'email.

-

Couleur bordure / Epaisseur permettent, respectivement, d'indiquer la couleur et l'épaisseur de la bordure qui sépare le cadre externe du corps de l'email.
Image/Logo société:

-

Fichier image permet de sélectionner l'image à insérer dans l'en-tête de l'email. Il suffit de cliquer sur [image] pour sélectionner le fichier graphique au format .JPG, .GIF ou .PNG à importer.

-

Alignement permet d'indiquer l'alignement de l'image insérée, en choisissant parmi Gauche, Centre et Droite.

-

Position: permet d'indiquer si l'image insérée doit être positionnée à l'intérieur ou en dehors du cadre relatif au corps de l'email.

-

Largeur indique automatiquement la largeur originale de l'image et permet de la modifier librement.

La largeur maximum des images est de 700 pixels et dépend de la structure de l'email. Ce paramètre garantit un bon affichage de la part de tous les clients courriel.
Contenu du message:

-

Couleur de texte permet d'indiquer, dans la fenêtre Couleur, la couleur du texte du message de l'email.

-

Police permet de définir le type de police, le style et la dimension en points du texte du message de l'email.
Note de pied de page:

-

Couleur de texte: permet d'indiquer, dans la fenêtre Couleur, la couleur du texte des remarques figurant au bas de l'email.

-

Police: permet de définir le type de police, le style et la dimension en points du texte des remarques indiquées au bas de l'email.

-

Alignement: permet d'indiquer l'alignement des Notes de pied de page, en choisissant entre Gauche, Centre et Droite.

-

Position: permet d'indiquer si les Notes de pied de page doivent être positionnées à l'Intérieur ou En dehors du cadre relatif au corps de l'email.

-

Texte permet de composer le texte composant la Note de pied de page. Par défaut, le programme propose un texte sur la confidentialité du message.

Sujets corrélés:
- | Styles et modèles
- | Objet Formulaire d'envoi d'email
- | Panier virtuel e-commerce


Page de Bienvenue

Cette fenêtre propose les commandes permettant de créer une page d'introduction au site et de la prédisposer pour la consultation en plusieurs langues.

Tel que l'indique son nom, la Page de Bienvenue est une sorte de couverture initiale du site: en général, elle présente une image, un vidéo ou une animation Flash, et elle permet d'accéder à la véritable Page d'accueil au terme du délai programmé ou du clic sur le lien. Si nécessaire, cette page d'introduction peut aussi proposer les liens permettant de choisir la langue de consultation du site.

Pratiquement

Comme la Page de bienvenue est un élément facultatif d'un site, pour l'insérer il faut tout d'abord sélectionner l'option Afficher la Page de bienvenue. Si elle est présente, la Page de bienvenue est la première à s'afficher et au terme du délai programmé ou du clic sur un lien, le programme affiche la Page d'accueil du site.

Vous pouvez composer la Page de Bienvenue en définissant l'arrière-plan et le contenu, mais aussi une éventuelle bande sonore.

Les options du cadre Arrière-plan de la page sont:
- | Couleur d'arrière-plan: permet d'indiquer, dans la fenêtre Couleur, la couleur d'arrière-plan de la Page de Bienvenue.
- | Fichier image: permet de définir le fichier graphique (au format .JPG, .GIF, .PNG) à utiliser comme arrière-plan de la Page de Bienvenue.
- | Disposition: permet de définir s'il faut répéter ou non l'image utilisée comme arrière-plan de la cellule. L'image peut être répétée horizontalement, verticalement ou dans les deux sens pour remplir tout l'espace disponible. Par ailleurs, vous pouvez adapter l'image, à savoir la redimensionner pour qu'elle couvre tout l'arrière-plan: dans ce cas, les proportions d'origine ne sont pas respectées.
- | Alignement: permet de choisir l'alignement de l'image sur la fenêtre du navigateur.

Les options du cadre Contenu de la page sont:
- | Type: permet d'indiquer le type de contenu à insérer dans la Page de Bienvenue, en choisissant parmi Image, Animation Flash, Vidéo et Code HTML.
- | Fichier: si vous choisissez comme Type de contenu l'Image, l'Animation Flash ou le Vidéo, vous pouvez définir le fichier graphique (au format .JPG, .GIF, .PNG), le fichier Animation Flash (au format .SWF) ou le fichier Vidéo (au format .FLV, .MP4) à utiliser.
- | Code HTML si vous choisissez comme Type de contenu Code HTML, vous devez entrer le code à insérer dans la Page de Bienvenue.
- | Largeur / Hauteur: permettent d'indiquer la largeur et la hauteur en pixels de l'image, de l'animation Flash, du vidéo ou du code HTML insérés.

Enfin, le cadre Options contient les options suivantes:
- | Son à l'ouverture: permet de définir le fichier audio (au format .MP3) à utiliser comme fond musical lors de l'affichage de la Page de Bienvenue.
- | Ouvrir la page d'accueil après: si vous sélectionnez cette option, vous devez indiquer le nombre de secondes durant lesquelles la Page de Bienvenue sera affichée. Au terme de ce délai, la Page d'accueil est automatiquement affichée.

Langue de consultation - Pratiquement

Si le site peut être consulté en plusieurs langues, pour permettre à l'utilisateur de sélectionner la langue voulue à travers les boutons insérés dans la page de Bienvenue, vous devez tout d'abord sélectionner l'option Afficher les liens vers d'autres langues.

Dans le cadre Liste de langues, vous devez composer la liste des langues disponibles. Par défaut, le programme propose une liste composée de 5 langues que vous pouvez modifier librement à l'aide des commandes disponibles:
- | Ajouter / Supprimer...: permettent de composer la liste des langues de consultation respectivement en ajoutant une nouvelle Langue (dans la fenêtre Sélection des langues) ou en supprimant une langue déjà insérée.
- | En haut / En bas: permettent de modifier l'ordre des langues présentes dans la liste, en déplaçant vers le haut ou le bas la langue sélectionnée.
- | Présélection: permet de définir la langue sélectionnée dans la Liste de langues comme "prédéfinie". La langue "prédéfinie" est celle à laquelle on accède immédiatement avant de choisir la langue de consultation préférée. Le site ayant une langue prédéfinie est le seul présentant la Page de Bienvenue.
- | Modifier: permet de rappeler la fenêtre Sélection des langues pour modifier les paramètres définis pour la langue sélectionnée parmi celles déjà insérées dans la liste.

La fenêtre Sélection des langues présentes les options suivantes:
- | Nom de la langue à afficher: permet d'insérer le nom de la langue qui sera disponible. Si vous cliquez sur la flèche située à côté du champ, vous ouvrez une liste déroulante permettant de sélectionner la langue voulue ; vous pouvez également taper directement le nom de la langue.
- | Fichier image pour la langue (ex: drapeau): permet de définir le fichier graphique à utiliser pour créer le bouton associé à la langue. Si vous cliquez sur [image] , vous pouvez sélectionner le fichier .JPG, .GIF ou .PNG à utiliser, par exemple, pour créer un bouton avec l'image du drapeau relatif à la Langue. Si vous n'associez aucune image, au lieu du bouton graphique, le programme crée automatiquement un lien textuel portant le Nom de la langue comme texte et il définit la couleur qui contraste le mieux avec celle de l'arrière-plan de la page.
- | Chemin d'accès au serveur ou URL du site Web de cette langue: permet d'indiquer le nom du sous-dossier sur le serveur où sera publié le site relatif à la langue sur laquelle vous êtes en train de travailler, par exemple "En" pour le site en anglais. Vous pouvez également taper l'URL complète du site que vous voulez associer, par exemple "http://www.miosito.com/en/index.html". Si vous travaillez sur la langue définie comme Prédéfinie, vous ne pouvez pas indiquer une URL pour la publication mais seulement un sous-dossier sur le serveur.
- | Affiche cette langue mais indique qu'elle n'est pas encore disponible: si vous sélectionnez cette option, vous pouvez prévoir une langue de consultation dont la version relative du site n'a pas encore été créée et/ou publiée. Si vous cliquez sur le bouton (ou le lien textuel) relatif à cette langue, l'utilisateur recevra automatiquement un message l'informant que la langue requise n'est pas encore disponible.

Vous disposez aussi de l'option:

-

Exécuter le lien dans une nouvelle fenêtre: si vous sélectionnez cette option, le site est ouvert dans une nouvelle fenêtre du navigateur, différente de celle où est déjà ouverte la Page de Bienvenue.

Même si la fenêtre de la page de Bienvenue parle explicitement de langues, vous pouvez exploiter cette situation pour permettre à l'utilisateur de choisir non seulement une langue de consultation mais, plus en général, différentes versions du site. Par exemple, vous pouvez définir le choix entre "version HTML / version Flash" ou entre "version convenant aux mineurs / version adressée seulement aux adultes".

Sujets corrélés:
- | Paramètres avancés
- | Comment gérer les langues pour les textes insérés automatiquement


Message publicitaire

Cette fenêtre présente les commandes permettant de prédisposer un message publicitaire sur la page d'accueil ou toutes les pages du Site.

Le message publicitaire peut être créé comme une image ou une animation flash affichée à un endroit déterminé de la page contenant un lien vers une Landing Page (ou page de destination). Bien évidemment la Landing Page, qui est une page interne du site, doit être conçue pour convaincre l'utilisateur à mener à bien l'action voulue: remplir un formulaire, effectuer un achat , etc.

Pratiquement

Pour insérer un message publicitaire , vous devez tout d'abord activer l'option Afficher le message publicitaire.

Vous pouvez choisir le Type de message à définir en sélectionnant l'une des options suivantes:

 Afficher les annonces dans le coin supérieur droit: elle correspond à l'effet nommé PagePeel, en positionnant la souris en haut à droite de la page, on découvre le message publicitaire précédemment masqué.

Afficher les annonces dans une case: le message publicitaire est inséré dans une case affichée à un endroit déterminé de la fenêtre du navigateur en surimpression sur le contenu de la page.

Afficher les annonces dans une barre horizontale: le message publicitaire est proposé dans une barre horizontale affichée au sommet de la fenêtre du navigateur, avant le contenu réel de la page, ou sur l'arrière-plan de la fenêtre du navigateur, en surimpression sur le contenu de la page.

Quel que soit le Type de message sélectionné, vous pouvez utiliser l'option de la boîte Paramètres:

-

Fichier image/animation: permet de spécifier le fichier graphique (au format .JPG, .GIF, .PNG) ou le fichier de l'animation Flash (au format .SWF) contenant le message publicitaire voulu.

L'option Afficher les annonces dans le coin supérieur droit dispose des options suivantes:
- | Style: permet de choisir, en plus de l'effet classique du coin de la page pliée (PagePeel), d'autres animations à thèmes. De toute façon, le fonctionnement de l'effet ne change pas: quand la souris glisse sur l'animation, l'utilisateur ouvre le message publicitaire relatif.
- | Largeur/hauteur: permet d'indiquer la valeur en pixels relative à la largeur et la hauteur de la zone devant accueillir le message publicitaire.

L'option Afficher les annonces dans une case dispose des options suivantes:
- | Position: permet d'établir la position où sera affiché le message publicitaire à l'intérieur de la fenêtre du navigateur. Vous pouvez le positionner au Centre, en Haut à Gauche, en Haut à Droite, en Bas à Gauche et en Bas à Droite.
- | Effet: permet de définir l'un des effets d'affichage suivants Fondu, Balayage vers le bas, Balayage vers le haut, Balayage vers la droite, Balayage vers la gauche.
- | Afficher ce message seulement une fois: si cette option est activée, le message publicitaire n'est affiché qu'une fois, à la première ouverture d'une page du site. Quand vous ouvrirez une nouvelle session de navigation, le message publicitaire sera de nouveau proposé.

Pour finir, l'option Afficher les annonces dans une barre horizontale dispose des options suivantes:
- | Position: permet de définir si la barre contenant le message publicitaire doit être affichée en haut avant les contenus de la page , ou au fond en surimpression.
- | Couleur d'arrière-plan: permet de définir, à travers la fenêtre Couleur, la couleur d'arrière-plan de la barre horizontale contenant le message publicitaire.
- | Afficher ce message seulement une fois: si cette option est activée, le message publicitaire n'est affiché qu'une fois, à la première ouverture d'une page du site. Quand vous ouvrirez une nouvelle session de navigation, le message publicitaire sera de nouveau proposé.

Voici les options contenues dans la case Options communes à tous les types de message:

-

Son à l'ouverture: permet de définir le fichier audio (au format .MP3) à reproduire pendant l'affichage du message publicitaire.

-

Page liée: permet de définir la page (Landing Page) qui sera liée au message publicitaire, en la sélectionnant directement dans le plan du site rappelé à l'aide du bouton [image].

Qu'est-ce qu'une Landing page?
La Landing Page est la page qui accueille le visiteur, elle s'affiche parce qu'elle est liée, par exemple, à un lien ou à une bannière publicitaire. Tel que l'indique son nom, c'est la page où l'utilisateur "atterre", elle doit donc être construite de sorte qu'il trouve immédiatement les informations voulues, lui évitant ainsi de naviguer dans le site pour les rechercher.
Le mécanisme peut être expliqué par un exemple: supposons que vous vouliez publier une bannière pour faire la réclame d'un produit. Les informations véhiculées par la bannière sont peu nombreuses et essentielles, mais vous pouvez définir un lien pour guider l'utilisateur vers votre site. Dans ce cas, il ne convient pas de créer un lien vers la Page d'accueil de votre site: celle-ci est trop générale et obligerez l'utilisateur à entreprendre une navigation interne avant de trouver les informations nécessaires sur le produit et la procédure à suivre pour l'acheter. Vous risquez ainsi de perdre un client potentiel. La meilleure solution est de construire une page spécifique à l'aspect simple et fonctionnel où figurent toutes les informations sur le produit indiqué dans la bannière y compris la procédure d'achat. Très souvent, il faut construire expressément une page de ce type mais si elle est bien conçue, elle guide vers l'objectif voulu (par exemple, l'achat du produit) l'utilisateur qui a été attiré par le message publicitaire.

Enfin, la case Mode d'affichage dispose des options suivantes:

-

Montrer uniquement dans la page d'accueil / Montrer dans toutes les pages du site: permettent de définir à quel endroit doit être affiché le message publicitaire, uniquement dans la page d'accueil ou dans toutes les pages du site.

Sujets corrélés:

-

Paramètres avancés


Blog

Cette fenêtre propose les outils et les options nécessaires pour créer un Blog et gérer les commentaires laissés éventuellement par les utilisateurs comme réponse aux Articles publiés.

Le Blog est un genre d'agenda Internet où l'auteur raconte ce qu'il veut à travers une série d'articles (ou Post) publiés avec une fréquence et une régularité variables.

Après la publication, le Blog créé avec WebSite X5 représente une section individuelle du site principal et il est automatiquement ajouté dans le Plan sous le dossier Pages spéciales (voir Création du plan). Pour insérer la rubrique "Blog" dans le Menu de navigation, vous devez créer un alias de la page spéciale en la sélectionnant et la faisant glisser dans le dossier Menu.

Comme le Blog fait partie intégrante du site web, il a le même graphique et reprend automatiquement le modèle graphique défini.

Le Blog créé est publié à l'URL www.miosito.it/blog où www.miosito.it est l'URL du site auquel il est relié.

La page principale du Blog montre la liste de tous les Articles (ou Post) publiés, rangés dans l'ordre chronologique en partant du plus récent.
Pour tous les articles, vous verrez le titre, le nom de l'auteur, la catégorie, la date et l'heure de publication, la description brève et le lien "Lire tout". Pour le premier article seulement, au lieu de la description brève, vous verrez le contenu entier.
Le lien "Lire tout" mène à une page consacrée entièrement à un post: dans ce cas, le programme affiche tout l'article suivi de la liste des commentaires déjà publiés et du formulaire que les lecteurs peuvent utiliser pour envoyer un nouveau commentaire.

Hormis les contenus individuels, toutes les pages du Blog présentent une structure analogue qui prévoit une colonne, placée à droite, présentant des outils comme: la section avec les articles récents, les archives par mois ou catégories, les nuages. Selon vos exigences, vous pouvez personnaliser cette colonne et décider quels seront les outils disponibles et leur ordre de présentation.

Enfin, nous avons déjà dit qu'une des caractéristiques du Blog est de permettre au lecteur d'entrer un commentaire: ainsi en partant de l'article publié, une discussion peut s'ouvrir entre celui qui écrit et ceux qui lisent. Il est nécessaire de gérer les commentaires pour éviter les réponses vexantes ou non relatives au thème: pour ce faire, WebSite X5 met à votre disposition un Panneau de contrôle enligne.

Pratiquement

Pour créer un Blog, il suffit de définir certains paramètres généraux et de créer la liste des nouvelles à diffuser.

Les commandes nécessaires pour configurer un Blog et créer les articles sont présentées dans trois sections:
- | Section Articles
- | Section Mise en forme
- | Section Commentaires

Le Blog étant défini, il faut maintenir vif l'intérêt des lecteurs en proposant régulièrement et fréquemment de nouveaux posts. À ce sujet, pour publier seulement les mises à jour relatives au Blog en phase d'exportation, sélectionnez l'option Exporter seulement le Blog et les Flux RSS dans la fenêtre Exportation du site sur Internet.

Sujets corrélés:
- | Paramètres avancés
- | Panneau de contrôle enligne


Blog| Section Articles

Les commandes proposées dans la Section Articles de la fenêtre Blog permettent de définir certains paramètres généraux et de composer la liste des articles (ou Post) à publier dans le Blog.

Le cadre Paramètres généraux comprend les options suivantes:
- | Titre: dans ce champ, tapez le titre du Blog. Ce titre qui sera affiché dans la barre de titre du Navigateur est un paramètre important pour permettre aux utilisateurs et aux moteurs de recherche d'identifier correctement le Blog. Si vous n'indiquez aucun titre pour le Blog, le programme lui affecte automatiquement le titre associé au site à travers l'option appropriée de la fenêtre Paramètres généraux| Section Générales.
- | Description: dans ce champ, vous pouvez taper une brève description du Blog. La description du blog doit être succincte, efficace et précise: cette description sera en effet utilisée dans le code HTML comme contenu du Méta tag <description> et sera analysée par les spiders des moteurs de recherche. Dans ce cas également, si vous n'indiquez aucune description pour le Blog, le programme lui affecte automatiquement la description associée au site à travers l'option appropriée de la fenêtre Paramètres généraux| Section Générales.
- | Créer RSS Feed en incluant le contenu du Blog: cette option, activée par défaut, provoque la création automatique d'un Flux RSS avec tous les articles du Blog.

Le cadre Liste de messages propose un tableau récapitulatif indiquant le Titre, l'Auteur, la Catégorie et la Date de lancement de tous les Posts déjà insérés ainsi que les commandes nécessaires pour créer la liste des articles:
- | Ajouter: permet de rappeler la fenêtre Paramètres article pour entrer un nouvel article.
- | Supprimer...: permet de supprimer l'article sélectionné parmi ceux présents dans la Liste des articles.
- | Modifier: permet de rappeler la fenêtre Paramètres article pour modifier l'article sélectionné parmi ceux présents dans la Liste des articles.

La fenêtre Paramètres article rappelée à l'aide de la commande Ajouter ou Modifier apparaît comme illustré ci-dessous, elle est articulée en deux sections:
- | Section Générales
- | Section Avancé

Les commandes présentes dans la section Générales de la fenêtre Paramètres article sont:
- | Titre: permet d'indiquer le titre de l'article.
- | Publié le: permet de définir la date de publication de l'article en la sélectionnant dans le calendrier.
- | Auteur: permet d'indiquer l'auteur de l'article. Dans ce champ, vous pouvez taper directement le nom de l'auteur, ou ouvrir la liste déroulante et sélectionner un nom parmi ceux insérés précédemment.
- | Catégorie: permet d'indiquer la catégorie de l'article. Comme pour le champ Auteur, vous pouvez taper le nom d'une nouvelle catégorie, ou sélectionner l'une des catégories insérées précédemment.
- | Balise: permet d'indiquer une liste de balises, à savoir de brèves descriptions des concepts clé associés à l'article. Vous pouvez associer plusieurs balises à chaque article, en les écrivant l'une après l'autre, séparées par une virgule (par exemple: " tag1, tag2, tag3., ...").
- | Contenu: permet d'écrire l'article en utilisant un éditeur analogue à celui disponible pour l'Objet texte.
- | Brève description: permet d'indiquer une brève description à associer à l'article.

En revanche, les commandes présentes dans la section Avancé de la fenêtre Paramètres article sont les suivantes:

-

Audio/Vidéo lié: permet d'indiquer un fichier audio (au format .MP3, .WMA, .WAV, .MID, .AIF, .M4A) ou un fichier vidéo (au format .MP4, .FLV, .AVI, .WMV, .MPG, .MOV) à associer à l'article. Cette option permet de créer automatiquement un lien vers un fichier audio/vidéo affiché au bas de l'article.

Est-ce que je peux insérer à l'intérieur d'un article un vidéo que l'on peut voir immédiatement?

Vous pouvez faire en sorte que le vidéo soit directement affiché dans l'article en insérant manuellement le code HTML nécessaire dans l'éditeur de texte lors de la composition de l'article.
Par exemple, vous pouvez copier le code d'un vidéo YouTube tel qu'il est fourni par le portail et le coller à l'intérieur de l'article.

-

Poster sources: permet de créer la liste des sources utilisées pour composer l'article à l'aide des commandes suivantes:
- | Ajouter / Supprimer...: permettent respectivement d'ajouter une nouvelle source ou de supprimer celle sélectionnée. Il suffit de cliquer une seconde fois sur une rubrique sélectionnée pour la modifier.
- | En haut / En bas: permettent de ranger la liste, en déplaçant vers le haut ou le bas la rubrique sélectionnée.
- | Modifier: permet de modifier la rubrique sélectionnée.
Pour insérer correctement une source, il faut écrire le nom du site suivi de l'URL comprise entre les caractères < > (par exemple: "WebSite X5 < http://www.websitex5.com>"): comme source sera affiché seulement le texte et l'URL sera utilisée pour créer le lien associé.

-

Ne pas habiliter les commentaires pour cet article: si vous sélectionnez cette option, vous empêchez les utilisateurs de laisser des commentaires pour l'article courant.

Sujets corrélés:

-

Blog


Blog| Section Mise en forme

Les commandes proposées dans la Section Mise en forme de la fenêtre Blog permettent de définir certains aspects graphiques du Blog.

Le cadre Général dispose des options suivantes:

-

Afficher bouton "AddThis" pour le partage des contenus sur Internet: si vous sélectionnez cette option, le bouton "AddThis" apparaît automatiquement sous chaque article du Blog. En cliquant sur ce bouton, le lecteur affiche un sous-menu contenant une liste des Social Network les plus connus: s'il dispose d'un profil sur l'un de ces circuits, il pourra le sélectionner et partager le lien vers le Post avec ses contacts.

-

Type de bouton: permet de définir l'aspect du bouton "AddThis" en choisissant parmi les propositions graphiques contenues dans la liste déroulante.

-

Compte AddThis: permet, si vous disposez d'un Compte AddThis, de le spécifier. Avoir un compte permet d'afficher certaines statistiques sur l'utilisation du service AddThis de la part des lecteurs.

Pour plus d'informations sur le service AddThis et pour obtenir un compte, cliquez sur le bouton [image] et accédez au site officiel: www.addthis.com.

Le cadre Blocs latéraux propose un tableau récapitulatif indiquant le Titre, le Type et la Largeur de tous les blocs de contenu insérés dans la barre latérale ainsi que les commandes nécessaires pour créer la liste de ces blocs:
- | Ajouter: permet de rappeler la fenêtre Bloc latéral pour entrer un nouveau bloc.
- | Dupliquer: permet de créer une copie du bloc sélectionné parmi ceux déjà insérés.
- | Supprimer...: permet de supprimer le bloc sélectionné parmi ceux présents dans la liste Blocs latéraux.
- | En haut / En bas: permettent, respectivement, de déplacer le bloc sélectionné avant/après le bloc précédent/suivant parmi ceux déjà insérés dans la liste Blocs latéraux.
- | Modifier: permet de rappeler la fenêtre Bloc latéral pour modifier le bloc sélectionné parmi ceux présents dans la liste Blocs latéraux.

La fenêtre Bloc latéral rappelée à l'aide de la commande Ajouter ou Modifier permet de définir les blocs de contenu à insérer dans la colonne latérale de toutes les pages du Blog. Cette fenêtre possède deux sections:
- | Section Général
- | Section Style

Sujets corrélés:

-

Blog


Blog| Section Mise en forme| Blocs latéraux| Général

Les commandes présentes dans la section Général de la fenêtre Blocs latéraux (voir Blog| Section Mise en forme) permettent de créer la liste des blocs qui devront compléter la page du Blog.

Vous pouvez choisir parmi les types de bloc suivants:

 Articles récents: bloc où sont affichés tous les Posts les plus récents publiés sur le Blog. Si vous cliquez sur le titre, vous accédez à la page affichant l'article.

Catégories: bloc où est affichée la liste de toutes les catégories composant les Posts du Blog. Si vous cliquez sur une catégorie, vous affichez la liste des articles insérés.

Articles mensuels: bloc où est indiquée la liste des Posts publiés, organisés par mois.

Nuages: bloc où est indiquée la liste de toutes les catégories ou de toutes les balises associées aux articles publiés. Dans ce cas, les noms des catégories ou les balises sont affichés avec des dimensions différentes selon le nombre de Posts reliés: plus le nombre de Posts reliés est grand, plus les dimensions de l'inscription sont grandes. Si vous cliquez sur une rubrique (Catégorie ou balise), vous affichez la liste des articles qui y sont reliés.

Blogoliste: bloc d'affichage de la liste du Blogoliste, à savoir d'autres sites Web ou Blogs que vous voulez lier pour suggérer leur visite à vos lecteurs.

Facebook: bloc qui exploite le Social Plug-in "Like Box" de Facebook pour permettre aux utilisateurs de:
- | voir à combien de personnes et/ou propres amis la page Facebook proposée plaît;
- | lire les Posts récents publiés sur la page Facebook proposée;
- | dire que la page Facebook proposée plaît sans devoir par force la visiter.

Google AdSense Adverts: bloc d'affichage des messages publicitaires fournis par le circuit Google AdSense.

Code HTML: bloc complètement personnalisable qui peut être utilisé pour insérer n'importe quelle fonction non prévue en mode automatique par le programme.

Selon le type de bloc sélectionné, le programme présente différentes options sur lesquelles vous pouvez agir.

Les options communes à tous les blocs sont:
- | Titre: permet d'insérer le titre à associer et afficher pour le bloc.
- | Largeur: permet de définir la largeur en pixels du bloc.

En plus des options communes, pour chaque type de bloc, vous disposez des options spécifiques suivantes:
Articles récents / Catégories/
Articles mensuels:

-

Nombre maximum d'éléments: permet d'indiquer le nombre maximum de rubriques qui doit être affiché à l'intérieur du bloc.
Nuages:

-

Afficher les Catégories dans un nuage / Afficher les Balises dans un nuage: permettent de choisir si dans le bloc Nuages, il faut indiquer les Catégories ou les Balises utilisées pour les articles déjà publiés.
Blogoliste:

-

Blogoliste: permet de composer la liste du Blogoliste à travers les commandes suivantes:
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter un nouveau Blogoliste ou de supprimer un site sélectionné. Il suffit de cliquer une seconde fois sur une rubrique sélectionnée pour la modifier.
- | En haut / En bas: permettent de ranger la liste, en déplaçant vers le haut ou le bas la rubrique sélectionnée.
- | Modifier: permet de modifier la rubrique sélectionnée.
Pour insérer correctement un Blogoliste, il faut écrire le nom du site suivi de l'URL comprise entre les caractères < > (par exemple: "WebSite X5 < http://www.websitex5.com>"): seulement le texte sera affiché comme Blogoliste et l'URL sera utilisée pour créer le lien associé.
Facebook:

-

URL Facebook: permet d'indiquer l'URL de la page Facebook que vous voulez proposer.

-

Couleur d'arrière-plan: permet de définir un Arrière-plan Clair ou Foncé pour le bloc.

-

Hauteur: permet de définir la hauteur en pixels du bloc.

-

Afficher les connexions: si vous sélectionnez cette option, le bloc montre aussi les photos des profils des amis (à savoir des connexions).

-

Afficher flux: si vous sélectionnez cette option, les derniers Posts publiés dans le tableau de la page Facebook proposée sont automatiquement affichés dans le bloc.

-

Afficher en-tête FaceBook: si vous sélectionnez cette option, une en-tête de Facebook est affichée dans le bloc.
Google AdSense Adverts:

-

Code HTML Google AdSense: permet de saisir le code HTML fourni par Google AdSense pour afficher un bloc de messages publicitaires.
Code HTML:

-

Code HTML: permet de saisir le code HTML pour créer un bloc complètement personnalisé.

Sujets corrélés:

-

Blog| Section Mise en forme


Blog| Section Mise en forme| Blocs latéraux| Style

Les commandes présentes dans la section Style de la fenêtre Blocs latéraux (voir Blog| Section Style) permettent de définir l'aspect graphique des blocs qui devront compléter la page du Blog.

Les options présentes dans le cadre Texte sont:
- | Police: permet d'indiquer, dans la fenêtre rappelée, le type de caractère, le style et les dimensions du texte.
- | Couleur de texte: permet de définir, dans la fenêtre Couleur, la couleur des textes du bloc.
- | Marge horizontale / Marge verticale: la marge définit l'espace entre le bord de la cellule et son contenu. Ces options permettent donc de définir l'espace horizontal et vertical autour du texte à l'intérieur du bloc.

Le cadre Arrière-plan dispose des options suivantes:
- | Couleur d'arrière-plan / Couleur bordure: permettent de définir, dans la fenêtre Couleur, la couleur de l'arrière-plan et de la bordure du bloc.
- | Epaisseur bordure: permet de définir l'épaisseur de la bordure du bloc.
- | Fichier image: permet d'indiquer une image (.jpg, .gif ou .png) à insérer comme arrière-plan du bloc.
- | Disposition: permet d'indiquer si l'image insérée comme arrière-plan du bloc doit être répétée ou non. L'image peut être répétée horizontalement, verticalement ou dans les deux sens pour remplir tout l'espace disponible.
- | Alignement: permet d'indiquer comment aligner l'image insérée comme arrière-plan par rapport au bloc.

Sujets corrélés:

-

Blog| Section Style


Blog| Section Commentaires

Les commandes de la Section Commentaires de la fenêtre Blog permettent de gérer l'entrée des commentaires laissés par les visiteurs comme réaction aux articles publiés dans le Blog.

Les options disponibles dans la section Général sont:

-

Permettre l'entrée de commentaires pour les articles du blog: si vous activez cette option, vous permettez aux utilisateurs de laisser des commentaires relatifs aux articles publiés dans le Blog.

-

Dossier du serveur avec l'accès par écriture: dans ce champ, indiquez le chemin sur le serveur du dossier avec l'accès par écriture, à savoir le dossier ayant l'accès à l'écriture du fichier de la part du code PHP.

Normalement les Fournisseurs permettent l'accès à l'écriture pour chaque dossier du serveur: dans ce cas, il n'est pas nécessaire d'indiquer le chemin du dossier public. En revanche, pour connaître le chemin complet du dossier public, contactez votre Fournisseur d'accès au Web.
Dans la section WebSite Test du Panneau de contrôle enligne, vous pouvez vérifier si le dossier ayant l'accès à l'écriture existe et, si oui, s'il permet effectivement l'écriture des données.

-

Activer le contrôle anti-spam "Captcha": permet d'ajouter au terme du formulaire pour l'entrée d'un commentaire, le contrôle anti-spam du Captcha. Le programme insère l'image de quelques lettres déformées sur un arrière-plan flou: l'utilisateur doit recopier correctement les lettres dans un champ approprié pour pouvoir envoyer le commentaire.

Le cadre Gestion des commentaires dispose des options suivantes:
- | E-mail pour l'envoi accusé de réception des commentaires: permet d'indiquer l'adresse e-mail à laquelle vous voulez recevoir l'avis de réception des commentaires sur les articles publiés dans le Blog.
- | Afficher immédiatement les commentaires insérés / Afficher commentaires après l'approbation dans le panneau de contrôle: permettent de choisir si les commentaires laissés par les visiteurs peuvent être affichés immédiatement sur les pages du Blog, ou s'ils doivent être préalablement approuvés à travers les commandes de la section Blog du Panneau de contrôle enligne.

Sujets corrélés:
- | Blog
- | Panneau de contrôle enligne
- | Comme gérer les commentaires des Blog à partir du panneau de contrôle


Flux RSS

Cette fenêtre propose les outils et les options nécessaires pour créer un Flux RSS, l'un des formats les plus populaires pour la distribution de contenus Web.

Le Flux RSS est un outil très polyvalent, utile pour divulguer des nouvelles, des images ou des vidéos: il est très utile quand on a beaucoup de nouvelles à proposer avec une certaine fréquence ou quand on veut signaler des évènements, des mises à jour effectuées à l'intérieur du site, les nouveaux posts ou les commentaires publiés sur un blog.

En souscrivant le Flux RSS associé au site web, les utilisateurs pourront être constamment à jour et recevoir/lire les nouvelles directement à travers leur programme news aggregator.

Pratiquement

Pour créer un Feed RSS , il suffit de définir certains paramètres généraux et de créer la liste des nouvelles à diffuser.

Le cadre Liste des articles propose un tableau récapitulatif indiquant le titre et la date de lancement de toutes les nouvelles déjà insérées ainsi que les commandes nécessaires pour créer la liste des articles:
- | Ajouter: permet de rappeler la fenêtre Paramètres article pour entrer un nouvel article.
- | Supprimer...: permet de supprimer l'article sélectionné parmi ceux présents dans la Liste des articles.
- | Modifier: permet de rappeler la fenêtre Paramètres article pour modifier l'article sélectionné parmi ceux présents dans la Liste des articles.

La fenêtre Paramètres article rappelée à l'aide de la commande Ajouter ou Modifier apparaît comme illustré ci-dessous.

- | Titre: permet d'indiquer le titre de l'article.
- | Publié le: permet de définir la date de publication de l'article en la sélectionnant dans le calendrier.
- | Contenu: permet d'écrire l'article en utilisant un éditeur analogue à celui disponible pour l'Objet texte.
- | Page liée: permet d'accéder au Plan du site pour définir la page devant être reliée à l'article.

Après avoir créé la liste des informations, vous devez spécifier les paramètres suivants compris dans le cadre Paramètres généraux pour le Flux RSS:
- | Titre: demande d'indiquer le titre du Flux RSS relié au site web. Ce paramètre est obligatoire.
- | Image: permet d'indiquer une image (fichier au format .JPG, .GIF, .PNG) à associer au Flux RSS; cette image (le logo de l'entreprise ou du site web) sera affichée par le programme news aggregator.
- | Description: demande d'indiquer une description du Flux RSS relié au site web. Ce paramètre est également obligatoire.

 Les Flux RSS ne fonctionneront que lorsque le site sera publié enligne.

Sujets corrélés:

-

Paramètres avancés


Gestion de l'accès

Cette fenêtre contient les commandes permettant de créer et gérer des profils utilisateurs pouvant accéder à la zone réservée du site, à savoir les pages qui ont été définies comme protégées pendant la phase de Création du plan.

Pratiquement

Le cadre Groupes et Utilisateurs qui peuvent accéder aux pages protégées propose un tableau récapitulatif indiquant le Groupes/Utilisateurs déjà insérés, le Login et les Remarques affectées à chaque utilisateur.

En regard du tableau se trouvent les commandes permettant de créer la liste des groupes et des utilisateurs autorisés à accéder aux pages protégées du site:

-

Nouveau groupe: permet d'insérer un nouveau Groupe, de sorte à organiser les utilisateurs en catégories homogènes plus faciles à gérer. Les groupes n'ont pas de paramétrages particuliers: ce sont de simples "récipients" qui sont insérés directement dans le tableau récapitulatif. Pour renommer un groupe déjà inséré, double-cliquez sur celui-ci.
Pour mieux organiser l'accès des utilisateurs, vous pouvez créer des sous-groupes: vous pouvez former autant de groupes et sous-groupes que vous le souhaitez.
Deux groupes sont présents par défaut: Administrateur et Utilisateurs. le groupe Administrateur est formé des administrateurs du site qui ont automatiquement accès à toutes les Pages protégées du site.

En saisissant leur Nom utilisateur et Mot de passe, tous les utilisateurs du groupe Administrateur peuvent accéder au Panneau de contrôle enligne (disponible à l'URL www.monsite.fr/admin où www.monsite.fr est l'URL du site) permettant de gérer les commentaires aux Post du Blog, les messages du Guestbook (voir objet HTML et Widgets) et afficher les informations de diagnostic ou sur l'optimisation du site pour les moteurs de recherche.

-

Nouvel utilisateur: permet de rappeler la fenêtre Nouvel utilisateur pour insérer dans le groupe sélectionné un nouvel utilisateur avec ses données d'accès relatives.

-

Supprimer...: permet de supprimer le groupe ou l'utilisateur sélectionné parmi ceux déjà insérés. Vous ne pouvez supprimer ni le Groupe Administrateurs ni l'utilisateur Admin du groupe car ils sont prévus par défaut.

-

Modifier: permet de rappeler la fenêtre Nouvel utilisateur pour modifier les paramétrages de l'utilisateur sélectionné.

-

Créer Alias: permet de créer un Alias pour l'utilisateur sélectionné. Cette option est utile quand il faut insérer le même utilisateur dans différents groupes pour l'autoriser à accéder à différentes pages protégées, elle n'est pas active pour les utilisateurs du groupe Administrateur qui ont automatiquement accès à toutes les pages protégées. L'alias reste lié à l'utilisateur de sorte que toute modification effectuée à l'un est automatiquement appliquée à l'autre. Pour créer rapidement un alias, vous pouvez également sélectionner un utilisateur, le faire glisser et, appuyer sur la touche CTRL, avant de le relâcher dans le groupe.

La fenêtre Nouvel utilisateur rappelée à l'aide de la commande Nouvel utilisateur ou Modifier se présente comme illustré ci-dessous.

Voici les commandes disponibles pour créer une nouvel utilisateur:

-

Prénom et nom: permet d'indiquer le nom de l'utilisateur auquel vous voulez accorder l'accès à certaines Pages protégées du site.

-

Nom Utilisateur / Mot de passe: permettent d'indiquer le nom utilisateur et le mot de passe que l'utilisateur devra saisir pour pouvoir afficher les Pages protégées auxquelles il a le droit d'accès. Le programme propose automatiquement un mot de passe composé de 8 caractères (lettres et chiffres) choisis à travers une procédure aléatoire: vous pouvez toutefois modifier librement ce mot de passe.

-

Page d'accès: permet d'accéder au plan du site pour indiquer la page à afficher quand l'utilisateur a saisi ses données d'accès.

-

Remarque: permet d'insérer certaines remarques facultatives sur l'utilisateur.

-

Date d'inscription: permet d'insérer, à l'aide de la fenêtre Calendrier, la date d'inscription de l'utilisateur.

Les informations relatives aux options Remarque et Date d'inscription ne sont pas comprises dans le code du site web réalisé: elles servent seulement à améliorer la gestion des utilisateurs de la part de l'administrateur du site.

En plus du tableau récapitulatif, le cadre Paramétrages pour la page d'accès de la zone réservée propose les options suivantes:

-

Message de bienvenue: permet d'écrire le texte qui s'affichera quand l'utilisateur essaiera d'accéder à une page protégée sans avoir préalablement exécuté la connexion. Dans ce cas, l'utilisateur est réadressé vers une page, créée automatiquement par le programme, composée des éléments suivants:
- | le message de bienvenue spécifié;
- | les champs d'entrée du Nom Utilisateur et du Mot de passe;
- | le bouton S'enregistrer, si vous avez sélectionné l'option Page d'inscription (voir ci-dessous).

-

Page d'inscription: permet d'accéder au plan du site pour indiquer la page à afficher quand l'utilisateur clique sur S'enregistrer pour demander le Nom Utilisateur et le Mot de passe nécessaires pour accéder aux Pages protégées.

Après avoir créé les utilisateurs avec les données d'accès relatives et les avoir organisés en groupes, vous pouvez revenir à l'Etape 2 - Création du plan pour définir les pages qui doivent être protégées et établir le droit d'accès des Groupes/Utilisateurs pour chaque Page protégée.

 Quand vous testez le fonctionnement du site créé sur la machine, une fenêtre d'avertissement vous informe que les pages protégées seront affichées sans la demande d'accès. Les pages protégées sont activées seulement après la publication du Site sur le serveur.

Pour que la zone réservée fonctionne correctement, il est nécessaire que le serveur accueillant le site supporte le langage de programmation PHP et les sessions. La section WebSite Test du Panneau de contrôle enligne donne des informations de diagnostic sur le serveur.

Sujets corrélés:
- | Paramètres avancés
- | Panneau de contrôle
- | Création du plan


Panier virtuel e-commerce

Cette fenêtre propose les outils et les options nécessaires pour créer et gérer un panier e-commerce permettant d'effectuer la vente enligne des produits offerts sur le site web.

Pratiquement

Pour créer un panier e-commerce, il faut tout d'abord définir le catalogue des produits disponibles en les organisant par catégories et sous-catégorie homogènes. Pour chaque produit il faut bien évidemment insérer une série d'informations indispensables comme le nom, la description et le prix mais vous pouvez aussi associer une ou plusieurs images et prévoir des variantes (de coupe, de couleur, de modèle , etc. ). Le catalogue étant créé, vous devez définir les méthodes d'expédition et de paiement à activer et définir le bon de commande en configurant aussi les emails qui seront envoyés par le panier aussi bien au gérant du site qu'à la personne qui passe la commande.

Dans le détail, les différentes options pour définir les éléments et le fonctionnement du panier e-commerce sont présentées dans les sections suivantes:
- | Section Produits
- | Section Paiement
- | Section Détails client
- | Section Options

Après avoir créé le panier e-commerce, il faut insérer dans le site les informations et les liens nécessaires afin que les utilisateurs puissent afficher les informations sur les produits et effectuer l'achat. Pour ce faire, vous pouvez procéder de différentes façons:
1. | Vous pouvez créer des pages spécifiques présentant les produits de la façon la plus appropriée (avec des images, des textes, des tableaux, etc.) et y insérer le bouton "Acheter". Dans ce cas, le bouton "Acheter" peut être créé à travers le lien Ajouter au panier (voir Style des liens).
2. | Vous pouvez créer des pages présentant les produits à travers des fiches où figurent le bouton "Acheter". Dans ce cas, il faut utiliser l'objet Liste des produits.

 Quand vous testez le fonctionnement du site créé sur la machine, un message vous avertit que la commande ne sera pas envoyée et le programme effectue un redirect automatique à la page de confirmation de la commande. Le panier e-commerce ne fonctionne entièrement qu'après la publication du site sur le serveur.

Pour que le panier e-commerce fonctionne correctement, le serveur sur lequel le site sera publié doit supporter le langage de programmation PHP et la commande MAIL doit être activée. La section WebSite Test du Panneau de contrôle enligne donne des informations de diagnostic sur le serveur.

Si des problèmes se vérifient durant l'envoi des emails, il se peut que le serveur utilisé ne soit pas configuré en mode standard. Dans ces cas, essayez de modifier les prédispositions relatives au script utilisé pour l'envoi de l'email à l'aide de l'option appropriée présente dans la fenêtre Préférences. Pour plus d'informations à ce sujet, veuillez contacter votre fournisseur d'accès au Web.

Sujets corrélés:
- | Paramètres avancés
- | Fenêtre lien
- | Objet Liste des produits


Panier virtuel e-commerce| Section Produits

Les options de la section Produits de la fenêtre Panier virtuel e-commerce permettent d'entrer des produits dans le panier, en les organisant par catégories.

Les produits déjà insérés sont affichés dans le tableau récapitulatif qui indique, pour toutes les catégories prévues, tous les produits insérés avec leur Description et leur Prix.

Le tableau récapitulatif présente une barre d'outils supérieure contenant les commandes suivantes:

 Couper [CTRL+X] - Copier [CTRL+C] - Coller [CTRL+V]
Elle permettent, respectivement, de couper, copier et coller les produits sélectionnés. Ces commandes sont aussi disponibles dans le menu Popup rappelé à l'aide d'un clic droit de la souris en pointant la liste des produits.

En plus de la barre d'outils, pour définir la liste des Produits à gérer à travers le panier enligne, vous disposez des commandes suivantes:
- | Nouvelle catégorie: permet d'entrer une nouvelle catégorie pour organiser les produits disponibles. Les catégories n'ont pas de paramétrages particuliers: ce sont de simples "récipients" qui sont insérés directement dans le tableau récapitulatif. Pour renommer une catégorie déjà insérée, double-cliquez sur son nom. Pour mieux organiser le catalogue des produits, vous pouvez aussi créer des sous-catégories: vous pouvez former autant de catégories et sous-catégories que vous le souhaitez.
- | Nouveau produit: permet de rappeler la fenêtre Paramètres de produit pour entrer un nouveau produit dans la catégorie sélectionnée.
- | Supprimer...: permet de supprimer la catégorie sélectionnée, avec tous les produits qu'elle contient, ou seulement les produits sélectionnés.
- | Modifier: permet de rappeler la fenêtre Paramètres de produit pour modifier les paramétrages du produit sélectionné.

 Pour déplacer un produit d'une catégorie à l'autre, vous pouvez agir directement sur la liste des produits: sélectionnez le produit , faites-le glisser et relâchez-le à l'endroit voulu (Drag&Drop). Vous pouvez sélectionner plusieurs produits à l'aide des touches CTRL et SHIFT.

La fenêtre Paramètres de produit rappelée à l'aide de la commande Ajouter ou Modifier permet de définir et d'entrer un nouveau produit, elle est organisée en trois sections:
- | Section Général
- | Section Image
- | Section Options

Après avoir inséré les catégories et les produits relatifs dans le panier virtuel e-commerce, vous pouvez utiliser l'objet Liste des produits pour créer un véritable catalogue enligne.

Sujets corrélés:
- | Panier virtuel e-commerce
- | Objet Liste des produits


Panier virtuel e-commerce| Section Produits

Panier virtuel e-commerce| Section Produits| Paramètres de produit| Général

Les options de la section Général de la fenêtre Paramètres de produit permettent d'insérer certaines informations de base sur un nouveau produit à proposer à travers le Panier e-commerce.

Les options disponibles pour définir le nouveau produit à ajouter à la liste sont:

-

Nom/Code: permet d'insérer ou d'afficher le nom ou le code d'identification du produit que vous voulez créer ou modifier.

-

Description: permet d'insérer ou d'afficher une description du produit que vous voulez créer ou modifier.

-

Page de produits liés: permet d'accéder au plan du site pour indiquer la page à relier au produit courant.

-

Prix: permet d'indiquer le prix du produit courant.

-

TVA (%): si elle est activée, elle permet d'indiquer la TVA à appliquer au produit courant. Cette option n'est disponible que si vous avez sélectionné l'option Définir la valeur de la TVA pour chaque produit de la section Options.

Selon la manière dont vous voulez définir le panier, vous pouvez entrer les prix des produits toute taxe comprise ou, pour les articles exigeant l'application d'une TVA différente, insérer les prix hors taxe et indiquer à part la taxe à appliquer cas par cas.

-

Poids: permet d'indiquer le poids du produit courant pour pouvoir calculer les frais d'expédition à appliquer (voir Section Paiement| Type de livraison).

Selon le type de produits traités dans le panier, vous pouvez utiliser l'option Poids pour indiquer un poids en kilogrammes ou en grammes, plutôt qu'un volume exprimé en litres ou en mètres cubes ou n'importe quelle autre unité de mesure utile. Pour que les coûts d'expédition soient calculés correctement, il est important de choisir une unité de mesure et de l'utiliser pour tous les produits du panier.

Sujets corrélés:

-

Panier virtuel e-commerce| Section Produits


Panier virtuel e-commerce| Section Produits| Paramètres de produit| Image

Les options de la section Image de la fenêtre Paramètres de produit permettent d'associer, au produit à proposer à travers le Panier e-commerce, une ou plusieurs images le présentant.

En important plusieurs images, vous pouvez créer un véritable diaporama: si vous cliquez sur une image, vous pouvez agrandir son affichage dans la fenêtre ShowBox.
Il faut préciser que seulement la première des images associées au produit sera affichée dans le panier. Toutes les autres images éventuellement insérées seront affichées dans les fiches composées si vous utilisez l'Objet Liste des produits.

Les options disponibles pour créer la liste d'images à associer au produit sont:
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter de nouvelles images ou de supprimer les images sélectionnées dans la liste de celles composant le diaporama. La fenêtre Sélection fichier permet de sélectionner plusieurs fichiers simultanément.
- | En haut / En bas: permettent, respectivement, de déplacer l'image sélectionnée avant ou après l'image précédente/suivante.
- | Modifier: permet de rappeler l'Editeur graphique pour modifier l'image sélectionnée.

Par ailleurs, dans le cadre Propriétés de la boîte d'affichage, les options suivantes sont disponibles:

-

Largeur maximum / Hauteur maximum: permettent de définir les valeurs maximum de la boîte d'affichage où apparaissent les images agrandies.

Pour plus d'informations sur comment personnaliser l'aspect de la boîte d'affichage, voir l'étape 4 - Paramètres avancés de la section Styles et modèles| Boîte d'affichage.

Sujets corrélés:

-

Panier virtuel e-commerce| Section Produits


Panier virtuel e-commerce| Section Produits| Paramètres de produit| Options

Les options de la section Options de la fenêtre Paramètres de produit permettent d'insérer certains paramètres supplémentaires pour gérer le nouveau produit à proposer à travers le Panier e-commerce.

Tout d'abord, il faut prévoir des Variantes pour le produit. Comme variantes de produit, vous pouvez introduire les tailles ou les couleurs disponibles d'un vêtement ou bien les différents modèles d'un article. Toutes les variantes introduites sont affichées dans la liste appropriée du panier ou de la section créée si vous utilisez l'Objet Liste des produits.
Les commandes disponibles pour créer cette liste de variantes sont:
- | Ajouter / Supprimer...: permettent, respectivement, d'ajouter de nouvelles variantes de produit ou de supprimer les variantes sélectionnées dans la liste.
- | Modifier: permet de modifier la variante de produit sélectionnée. Pour ce faire, vous pouvez aussi double-cliquer sur une variante.
- | En haut / En bas: permettent, respectivement, de déplacer la variante de produit sélectionnée avant ou après la variante précédente/suivante.

Par ailleurs, si vous cochez l'option Activer la remise quantité, vous pouvez créer une liste contenant les remises à appliquer en fonction de la quantité de produit commandée. Dans ce cas également, toutes les remises de quantité introduites sont affichées dans une liste appropriée et les commandes disponibles pour les créer sont:
- | Ajouter: permet de définir et d'ajouter, dans la fenêtre Remise quantité, une remise sur la quantité pour le produit courant. En pratique elle permet de définir la quantité de produit qu'il faut rejoindre ou dépasser dans la commande afin de pouvoir appliquer la Remise (%) prévue.
- | Supprimer...: permet de supprimer la remise sur la quantité sélectionnée dans la liste.
- | Modifier: permet de rappeler la fenêtre Remise quantité pour modifier la remise sur la quantité sélectionnée. Pour ce faire, vous pouvez aussi double-cliquer sur la remise.

Sujets corrélés:

-

Panier virtuel e-commerce| Section Produits


Panier virtuel e-commerce| Section Paiement

Les options de la section Paiement de la fenêtre Panier virtuel e-commerce permettent de définir les types d'expédition et de paiement disponibles pour le panier.

Le cadre Liste de types de livraison propose la liste de tous les types d'expédition disponibles, en indiquant pour chacun d'entre eux le nom, la description et le prix associés.

Voici les commandes disponibles pour créer la liste des types d'expédition activés pour le panier:
- | Ajouter: permet de rappeler la fenêtre Type de livraison pour définir un nouveau type d'expédition.
- | Dupliquer: permet de créer une copie du type d'expédition sélectionné pour définir plus rapidement un autre type à rendre disponible.
- | Supprimer...: permet de supprimer le type d'expédition sélectionné.
- | Modifier: permet de rappeler la fenêtre Type de livraison pour modifier le type d'expédition sélectionné. Pour ce faire, vous pouvez aussi double-cliquer sur le type.
- | En haut / En bas: permettent, respectivement, de déplacer le type d'expédition sélectionné avant ou après le type précédent/suivant.

De même, le cadre Liste de types de paiement montre tous les types de paiement disponibles sur le panier et indique pour chacun d'entre eux le nom, la description et le prix associés.

Les commandes disponibles pour créer la liste des types de paiement sont identiques à celles illustrées pour les types d'expédition mais les boutons Ajouter et Modifier rappellent la fenêtre Type de paiement.

Sujets corrélés:
- | Panier virtuel e-commerce
- | Fenêtre Type d'expédition
- | Fenêtre Type de paiement


Panier virtuel e-commerce| Section Paiement| Type de livraison

La fenêtre type d'expédition, rappelée à l'aide de la commande Ajouter ou Modifier présentes dans le cadre Liste de types de livraison de la section Paiement, permet de définir et d'insérer les méthodes d'expédition à activer sur le Panier e-commerce.

La fenêtre Type d'expédition est articulée en 3 sections:
- | Section Général
- | Section Coût
- | Section Message email

La section Général dispose des options suivantes:
- | Nombre: permet d'affecter un nom au type d'expédition pour l'identifier à travers une expression claire et synthétique.
- | Description: permet d'entrer une explication complète du type d'expédition.

La section Coût permet d'indiquer le montant des frais supplémentaires appliqués si le client choisi le type d'expédition courant. Ce montant peut être défini avec l'une des méthodes suivantes:

-

Coût fixe: permet d'indiquer un seul coût fixe pour le type d'expédition courant. Ce coût ne change pas quel que soit le paramètre relatif à la commande.

-

Coût relatif à la quantité de la commande: permet de créer une ou plusieurs gammes de coût pour la méthode d'expédition courante, en fonction du total de la commande atteint. Pratiquement, à travers les boutons Ajouter et Modifier, vous rappelez la fenêtre Coût de l'expédition permettant de définir le total de la commande qui doit être atteint ou dépassé pour pouvoir appliquer le coût d'expédition indiqué.

-

Coût associé au poids total: permet de créer une ou plusieurs gammes de coût pour la méthode d'expédition courante, en fonction du total du poids atteint par les produits insérés dans la commande. Dans ce cas également, à travers les boutons Ajouter et Modifier vous rappelez la fenêtre Coût de l'expédition permettant de définir le poids total qui doit être atteint ou dépassé pour pouvoir appliquer le coût d'expédition indiqué.

Pour que les coûts d'expédition soient calculés correctement, il est important d'indiquer le poids de chaque produit présent dans le panier à travers l'option appropriée présente dans la fenêtre Paramètres de produit.

Par ailleurs, vous disposez de l'option:

-

TVA (%): si elle est activée, elle permet d'indiquer la TVA à appliquer au coût associé au type d'expédition. Cette option n'est disponible que si vous avez sélectionné l'option Définir la valeur de la TVA pour chaque produit de la section Options.

Enfin, la section Message email présente un champ permettant d'insérer un texte qui décrit et explique le type d'expédition courant. Il convient de bien composer ce message car il sera utilisé dans l'email de confirmation de la commande qui sera envoyé au client.

Sujets corrélés:
- | Panier virtuel e-commerce| Section Paiement
- | Comment définir les contenus de l'email de confirmation de commande


Panier virtuel e-commerce| Section Paiement| Type de paiement

La fenêtre Type de paiement, rappelée à travers la commande Ajouter ou Modifier du cadre Liste de types de paiement de la section Paiement, permet de définir et d'insérer les méthodes de paiement à activer sur le Panier e-commerce.

La fenêtre Type de paiement est articulée en 3 sections:
- | Section Général
- | Section Type
- | Section Message email

La section Général dispose des options suivantes:
- | Nombre: permet d'affecter un nom à la méthode de paiement pour l'identifier à travers une expression claire et synthétique.
- | Description: permet d'entrer une explication complète de la méthode de paiement.

La section Type permet d'indiquer le type de paiement requis en choisissant entre:
- | Payer plus tard: dans ce cas, le client passe sa commande et effectue le paiement à un moment successif. Il est indiqué, par exemple, en cas de paiements par virement bancaire.
- | Payer maintenant: dans ce cas, le client passe sa commande et la solde immédiatement. Il est indiqué en cas de paiements par PayPal, ou d'autres circuits analogues, ou bien par carte de crédit.

Si vous sélectionnez l'option Payer maintenant, vous devez définir le type de paiement requis; selon le type choisi, vous devez définir certains paramètres:
PayPal/Carte de crédit:

-

Compte PayPal: permet d'entrer le compte obtenu comme un utilisateur PayPal enregistré.

-

Page de confirmation du paiement: permet d'afficher le plan du site et de sélectionner la page qui apparaît pour confirmer que le paiement a été effectué.

-

Page d'erreur du paiement: permet d'afficher le plan du site et de sélectionner la page qui apparaît en cas d'erreur pendant la procédure de paiement.
Code personnalisé:

-

Code HTML pour le bouton 'Payer maintenant': si vous décidez d'utiliser un système de paiement alternatif à PayPal, cette option permet de saisir le code HTML fourni, après l'inscription, par le gérant du service de transaction choisi.

Le code HTML fourni par votre Fournisseur de Service de Paiement est utilisé pour créer le bouton 'Pay Now' ou 'Payer Maintenant'. Ce code doit être complété par le numéro de commande et le montant total de la commande du client. Pour que le panier fonctionne, vous devez taper manuellement dans le code les tags suivants:
- | [ORDER_NO] - identifie le numéro de commande;
- | [PRICE] - identifie le montant total à payer.

Par ailleurs, vous disposez aussi des options:
- | Coût: permet d'indiquer le montant des frais supplémentaires appliqués si le client choisit la méthode de paiement courante.
- | TVA (%): si elle est activée, elle permet d'indiquer la TVA à appliquer au coût associé à la méthode de paiement. Cette option n'est disponible que si vous avez sélectionné l'option Impôt de la TVA pour chaque produit dans la section Options

La section Message email présente un champ permettant d'insérer un texte qui décrit et explique la méthode de paiement. Il convient de bien composer ce message car il sera utilisé dans l'email de confirmation de la commande qui sera envoyé au client.

Sujets corrélés:
- | Panier virtuel e-commerce| Section Paiement
- | Comment définir les contenus de l'email de confirmation de commande


Panier virtuel e-commerce| Section Détails client

Les options de la section Détails client de la fenêtre Panier virtuel e-commerce permettent de définir la composition du formulaire que l'utilisateur doit remplir pour effectuer la commande à travers le panier e-commerce.

Le cadre bon de commande offre une liste Champs que vous pouvez utiliser pour composer le bon de commande.
Pour insérer un champ dans le module, cochez la case correspondant à la colonne Visible. En revanche pour que le champ soit obligatoirement rempli lors de la commande, cochez la case de la colonne Obligatoire.

La liste proposée par défaut contient tous les champs généralement utilisés dans un formulaire d'inscription.

Le dernier champ proposé dans la liste est le champ email: vous ne pouvez pas rendre invisible ce champ ou non obligatoire car il est nécessaire de connaître l'e-mail de l'utilisateur qui envoie la commande.

En plus de la liste Champs, vous disposez des options suivantes:
- | Afficher les conditions contractuelles: si vous sélectionnez cette option, vous pourrez ajouter au bas du formulaire un champ contenant les conditions que l'utilisateur doit accepter avant d'envoyer la commande. Vous pouvez utiliser ce champ, par exemple, pour présenter les normes relatives à la confidentialité pour le traitement des données collectées.
- | Messages des conditions contractuelles: permet d'insérer le texte des conditions que l'utilisateur devra accepter afin d'effectuer la commande.

Le cadre Courriel de la liste des commande présente les options suivantes:
- | Adresse e-mail où recevoir les commandes: permet d'indiquer l'adresse e-mail à laquelle l'administrateur du site veut recevoir les commandes effectuées par les utilisateurs à travers le panier.
- | Joindre les données dans le format CSV: si vous sélectionnez cette option, vous pouvez faire en sorte que les données collectées soient aussi enregistrées dans un fichier au format .CSV, ajouté à l'e-mail. Dans un fichier .CSV, les données sont indiqués sous forme textuelle comme une longue liste de rubriques séparées d'un point-virgule: vous pouvez importer facilement ces fichiers dans les programmes de gestion des feuilles de calcul (par ex. Microsoft Excel).

Enfin, le cadre Courriel de confirmation de la commande utilisateur contient des champs permettant d'indiquer le texte d'en-tête et le texte de pied de page pour l'email de confirmation de la commande qui sera automatiquement envoyé à l'utilisateur. Cet email de confirmation de la commande propose, en plus du texte d'en-tête et du texte de pied de page, les descriptions relatives aux méthodes d'expédition et de paiement choisies.

Sujets corrélés:
- | Panier virtuel e-commerce
- | Comment définir les contenus de l'email de confirmation de commande


Panier virtuel e-commerce| Section Options

Les options de la section Options de la fenêtre Panier virtuel e-commerce permettent de définir certains paramètres graphiques, en plus de ceux relatifs à la devise et à la TVA, pour le panier e-commerce.

Le cadre Définition de la devise propose les options suivantes:
- | Devise: permet de définir la devise à utiliser dans le panier. Le menu Popup propose déjà certaines devises: pour modifier la composition de cette liste de divises, cliquez sur le bouton [image] qui rappelle la fenêtre Liste de devises.
- | Groupement des chiffres: permet de choisir comment écrire le prix des produits, en choisissant si les milliers doivent être séparées par un point et les décimaux par une virgule (1.000,00) ou inversement (1,000.00).
- | Afficher la devise à droite: si vous sélectionnez cette option, le symbole de la devise sera affiché à droite des prix.
- | Afficher deux chiffres après la virgule: si vous sélectionnez cette option, les prix seront affichés avec deux chiffres après la virgule.

Le cadre Paramètres TVA comprend les options suivantes:
- | Le prix des produits est TVA comprise: sélectionnée par défaut, elle définit le panier de sorte que les prix des produits comprennent la TVA.
- | Définir la valeur de la TVA pour chaque Produit: sélectionnez cette option pour afficher les prix des produits hors taxe et avoir la possibilité d'indiquer la valeur de la TVA cas par cas.
- | Valeur TVA par défaut (%): elle n'est disponible que si vous avez activé l'option Définir la valeur de la TVA pour chaque Produit., elle permet d'indiquer une valeur par défaut pour la TVA. Cette valeur est appliquée quand la TVA d'un produit n'est pas indiquée à travers l'option de la fenêtre Paramètres de produit| Général.

Le cadre Options présente les commandes suivantes:
- | Autorise les commandes uniquement pour des quantités minimales: fait en sorte que la commande ne soit acceptée que si elle atteint le montant minimum établi.
- | Montant total minimum: elle n'est disponible que si vous avez sélectionné l'option Autorise les commandes uniquement pour des quantités minimales, elle permet de définir la valeur du montant minimum qui doit être atteint par le total de la commande pour être accepté.

Le cadre Paramètres graphiques du tableau de produits présente les commandes nécessaires pour définir l'aspect des tableaux présentant les produits disponibles et/ou insérés dans le panier:
- | Arrière-plan de l'en-tête / Texte de l'en-tête / Arrière-plan des cellules / Texte des cellules / Bordure de tableau: permettent de définir, dans la fenêtre Couleur, la couleur des différents éléments du tableau Produits.
- | Image 'Ajouter au panier' / Image 'Enlever du panier': permettent d'indiquer les images à utiliser pour créer les boutons 'Ajouter au panier' et 'Enlever du panier'', à savoir les boutons que l'utilisateur peut utiliser pour insérer ou enlever du panier un produit déterminé.
- | Image 'Aperçu non disponible': permet d'indiquer l'image à utiliser quand l'image associée n'a pas été choisie pour un produit et que dans la page Liste des produits vous avez choisi la présentation "Image et texte" ou "texte et Image" pour les fiches.

Sujets corrélés:

-

Panier virtuel e-commerce


Exporter

Au terme d'une session de travail ou de la création du site entier, l'étape 5 WebSite X5 permet de choisir le mode d'exportation pour le projet courant. Tout d'abord, grâce au moteur FTP prévu, vous pouvez publier directement les fichiers sur le serveur: le système gère aussi la connexion sûre et vous pouvez économiser du temps en travaillant en multi-connexion et en publiant, en cas de mises à jour, seulement les fichiers modifiés. Vous pouvez également exporter le site sur un disque de votre ordinateur pour disposer sur place des fichiers qui seront publiés sur le serveur. Enfin, tous les fichiers du projet peuvent être regroupés dans un seul dossier pour être facilement transférés vers un autre ordinateur et continuer à travailler.

Voici dans le détail les options d'exportation disponibles:

 Exporter le site sur Internet

Exporter le site sur un disque

Exporter le projet


Exportation du site sur Internet

Cette fenêtre permet de publier le site créé sur Internet.

WebSite X5 met à votre disposition un moteur FTP interne pour exécuter directement la publication enligne des sites réalisés. En effet, tous les fichiers permettant d'afficher correctement un Site sur Internet sont enregistrés sur l'ordinateur où vous avez travaillé. Pour que les utilisateurs qui se connectent à Internet puissent voir vos pages, vous devez copier ces fichier sur un serveur, à savoir un ordinateur continuellement relié au réseau.

Pour exporter tous les fichiers relatifs au site, vous devez tout d'abord indiquer les Paramètres de connexion suivants (communiqués par le fournisseur de votre espace Web):

-

Type de serveur: il permet d'indiquer le type de connexion à utiliser pour publier le fichier du site sur le serveur. Selon les caractéristiques supporté par votre serveur, vous pouvez choisir parmi:
- | FTP - File Transfer Protocol: prévu par défaut, c'est l'un des premiers protocoles de transmission des données qui a été introduit et largement répandu. La spécification d'origine de FTP ne prévoit aucun chiffrage pour les données échangées entre le Client et le Serveur.
- | SFTP - SSH File Transfer Protocol: c'est un protocole de réseau qui prévoit le transfert sûr des données, grâce à l'établissement de sessions distantes chiffrées, ainsi que la fonction de manipulation sur les fichiers distants.
- | FTPS - FTP over explicit TLS/SSL: pour résoudre les problèmes de sécurité, il ajoute au protocole FTP original un chiffrage SSL/TLS ainsi qu'une série de commandes et de codes de réponse.

-

Adresse FTP: saisissez votre adresse FTP. Voici un exemple d'adresse FTP: "ftp.websitex5.com", où "websitex5.com" est le nom du domaine.

-

Nom Utilisateur / Mot de passe: saisissez votre Nom Utilisateur et votre Mot de passe.

-

Enregistrer le mot de passe: si vous sélectionnez cette option, le mot de passe indiqué sera enregistré et vous ne devrez plus le saisir à l'avenir.

Par ailleurs, vous pouvez indiquer certaines Options, non indispensables pour établir la connexion au serveur, comme:

-

Dossier de destination: dans ce champ, vous pouvez indiquer le dossier de destination attribué par le fournisseur d'accès Web. Si vous ne tapez aucun chemin, vous pourrez le choisir dans la page-écran suivante de WebSite X5.

-

Port: permet d'indiquer le port du serveur sur lequel est établie la connexion (communiqué par le fournisseur de l'espace Web). Dans la plupart des cas, il n'est pas nécessaire de modifier la valeur définie par défaut.

-

Transferts simultanés: permet d'indiquer le nombre de connexions au serveur que le Moteur FTP du programme doit ouvrir simultanément pour publier le fichier du site. Le nombre de connexions équivaut au nombre maximum de fichiers pouvant être exportés simultanément.

La connexion simultanée est une fonction qui doit être supportée par le serveur utilisé. Si tel est le cas, si vous augmentez le nombre de connexions simultanées, au-delà d'une certaine limite, vous n'obtiendrez pas un avantage réel en termes de temps. Il est conseillé de commencer par 3 puis d'essayer de modifier ce paramètre, en l'augmentant progressivement, pour identifier le meilleur nombre de connexions en fonction de la taille de la bande gérée par le serveur utilisé. Indicativement, il est déconseillé de ne pas dépasser les 10 connexions simultanées.

-

Utiliser FTP passif: activée par défaut, elle prévoit l'utilisation du FTP passif comme mode de publication. Ce mode est conseillé car il assure une plus grande compatibilité de connexion avec le serveur.

-

Activer la compression gzip: activée par défaut, elle prévoit que les fichier relatifs au site soient comprimés pendant l'exportation, pour terminer la publication le plus rapidement possible.

Les serveurs ne supportent pas tous la compression en gzip: si l'option est activée et le serveur utilisé ne la supporte pas, les fichiers non seront pas comprimés et la publication sera tout de même exécutée. La compression gzip fonctionne très bien avec les fichier de grosse taille (contenant par exemple beaucoup d'images ou de vidéos) mais elle est déconseillée avec les fichiers de petite taille.

Après avoir défini les paramètres nécessaires pour effectuer la connexion au serveur, vous pouvez indiquer le type de chargement, à savoir ce que vous voulez effectivement publier:

-

Exporter tous les fichiers du site Internet: dans ce cas, tout le site sera publié. Ce mode est indiqué lors de la première publication d'un projet ou après avoir effectué de nombreuses et grosses modifications au site.

-

Exporter uniquement les fichiers modifié depuis l'exportation du...: dans ce cas, vous publiez seulement les fichiers qui ont été modifiés après l'exportation effectuée à la date indiquée. Ce mode est approprié pour les sites qui sont constamment mis à jour et requiert un temps inférieur par rapport à la publication complète du site.

La date de publication est enregistrée dans le projet: pour cette raison, après avoir publié les fichiers, il est important d'enregistrer toujours les modifications.
Même si vous demandez seulement l'exportation des fichiers modifiés, les pages HTML et les fichiers de ressources (figurant dans le sous-dossier Res) seront republiés: il est en effet très probable qu'elles aient été mises à jour.

-

Exporter seulement le Blog et les Flux RSS: dans ce cas, vous publiez seulement les fichiers .PHP et .XML du Blog et les fichiers .XML du Flux RSS gérés à travers les sections appropriées de l'étape 4 - Paramètres avancés. Ce mode, qui est activé seulement si le Blog et/ou le Flux RSS a été déjà publié, est indiqué si vous avez ajouté seulement de nouveaux posts dans le Blog ou des nouvelles dans le Flux RSS mais vous n'avez effectué aucune mise à jour du Site.

Pratiquement

Après avoir défini les paramètres requis, il suffit de cliquer sur le bouton Suivant pour effectuer la connexion au serveur. La connexion au serveur étant établie, les dossiers présents s'affichent dans une fenêtre appropriée. À ce stade, à l'aide des commandes disponibles, positionnez-vous sur le dossier où vous voulez publier les fichiers relatifs au site.

 Le dossier où vous voulez publier le site devrait contenir un fichier index.html. Si vous n'êtes pas sûr du dossier à sélectionner, contactez votre Fournisseur d'accès: tous les dossiers présents sur le Serveur ne sont pas faits pour la publication.

Voici les commandes disponibles pour agir sur les dossiers et les fichiers présents sur le serveur:

 Dossier supérieur
Permet d'accéder au dossier supérieur.

Actualiser
Permet de recharger le contenu du dossier courant.

Nouveau dossier
Permet de créer un nouveau dossier.

Supprimer
permet d'éliminer le fichier ou le dossier sélectionné.

Renommer
permet de modifier le nom du fichier ou du dossier sélectionné.

Télécharger un fichier sur le serveur / Télécharger un fichier à partir du serveur
permettent, respectivement, de publier sur le serveur un ou plusieurs fichiers qui ne font pas partie du projet et de télécharger sur l'ordinateur local des fichiers déjà publiés sur le serveur.

Afficher la liste / Afficher les détails
Elles permettent de définir comment doit être affichée la liste des fichiers.

Enfin, vous disposez d'une section permettant de choisir si afficher:
- | Journal: elle affiche tous les messages (à savoir les logs) et les éventuelles erreurs engendrées pendant la communication avec le serveur.
- | Fichiers partitionnés: elle affiche les fichiers (le nombre maximum de ces fichiers dépend des connexions simultanées définies) devant être publiés. Pour chaque fichier, une barre de progression affiche l'état d'avancement de la publication. Au terme de la publication, le fichier est supprimé de la queue de transfert.

 Pendant l'exportation, WebSite X5 copie sur le serveur tous les fichiers contenus dans le dossier d'enregistrement. Si ce dossier contient des fichiers portant le même nom que les fichiers publiés, ils seront écrasés.

Sujets corrélés:

-

Exporter


Exportation terminée

Après avoir mené à bien la publication enligne (voir Exportation du site sur Internet), cette fenêtre permet d'exécuter certaines actions à exécuter pour publiciser le site réalisé à travers des canaux comme la Gallery de WebSite X5, Google, Facebook et Twitter.

Dans le détail, les options disponibles sont:

 Le site Web est en ligne !
Permet de lancer le navigateur Internet prédéfini pour naviguer immédiatement sur le site enligne et contrôler que tout fonctionne correctement.

WebSite X5 Gallery
Permet de se connecter à la section consacrée à la Galerie de My.WebSiteX5.com pour signaler le site que vous venez de publier. Nous vous rappelons que la Galerie est une collecte de sites réalisés avec WebSite X5 et signalés directement par leurs auteurs.

Mettre à jour le plan du site sur Google.
Permet d'envoyer à Google la signalisation du Plan du site publié pour demander son indexation de la part du spider du moteur.

Diffuser la publication sur Facebook
Permet d'afficher une page de Facebook où, après la connexion, vous pouvez écrire un commentaire pour signaler à tous vos contacts que vous avez publié le site. Le commentaire sera affiché sur le tableau de votre profil.

Diffuser la publication sur Twitter
Permet d'afficher une page de Twitter où, après la connexion, vous pouvez écrire un tweet pour signaler à tous vos contacts que vous avez publié le site. Le tweet sera affiché sur le timeline de vote profil.

Sujets corrélés:

-

Exporter


Exportation sur disque

Cette fenêtre permet de publier le site créé sur un autre disque de l'ordinateur.

L'exportation sur disque permet d'avoir une copie sur l'ordinateur des fichiers qui seront publiés sur le Serveur, pour pouvoir la mettre sur CD/DVD/USB ou modifier les pages HTML créées avant la publication.

Pour exporter tous les fichiers du projet, il suffit de spécifier:

-

Dossier de destination: permet d'indiquer le dossier où vous voulez exporter le site créé. Si le dossier spécifié n'existe pas, il sera automatiquement créé.

Pour créer une copie de sauvegarde du projet, utilisez la fonction Exporter le projet: vous disposez ainsi d'une copie des fichiers originaux du projet et non pas des fichiers créés par le programme pour la publication.

Sujets corrélés:

-

Exporter


Exportation du projet

Cette fenêtre permet d'exporter dans un seul fichier comprimé tous les fichiers associés au projet pour les transférer sur un autre ordinateur ou créer une copie de sauvegarde.

Pour exporter les fichiers de projet, il suffit d'indiquer:

-

Dossier de destination dans ce champ, tapez le dossier où le fichier de projet doit être exporté. Si le dossier indiqué n'existe pas, il est automatiquement créé.

Après l'exportation, le programme crée dans le dossier de destination indiqué un seul fichier comprimé portant le nom du projet, suivi de l'extension .IWZIP: ainsi, pour le projet "MonProjet" le programme créera le fichier MonProjet.iwzip. Dans ce fichier comprimé, le programme enregistre le fichier de projet (fichier .IWP) et tous les fichiers qui y sont reliés (par exemple, relatifs aux images, vidéos ou animations importées).

Le fichier comprimé .IWZIP pourra être transféré sur un ordinateur différent de celui sur lequel il a été créé et ouvert dans le programme à travers la fonction Importer, disponible dans la fenêtre Choix du projet.

Sujets corrélés:
- | Exporter
- | Choix du projet| Importer projet


Navigateur

Compatibilité du crossbrowser

Un navigateur est une application logicielle permettant à l'utilisateur d'afficher et d'interagir avec les informations (textes, images, etc.) présentes dans une page Web. On dispose actuellement de nombreux navigateurs dont les plus connus sont Microsoft Explorer, Firefox, Safari et Google Chrome.

Pour afficher les contenus Web, les navigateurs exploitent un moteur de rendering, à savoir un logiciel qui, après avoir téléchargé les contenus (par exemple une page HTML) formate les informations relatives (par exemple, les CSS reliés) et les affiche sur l'écran. Des navigateurs différents exploitent des moteurs de rendering différents qui se différencient pour leur qualité de rendering par rapport au standard et leur vitesse. Il en dérive qu'une Page Web peut apparaître d'une manière très différente selon le navigateur utilisé. En tout cas, comme la page Web n'est pas une page imprimée, une certaine marge de variations est acceptable à condition que l'expérience d'emploi de la part de l'utilisateur ne soit pas entravée.

La meilleure façon d'obtenir des pages Web compatibles avec les principaux navigateurs, dans leurs versions différentes, est de créer un code autant que possible propre et conforme au standard.

WebSite X5, en créant automatiquement un code HTML5 avec CSS 2.1 ou 3 reliés, est en mesure de garantir la pleine compatibilité avec tous les principaux navigateurs mais aussi avec les dispositifs mobiles comme les portables, les ordinateurs de poche et les smartphones.

Navigateur interne

Lors du développement d'un projet, il faut pouvoir vérifier quel sera le résultat final et comment sera affiché le site enligne. Pour cela, WebSite X5 permet de rappeler, à l'aide du bouton Tester toujours disponible (voir Environnement de Travail), un Aperçu du site continuellement à jour (voir Enregistrer à chaque Aperçu dans la fenêtre Préférences).

Pour afficher l'aperçu, WebSite X5 utilise son navigateur interne qui exploite le moteur de Microsoft Internet Explorer. Ce navigateur interne présente les commandes suivantes:

 Précédent
Permet de revenir à la page précédente.

Suivant
Permet de passer à la page suivante et d'ouvrir de nouveau une page déjà visitée.

Page initiale
Permet de revenir à la page d'accueil du site.

Barre d'adresses
Indique le chemin de la page affichée et/ou permet d'indiquer le chemin de la page à afficher.

Aller
Permet de lancer le téléchargement de la page en suivant le chemin saisi dans la barre d'adresses. Vous pouvez également confirmer l'adresse saisie en enfonçant la touche ENTRÉE.

Modifier cette page
Permet de revenir au programme, en ouvrant la page courante à l'étape 3 - Création de la page pour la modifier. Si les pages appartiennent au Blog, à la Zone réservée ou au Panier e-commerce, ce bouton permet de revenir à la section relative de l'étape 4 - Paramètres avancés.

Il faut signaler que la fenêtre du navigateur étant ouverte, pour obtenir l'aperçu du Projet sur lequel vous êtes en train de travailler, la page affichée change automatiquement en fonction de la page courante. Cela signifie que si vous passez à une page différente pour y travailler, celle-ci sera ouverte dans l'aperçu du navigateur.

L'utilisation d'un navigateur interne pour afficher l'aperçu du site en cours de construction permet d'obtenir les avantages suivants:
- | l'aperçu ne remplace pas le site affiché dans la fenêtre du navigateur prédéfini éventuellement ouvert;
- | l'aperçu du site en construction est mis à jour dans la fenêtre du navigateur interne et n'entraîne pas l'ouverture de fenêtres ou fiches différentes du navigateur prédéfini.


Comme gérer les langues pour les textes insérés automatiquement

Certains textes présents dans les pages créées avec WebSite X5 sont automatiquement insérés par le programme; il s'agit, par exemple, de liens internes, de boutons de l'Objet de la galerie, d'étiquettes de l'Objet Formulaire d'envoi d'email, d'étiquettes et de textes du Panier e-commerce, de textes du Plan du site.

Pour que ces textes insérés automatiquement apparaissent dans la bonne langue, il faut indiquer la langue principale du site à travers l'option Langue du contenu disponible dans la fenêtre Paramètres généraux. Par défaut, WebSite X5 permet de choisir parmi un certain nombre de langues (italien, anglais et allemand) dont il dispose de toutes les traductions nécessaires. En tout cas, les traductions prédéfinies peuvent être modifiées, vous pouvez aussi ajouter ou importer de nouvelles langues ou bien supprimer les langues qui ne servent pas. Pour ce faire, il faut accéder à la fenêtre Gestion du contenu linguistique en cliquant sur le bouton [image] Choisir... en regard de l'option Langue du contenu.

La fenêtre Gestion du contenu linguistique propose, à gauche, la liste des langues disponibles et, à droite, un tableau contenant les traductions en différentes langues. La première colonne du tableau montre une description utile pour identifier où sont utilisées les différentes rubriques; il y a ensuite une colonne pour chaque langue active. L'expression langue active correspond à une langue cochée parmi celles présentes dans la liste des langues disponibles. Vous pouvez donc travailler directement sur ce tableau pour modifier ou ajouter des rubriques.

La fenêtre Gestion du contenu linguistique présente, enfin, les boutons suivants:

 Ajouter une nouvelle langue: permet d'insérer, dans la boîte de dialogue qui apparaît, le nom d'une nouvelle langue à créer. Le nom de la langue doit être inséré en respectant le format suivant: "ID - NomLangue", par exemple "EN - English".

Supprimer... Langue: permet de supprimer la langue sélectionnée dans la liste.

Pratiquement - Modifier une rubrique déjà introduite

Un exemple de texte inséré automatiquement par le programme sont les étiquettes des boutons "Envoyer" et "Réinitialiser" prévus au terme du formulaire de contact.
Supposons de remplacer l'étiquette "Remise à zéro" par "Annuler", après avoir défini "français" comme Langue du contenu, procédez comme suit:
- | Dans la fenêtre Gestion du contenu linguistique, si elle n'est pas encore activée, cliquez sur la langue français pour voir la colonne relative dans le tableau des contenus.
- | Dans la première colonne du tableau des contenus, identifiez la rubrique "label_form" qui est celle relative à l'étiquette à modifier: déplacez-vous sur la ligne pour arriver à la cellule correspondant dans la colonne de la langue français. Double-cliquez dans la cellule pour faire apparaître le curseur: supprimez le texte "Réinitialiser" et tapez "Annuler".
- | Confirmez et enregistrer.

Pratiquement - Ajouter une nouvelle Langue

Pour créer un site dans une langue non encore prévue (par exemple, en portugais) et éviter que les textes gérés automatiquement soient insérés dans la version anglaise (qui est utilisée par défaut), vous devez prédisposer une nouvelle langue et entrer les traductions requises. Si vous avez les compétences linguistiques nécessaires, cette opération est très simple:
- | Dans la fenêtre Gestion du contenu linguistique, cliquez sur le bouton Ajouter Langue et, dans la boîte de dialogue qui apparaît, tapez l'inscription "PT - Português": ainsi la nouvelle rubrique apparaît au bas de la liste des langues disponibles.
- | Cliquez sur la rubrique "PT - Português" pour afficher la colonne relative à cette langue dans le tableau des traductions.
- | Cliquez dans les différentes cellules de la colonne "PT - Português" pour entrer les traductions nécessaires.
- | Les traductions étant saisies, confirmez et enregistrez.

Sujets corrélés:
- | Paramètres généraux| Section Générales
- | Paramètres avancés| Page d'accueil


Comment fonctionne le moteur de recherche interne de WebSite X5

WebSite X5 permet d'insérer dans les sites créés un champ pour y rechercher des titres et des contenus de pages. Les résultats de la recherche, rangés en fonction de leur pertinence, apparaissent dans des pages créées automatiquement par le programme.

Pour exploiter au mieux le moteur de recherche interne de WebSite X5, sachez que:
- | Pages Les éléments de la page pris en considération par le moteur sont: Titre, Description et Mot clé (voir la fenêtre Propriétés de page| Général) mais aussi les contenus textuels. Comme les occurrences identifiées dans les titres des pages ont une grande importance , elles sont automatiquement multipliées pour un facteur de correction avant d'être associées aux autres occurrences. En fonction du nombre d'occurrences ainsi calculé, le programme définit l'importance, et donc la position, de chaque résultat présenté dans la page d'affichage des résultats de la recherche.
- | Zone réservée Les pages protégées par un nom utilisateur et un mot de passe (dans une Zone réservée) ne sont pas prises en considération par le moteur de recherche interne si l'utilisateur n'a pas préalablement effectué la connexion.
- | Pages non visibles Les pages définies comme Non visibles sur le Menu de navigation font normalement partie de celles considérées par le moteur de recherche interne.
- | Pour exclure une page de la recherche Pour faire en sorte qu'une page ne soit pas prise en considération par le moteur de recherche interne, sélectionnez-la dans le Plan, rappelez la fenêtre Propriétés de page et dans la section Avancée décochez l'option Ajouter cette page au plan du site.
- | Majuscules/Minuscules Le moteur de recherche n'est pas case sensitive: c'est-à-dire qu'il ne fait pas la différence entre les lettres majuscules et minuscules.
- | Pages d'affichage des résultats de la recherche Les pages affichant les résultats de la recherche sont automatiquement créées par le programme: l'aspect graphique de ces pages est établi par les prédispositions définies dans l'étape 4 - Paramètres avancés, de la section Styles et modèles.

Sujets corrélés:
- | Modifier le modèle| Cadre Champ de recherche
- | Paramètres avancés: Styles et modèles


Le Box Model dans WebSite X5

Dans WebSite X5, les pages sont créées à l'aide d'une Grille et la mise en page peut être perfectionnée en agissant sur les marges dans la fenêtre Marge de cellule rappelée à l'aide du bouton [image] disponible à l'étape 3 - Création de la page.

Pour mieux comprendre ce que signifie Marge et réussir à agir avec précision sur la mise en page des contenus, il faut comprendre le terme Box Model.

Quand vous écrivez le code d'une page Web, tous les éléments HTML sont considérés comme des blocs (ou box) et l'ensemble des règles qui gère l'aspect visuel des éléments du bloc se nomme Box Model. Chaque box comprend un certain nombre de composants de base, chacun modifiable avec les propriétés des CSS: marges, bordures, paddings et contenu.

L'image suivante illustre les parties du Box Model:

Dans WebSite X5, la grille de mise en page proposée identifie une série de cellules où vous pouvez insérer différents contenus: pour chaque cellule, on applique le Box Model illustré.

[ IMG ]

Par conséquent, les éléments sont:
- | Contenu (zone verte): c'est le contenu inséré en faisant glisser l'un des objets.
- | Marge intérieure (zone rose): c'est l'espace entre le contenu actuel et la bordure.
- | Bordure: c'est la bordure dessinée autour du contenu; l'aspect de cette bordure peut être défini à l'aide des options de la fenêtre Style de cellule.
- | Marge extérieure (zone jaune): c'est l'espace entre la bordure et les lignes qui définissent la Grille de mise en page.
Étant données ces définitions, l'espace entre deux objets côte à côte (horizontalement ou verticalement) est égal à la somme des marges extérieures définies pour les cellules contenant ces objets:

[ IMG ]

R

Sujets corrélés:
- | Grille de mise en page
- | Style de cellule


Comment créer une image d'arrière-plan qui s'adapte aux dimensions de la cellule

Dans la fenêtre Style de cellule| Section Style, vous pouvez définir l'aspect graphique de la cellule courante de la Grille de mise en page.

Vous pouvez, par exemple, importer une image (fichier au format .JPG, .GIF, .PNG) et l'utiliser comme arrière-plan de cette cellule. Selon le type d'image importée, vous devez choisir l'option Arrière-plan image puis définir des paramètres différents pour les options Disposition et Alignement, ou bien utiliser l'option Ajuster à la cellule pour obtenir le meilleur résultat.

Exemple 1
L'image importée a la même taille que la cellule.
Arrière-plan: Arrière-plan image
Disposition Ne pas répéter
Alignement Haut-Gauche

[ IMG ]

Exemple 2
L'image importée est une pattern, c'est-à-dire une image créée de sorte que si l'on unit deux ou plusieurs images identiques, aussi bien horizontalement que verticalement, on ne voit pas le point de conjonction.
Arrière-plan: Arrière-plan image
Disposition Répéter dans les deux sens
Alignement Haut-Gauche

[ IMG ]

Exemple 3
L'image importée est celle d'un cadre qu'il faut adapter à des cellules de taille différente.
Arrière-plan: Ajuster à la cellule
Largeur bloc / Hauteur bloc: définir les dimensions des bloc les plus appropriées.

Pour mieux comprendre comment fonctionne l'option Ajuster à la cellule, que sont les blocs et comment définir correctement leurs dimensions, regardez les images ci-dessous:

Image 1 | Image 2 | Image 3

L'image originale (image 1) montre un cadre très élaboré mais qui peut être facilement coupé en blocs et adapter à n'importe quelle taille de la cellule: les éléments ornementaux ajoutés dans les coins occupent en effet une zone bien définie et facilement délimitable et tous les dégradés peuvent être répétés comme une pattern sans obtenir de brusques changements de tonalité.

L'image 2 montre les blocs dont il faut définir les dimensions (options Largeur bloc et Hauteur bloc). Les valeurs relatives à la largeur et la hauteur des blocs (tous identiques) sont définies en pourcentage par rapport à la largeur et à la hauteur de l'image originale, elles peuvent varier entre 5% et 45 %. Dans ce cas, il faut définir la dimension de la coupe à 35% pour les deux côtés des blocs afin qu'ils comprennent entièrement l'image positionnée dans les coins.

L'image 3 identifie les blocs A, B, C, D et 5 sections, a, b, c, d, e: ce sont les coupes effectuées par le programme pour tirer de l'image originale toutes les images nécessaires pour composer l'arrière-plan de la cellule. Par conséquent, alors que les images correspondant aux blocs A, B, C, D restent intactes et sont simplement positionnées dans les coins, les images correspondant aux section a, b, c, d, e sont répétées pour remplir l'espace nécessaire.
Il est donc évident que cette procédure permet une flexibilité considérable: en partant d'une seule image réalisée comme il se doit, on s'occupe de l'aspect de cellules ayant des dimensions très différentes.

Sujets corrélés:
- | Grille de mise en page
- | Format de la cellule


Comment définir les contenus de l'email de confirmation de commande

Au terme d'une commande, il est important que l'utilisateur reçoive un email de confirmation lui assurant que l'opération a été menée à bien et lui indiquant comment effectuer le paiement.

WebSite X5 crée automatiquement l'email de confirmation de la commande, en reprenant seulement les informations utiles, en fonction des choix effectués par l'utilisateur pendant la saisie de la commande.

Dans le détail, l'email de confirmation de la commande est composé comme suit:

 | Description | Exemple: | Section à rappeler:
Texte d'en-tête | C'est le texte initial: il devrait exprimer un remerciement pour l'achat effectué et présenter les contenus qui suivront. | Cher/chère client(e), Nous vous remercions de votre achat. Nous vous transmettons un récapitulatif de votre commande Vous trouverez ci-dessous la liste des produits commandés, les informations de facturation et les instructions concernant la livraison et le paiement choisi. | Dans la section Détails client à travers l'option Texte d'en-tête.
Données de l'utilisateur | C'est la partie contenant les données de facturation et d'envoi saisies par l'utilisateur dans le bon de commande. |  | Le bon de commande peut être créé dans la Section Détails client; pour indiquer des données d'envoi différentes de celles de la facturation, sélectionnez l'option Afficher le formulaire des données d'expédition.
Récapitulatif de la commande | C'est un tableau résumant tous les produits commandés: il indique la quantité et le total partiel par produit ainsi que le total complet de la commande. |  | Vous ne devez rien définir de particulier: le tableau du récapitulatif est créé automatiquement en fonction de la commande.
Type de paiement | Il doit fournir, selon la méthode choisie par l'utilisateur, les instructions et les informations utiles lui permettant d'exécuter le paiement. | Pour la méthode de paiement "Virement bancaire": Les données requises pour le paiement par virement bancaire sont les suivantes: XXX YYY ZZZ Remarque: au terme du paiement, il est nécessaire d'envoyer une copie du reçu avec le Numéro de la commande. | Dans la section Message e-mail de la fenêtre Type de paiement.
Type de livraison | Il doit rappeler à l'utilisateur la méthode d'envoi qu'il a choisi en lui fournissant, si possible, des informations sur les temps et le modalités de la livraison, ainsi que toute information utile. | Pour le type d'expédition "Livraison par exprès": Expédition à travers Livraison par exprès. Les produits seront livrés dans 1-2 jours ouvrables. | Dans la section Message e-mail de la fenêtre Type de livraison.
Texte de pied de page | C'est la formule finale exprimant la disponibilité et les salutations, suivies de la signature. | Veuillez nous contacter pour obtenir de plus amples informations. Nos meilleures salutations, Service commercial. | Dans la section Détails client à travers l'option Texte de pied de page.

Comme pour tous les email composés et envoyés automatiquement, le programme applique à l'email de confirmation de la commande le style graphique défini dans Styles et modèles| Section E-mail.

L'email de confirmation de la commande est aussi envoyé en format texte.

Sujets corrélés:
- | Panier virtuel e-commerce| Section Détails client
- | Fenêtre Type d'expédition
- | Fenêtre Type de paiement
- | Styles et modèles| Section E-mail


Que faire pour pouvoir utiliser Google Webmaster Central

Google Webmaster Central c'est un ensemble d'outils mis gratuitement à disposition par Google pour permettre au Webmaster de rendre les sites conformes à ses indications. Ces outils expliquent comment Google voit un site et vous aident à diagnostiquer les éventuels problèmes: si vous les utilisez correctement, ils vous aideront à améliorer la visibilité de votre site sur le Moteur.

Pour utiliser Google WebMaster Central, vous devez disposer d'un compte Google puis démontrer que vous êtes le véritable propriétaire du site à analyser. Une des méthodes pour démontrer cela est de copier un Méta Tag fourni par Google et de le coller sur la page d'accueil du site dans la première section <head> de la page, avant la section <body>.

Résumons les étapes à suivre:

-

Vous devez disposer d'un compte sur Google.

-

Accédez à la page de présentation de Google Webmaster Central et connectez-vous.

-

Dans la Page d'accueil, cliquez sur le bouton Ajouter un site, , tapez l'URL du site que vous voulez contrôler et validez en cliquant sur Continuer.

-

Dans la page Vérifier Propriétés qui apparaît , choisissez comme méthode de vérification Ajouter un Méta tag à la page d'accueil de votre site.

-

Copiez le Méta tag fourni par Google et collez-le dans le champ Méta tag de vérification pour Google Webmaster Centralde la fenêtre Paramètres généraux| Section Avancées de WebSite X5: le programme veillera à insérer le Méta tag dans la bonne position à l'intérieur du code HTML de la Page d'accueil.

Le Méta tag de contrôle fourni par Google se présente comme suit:
<meta name="verify-v1" content="VOPYsjbR4uw/YqV + MWLB0lVmJt0niwdkv9PQTsTREHQ="/>

-

Après avoir publié le site enligne, revenez sur cette page de Google Webmaster Central et terminez la procédure en cliquant sur Vérifier.

Sujets corrélés:

-

Paramètres généraux| Section Avancées


Comment activer un service de statistiques comme, par exemple, Google Analytics

Le réseau offre de nombreux services de statistiques dont le plus connu est celui fourni par Google: Google Analytics. Cet outil, complètement gratuit, permet de prédisposer de nombreux rapports pour contrôler et analyser, même d'une manière approfondie, les accès au site. Google Analytics peut être utilisé à différents niveaux: vous pouvez demander simplement le nombre de visites effectuées ou contrôler la progression des campagnes publicitaires répandues par le programme Google Adsense.

Pour pouvoir exploiter Google Analytics, il faut indiquer au moteur le site à analyser et notamment les pages à contrôler régulièrement: pour ce faire, il faut insérer un code de contrôle dans le code des pages du site.

Résumons les étapes à suivre:

-

Vous devez disposer d'un compte sur Google.

-

Accédez à la page de présentation de Google Analytics et connectez-vous.

-

Dans la page Paramètres Analytics, tapez le site à analyser à l'aide de la commande Ajouter nouveau profil.

-

Le profil étant créé, dans la page Vue d'ensemble cliquez sur le bouton Modifier dans la colonne Actions pour le site web voulu.

-

Dans la page Paramètres profil qui apparaît, vous verrez l'inscription "contrôle inconnu": cliquez sur vérifier l'état pour afficher le code à utiliser pour contrôler les pages.

-

Copiez le code pour le contrôle fourni par Google et collez-le dans le champ Code d'activation des statistiques de la fenêtre Paramètres généraux| Section Avancé de WebSite X5: le programme veillera à insérer le Méta tag dans la bonne position à l'intérieur du code HTML des pages du site.

Le code du contrôle fourni par Google se présente comme suit:
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol)? "https://ssl.": "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-110367-1");
pageTracker._trackPageview();
} catch(err) {}</script>

Sujets corrélés:

-

Paramètres généraux| Section Avancé


Comment créer et connecter le Plan du site

WebSite X5 est en mesure de créer le Plan du site XML et de l'associer au code HTML des pages à travers le Méta tag <sitemap>.

Un plan du site est un fichier XML contenant la liste des pages d'un site: il a été introduit par Google (et il est à présent utilisé par Yahoo! et MSN) pour améliorer et rendre plus rapide le balayage des sites Web. En d'autres mots, en créant et en envoyant le Plan du site, les Webmasters peuvent s'assurer qu'un moteur de recherche, dans ce cas Google, connaisse toutes les pages présentes dans un site, y compris celles qui risqueraient de ne pas être déterminées à travers la procédure de balayage normale.

À travers le Plan du site, vous pouvez véhiculer aux moteurs de recherche même des informations relatives aux contenus du site comme des vidéos, des images, des nouvelles, etc. ; par ailleurs, le Plan du site peut contenir des informations supplémentaires comme: avec quelle fréquence chaque page est mise à jour; la date de la dernière modification des pages; l'importance de chaque page dans l'économie du site (cette priorité n'a aucun effet sur le positionnement des pages dans les résultats de recherche).

Pratiquement - Activer le Plan du site

Pour créer et connecter le Plan du site à un site, il suffit de laisser activée, comme par défaut, l'option Créer automatiquement le SiteMap présente dans Paramètres généraux| Section Avancé.

Ceci étant fait, vous pouvez faire en sorte que le Plan du site contienne certaines informations supplémentaires, spécifiques de chaque page, comme suit:

- | A l'étape 2 - Création du plan, sélectionnez la page sur laquelle vous voulez travailler.
- | Cliquez sur le bouton [image] pour rappeler la fenêtre Propriétés de la page et ouvrez la section Avancée.
- | Définissez la Fréquence de mise à jour et la Priorité des contenus.
- | Répétez ces opérations pour les différentes pages du site.

Pratiquement - Ajouter les images dans le Plan du site

Le Plan du site peut être utilisé pour passer à Google des informations supplémentaires sur les images présentes dans un site, en l'aidant ainsi à trouver des images qui différemment ne seraient pas relevées (par ex. celles comprises dans des formulaires JavaScript) et à comprendre quelles sont les informations les plus importantes. Par exemple, si vous n'insérez pas dans le Plan du site les images qui font partie du modèle graphique ou qui ont une valeur purement ornementale, vous indiquez à Google qu'elles sont moins importantes que d'autres.

Google spécifie que vous pouvez insérer 1000 images au maximum pour chaque page à l'intérieur d'un Plan du site et que l'indexation de toutes les images ou l'utilisation de toutes les informations insérées n'est pas garantie.

Après avoir lancé la création du Plan du site, vous pouvez ajouter les informations sur une image d'une façon très simple:

- | Double-cliquez sur l'objet image relatif à l'image sur laquelle vous voulez travailler pour accéder à la fenêtre Objet Image.
- | Ouvrez la section Plan du site et sélectionnez l'option Ajouter image au Plan du site.
- | Si vous voulez, vous pouvez remplir les champs Titre, Description brève, Position géographique et URL du fichier de licence.
- | Répétez les opérations décrites pour toutes les images importantes contenues dans le site.

Pour plus d'informations, voir objet Image | Section Plan du site.

Pratiquement - Ajouter les informations sur les vidéos dans le Plan du site

Le Plan du site peut être utilisé pour passer à Google des informations sur les vidéos présents dans un site. Dans ce cas également, Google ne donne pas de garanties mais l'insertion de vidéos dans le Plan du site peut faire en sorte que ces contenus soient plus facilement relevés et donc compris dans la recherche sur Google Vidéo.

À travers le Plan du site, vous pouvez indiquer une série d'informations supplémentaires, comme par exemple le titre, la description et la durée du vidéo, qui peuvent simplifier la recherche. Ces informations et d'autres informations sont reproposées dans les pages avec les résultats des recherches (SERP). Il faut toutefois souligner que, en cas de différences, Google pourrait décider d'utiliser dans le SERP le texte disponible dans les pages du vidéo au lieu des contenus prédisposés à travers le Plan du site.

Pour compléter le Plan du site en ajoutant les informations sur les vidéos présents, il suffit de procéder comme suit:
- | Double-cliquez sur l'objet relatif au vidéo sur lequel vous voulez travailler pour accéder à la fenêtre Objet Vidéo/Audio.
- | Ouvrez la section Plan du siteet sélectionnez l'option Ajouter le vidéo au Plan du site.
- | Définissez les informations qui doivent être obligatoirement présentes à l'intérieur du Plan du site: Titre, Description brève et Image d'aperçu.
- | Vous pouvez, si vous le souhaiter, définir les paramètres suivants: Catégorie, Mots clé, Date de publication, Durée et Contenu adapté à tous.
- | Répétez les opérations décrites pour tous les vidéos importants contenus dans le site.

 Pour plus d'informations, voir objet Vidéo/Audio | Section Plan du site.

Pratiquement - Supprimer une page du Plan du site

Par défaut, après avoir lancé la création du Plan du site, toutes les pages d'un site y sont comprises. En tout cas, si vous voulez que les Moteurs de recherche ne prennent pas en considération une ou plusieurs pages, il suffit de les supprimer du Plan du site. Pour ce faire, il suffit de:
- | Dans la fenêtre Création du plan (étape 2), sélectionnez la page à supprimer du Plan du site.
- | Cliquez sur le bouton [image] pour rappeler la fenêtre Propriétés de la page et ouvrez la section Avancé.
- | Retirez la coche de l'option Ajouter cette page au plan du site.
- | Confirmez et enregistrez.

Sujets corrélés:
- | Paramètres généraux| Section Avancé
- | Création du plan| Propriétés de page| Section Avancé
- | Objet Image| Section Plan du site
- | Objet vidéo| Section Plan du site


Blog| Panneau de contrôle

Panneau de contrôle

Pour chaque site réalisé, WebSite X5 prédispose automatiquement un panneau de contrôle enligne permettant à l'administrateur d'exécuter des opérations comme: gérer les commentaires laissés par les utilisateurs aux posts du Blog ou les messages insérés sur le Guestbook, avoir certaines informations de diagnostic sur le site, afficher des informations sur l'optimisation pour les moteurs de recherche.

Tous les utilisateurs insérés dans le groupe Administrateur dans la section Gestion de l'accès disponible à l'étape 4 - Paramètres avancés peuvent accéder au panneau de contrôle.

Pour accéder au panneau de contrôle, il suffit de:
- | Se connecter à l'URL www.miosito.it/admin où www.miosito.it est l'URL du site.
- | Saisir les données d'accès (Nom utilisateur et Mot de passe).

À ce stade, le panneau de contrôle présente quelques sections:

-

Blog: permet de gérer les commentaires laissés par les utilisateurs en réponse aux Posts des Blogs associés au site web. (voir comment gérer les commentaires aux Posts du Blog à travers le panneau de contrôle enligne)

-

Guestbook: permet de gérer les messages laissés par les utilisateurs sur le Guestbook inséré dans le site Web à travers le Widget disponible dans l'Objet HTML et Widgets.

-

WebSite Test: permet d'afficher certaines informations de diagnostic relatives au site web et au serveur où il est publié. Dans le détail les contrôles effectués concernent:
- | Version de PHP installée - il est nécessaire que le serveur supporte le langage PHP pour que fonctionnent correctement l'envoi de l'email prévu pour l'Objet Formulaire d'envoi d'email et pour le Panier e-commerce, ainsi que l'accès aux Pages protégées à travers le nom utilisateur et le mot de passe. Le programme vérifie donc si le serveur offre ce support et, si oui, il indique la version PHP supportée.
- | Support des sessions - en plus du support pour le PHP, pour que l'accès aux Pages protégées soit admis seulement après la saisie correcte des données d'accès, le serveur doit aussi supporter les sessions.
- | Dossier avec accès par écriture - pour pouvoir stocker et gérer les commentaires aux Posts de Blog et, plus en général, pour le fonctionnement du Widget (voir l'objet HTML et Widgets) demandant la collecte de données, il faut indiquer un dossier sur le serveur autorisant l'écriture à travers l'option appropriée disponible dans Blog| Section Commentaires. Le programme vérifie d'abord que le dossier avec accès par écriture indiqué existe et, si oui, que ce dossier autorise l'écriture des données.
- | Assistance MySQL et paramétrages de la base de données - quand vous définissez un Objet Formulaire email, vous pouvez indiquer comme méthode d'envoi des données "Envoyer les données à une base de données" (voir l'Objet Formulaire email| Section Envoi): dans ce cas, vous devez fournir les paramètres de connexion à la base de données sur le serveur à utiliser. Le programme vérifie ensuite que le serveur supporte MySQL et, si oui, que les paramètres indiqués permettent réellement d'accéder et de travailler sur la base de données.

-

SEO: permet d'afficher certains résultats relatifs à l'indexation du site de la part des moteurs de recherche. Dans le détail, elle indique l'état du Sitemap, les clés de recherche indexées et les messages envoyés par GoogleBot (le spider Web de Google qui contrôle le Web pour mettre à jour les index).

Sujets corrélés:
- | Blog
- | Comment gérer les commentaires aux Posts du Blog à travers le panneau de contrôle enligne
- | Objet HTML et Widgets


Comme gérer les commentaires des Blog à partir du panneau de contrôle

Le Blog est une sorte d'agenda où l'on publie des articles de différente nature qui donne la possibilité aux lecteurs de laisser des commentaires. Si la communauté des lecteurs est active et suffisamment stimulée par la qualité des articles, des discussions intéressantes peuvent se développer sur le thème en cours.

Pour donner la possibilité aux lecteurs de laisser des commentaires aux posts publiés, vous devez configurer le Blog à l'aide des options présentes dans la Section Commentaires de la fenêtre Blog. Vous devez notamment:
- | Sélectionner l'option Permettre l'entrée de commentaires pour les articles du blog.
- | Indiquer le chemin du dossier du serveur avec l'accès par écriture, à savoir le dossier ayant l'accès à l'écriture du fichier de la part du code PHP.
- | Décider d'activer le contrôle anti-spam "Captcha" pour l'entrée des commentaires.
- | Indiquer l'E-mail pour l'envoi accusé de réception des commentaires, à savoir l'adresse e-mail à laquelle vous voulez recevoir un courriel chaque fois qu'un lecteur laissera un commentaire.
- | Indiquer si les commentaires peuvent être publiés immédiatement enligne ou être d'abord approuvés.

Ceci étant fait, vous pouvez insérer les articles et publier le Blog. Au bas des articles du Blog, apparaîtra automatiquement un formulaire où les lecteurs pourront insérer leurs commentaires. À travers ce formulaire sont requis: Nom, e-mail, site Internet et message. Tous les champs sont obligatoires sauf celui relatif au site Internet.

À ce stade, dès qu'un lecteur laissera un commentaire, un e-mail de notification sera automatiquement envoyé à l'adresse e-mail indiquée. Si vous avez sélectionné l'option Afficher commentaires après l'approbation dans le panneau de contrôle, pour que le commentaire soit affiché enligne au bas du Post relatif, il faut que ce dernier soit approuvé à l'aide de la commande du panneau de contrôle qui est automatiquement créé par WebSite X5.

 Le panneau de contrôle est disponible à l'URL www.miosito.it/admin, où www.miosito.it est l'URL du site auquel le Blog est relié, il est à disposition de tous les utilisateurs insérés dans le groupe Administrateur à la section Gestion de l'accès disponible à l'étape 4 - Paramètres avancés.

La section Blog du panneau de contrôle propose deux boîtes à liste déroulante contenant la liste des catégories et des articles qui y sont reliés. À travers ces menus, vous pouvez identifier le Post dont vous voulez afficher les commentaires reçus. Voici la liste des commentaires: chaque commentaire est accompagné du nom de l'auteur, de son adresse e-mail, du texte relatif, de la date et l'heure à laquelle il a été envoyé. Si le nom de l'auteur est disponible, le programme établit automatiquement un lien vers son site Internet.

Contrairement au Blog où les commentaires sont affichés dans l'ordre d'entrée (le dernier inséré reste au fond de la liste), dans le panneau de contrôle, les commentaires sont affichés dans l'ordre chronologique en partant du plus récent.

Pour gérer les commentaires, il faut donc:

-

Accéder au panneau de contrôle enligne et se connecter, puis ouvrir la section Blog.

-

Identifier, dans les listes déroulantes contenant la liste des catégories insérées et des posts relatifs, le post dont vous voulez afficher les commentaires.

-

Parcourir la liste des commentaires reçus pour l'article sélectionné et gérer l'affichage des commentaires sur le Blog à l'aide des commandes:
- | Supprimer: pour supprimer le commentaire de la liste du panneau de contrôle et ne pas le publier sur le Blog.
- | Approuver/désapprouver: pour approuver un commentaire, et donc permettre qu'il soit affiché sur le Blog, ou le désapprouver, et donc le supprimer de la liste des articles affichés sur le Blog. Un commentaire désapprouvé n'est pas supprimé des listes présentées dans le panneau de contrôle.
Il est fondamental de gérer l'affichage des commentaires sur le Blog pour se protéger des actions de spam et modérer les discussions en éliminant les messages vexants, ne répondant pas au thème ou au style que vous voulez garder.

Sujets corrélés:
- | Blog| Section Commentaires
- | Panneau de contrôle


Informations et Support

c'est un produit Incomedia
 www.websitex5.com
 www.incomedia.eu

Copyright 2011 Incomedia. Tous droits réservés

WebSite X5 utilise DotNetZip qui est couvert par la Licence Ms-PL (Microsoft Public License)

Pour plus d'informations et pour le support technique, visitez le site: www.websitex5.com/help


Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.

A "contribution" is the original software, or any additions or changes to the software.

A "contributor" is any person that distributes its contribution under this license.

"Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

(A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.

(B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

(A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.

(B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.

(C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.

(D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.

(E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.